<?php
$page = 'Safe';
$nav = 'Safe';
$navCat= 'Safe';
include "includes/config.php";
// Page Seo Settings
$page_title = 'Safe |ATW Point of Sale';
$page_description = 'Royal Bees is an online store where you can buy accessories for Woman, Men and Kids. Our products are designed in Europe and made from most precious gemstones and silver. We have wide range of luxurious products that will meet your needs.';
$page_img = 'https://luxgems.co.uk/pos/layouts/images/og.png';
$page_url = 'https://luxgems.co.uk/pos/Safe';
include "includes/header2.php";
include "includes/navBar.php";

if(isset($_GET['page']) && !is_null($_GET['page'])){$page_number = $_GET['page'];}
else{$page_number=1;}
if (isset($_SESSION['seller_token'])) {
    $p = '';
    
} else {
    echo "<script>document.location.replace('./')</script>";
}

?>
<div class="bg-main no-print">
    <div class="w-overlay py-3 v-height text-right">
        <div class="container">
            <div class="d-flex justify-content-between">
                <div class="card mb-5" style="width: 25rem;">
                        <div class="card-header custom-header">
                            <b>
                                    <h5 class="text-right text-white text-uppercase font-weight-bold no-print">
                                    <?php echo $lang['safe']; ?>
                                    <i class="fa-solid fa-sack-dollar mr-2"></i>
                                    </h5>
                                </b>
                        </div>
                        <div class="card-body">
                            <ul class="list-group list-group-flush">
                                <li class="list-group-item">
                                    <h6 class="text-center text-muted text-uppercase font-weight-bold no-print">
                                            <span class="font-weight-bold"> اسم الخزنه : </span>  
                                            <span id="safeNAme"></span>
                                    </h6>
                                </li>
                                <li class="list-group-item"> 
                                    <h6 class="text-center text-muted text-uppercase font-weight-bold no-print">
                                            <span class="font-weight-bold">  <?php echo $lang['serial-num']; ?> : </span>  
                                            <span id="serialnum"></span>
                                    </h6></li>
                                <li class="list-group-item " id="descriptionLi">
                                    <h6 class="text-center text-muted text-uppercase font-weight-bold no-print">
                                            <span class="font-weight-bold">  <?php echo $lang['desc']; ?> : </span>  
                                            <span id="desc"></span>
                                    </h6>
                                </li>
                            </ul>
                        </div>
                       
                
                 </div>
          
            </div>
                    
           
            <div class="card">
                <div class="card-header d-flex justify-content-between text-right flex-column flex-wrap">
                        <h5 class=" text-muted text-uppercase font-weight-bold no-print">
                            معاملات الخزنه
                        </h5>
                        
                </div>
                <div class="card-body">
                   
                    <div class="table-responsive ">
                        <table class="table table-striped text-center">
                            <thead>
                                <tr class="custom-header">
                                <th scope="col"><?php echo $lang['amount']; ?></th>
                                <th scope="col"><?php echo $lang['type']; ?></th>
                                <th scope="col"><?php echo $lang['payment-type']; ?></th>
                                <th scope="col"><?php echo $lang['reason']; ?></th>
                                <th scope="col"><?php echo $lang['reason-type']; ?></th>
                                <th scope="col"><?php echo $lang['createdBy']; ?></th>
                                <th scope="col"><?php echo $lang['createdat']; ?></th>
                                </tr>
                            </thead>
                            <tbody id="safeTransactions">
                            
                            </tbody>
                        </table>
                        <div class="justify-content-center">
                                <nav aria-label="Page navigation example ">
                                    <ul class="pagination d-flex justify-content-center" id="pagination">
                                    
                                    </ul>
                                    </nav>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<?php include "includes/footer.php"; ?>
<?php include "includes/partials/modals.php"; ?>
<script>
       let pageNumber = 1;
    function safeTransactions(page){
        pageNumber= page;
        $('#safeTransactions').html('');
        $.ajax({
        url: `<?php echo $api_link; ?>seller/store-safe-transactions`,
        data: 
        {
            "api_token": '<?php echo $_SESSION['seller_token']; ?>',
            "page":page,
            
        },
        method: 'POST',
        success: function(response) {
            $('#totalsafe').text(response.safe.total_balance)
            $('#totalCash').text(response.safe.cash_balance)
            $('#totalvisa').text(response.safe.visa_balance)
            $('#total_in').text(response.safe.total_in)
            $('#total_out').text(response.safe.total_out)
            $('#safeNAme').text(response.safe.name)
            $('#serialnum').text(response.safe.serial_number)
            $('#seven_total_in').text(response.safe.last_7_days_total_in)
            $('#seven_total_out').text(response.safe.last_7_days_total_out)
            if(response.safe.description != ''){
                $('#desc').text(response.safe.description)
            }
            else{
                $("#descriptionLi").css("display", "none");
            }
            

            for (let i = 0; i < response.data.length; i++) {
                $('#safeTransactions').append(`
                    <tr>
                    <td>${response.data[i].value}</td>
                    <td>${response.data[i].type}</td>
                    <td>${response.data[i].payment_type} </td>
                    <td>${response.data[i].reason} </td>
                    <td>${response.data[i].reason_type} </td>
                    <td>${response.data[i].created_by} </td>
                    <td>${response.data[i].created_at} </td>
                    
                    </tr>
                `);
        }

        let pages = Math.ceil( response.meta.total / response.meta.per_page)
        let pagenationBody = pagenation(pageNumber , pages);
        document.getElementById("pagination").innerHTML = pagenationBody;
        $('.pagination').append(`
                        <li class="page-item">
                            <button class="page-link" onclick="safeTransactions(${pageNumber+1})" aria-label="Next" id="Next">
                                <span aria-hidden="true">&raquo;</span>
                                <span class="sr-only">Next</span>
                            </button>
                            </li>
                `);
                
                if(pages == 1){
        
                $('#Previouss').addClass('disabled');
                $('#Next').addClass('disabled');
                $('#Next').prop('disabled', true);
                $('#Previouss').prop('disabled', true);

                }
                if(pageNumber == 1){
                    $('#Previouss').prop('disabled', true);
                    $('#Previouss').addClass('disabled');
                }
                if(pageNumber == pages){
                    $('#Next').prop('disabled', true);
                    $('#Next').addClass('disabled');
                }
                let ppps = document.querySelectorAll('.page-link')
                for(let i = 0; i < ppps.length; i++){
                    if($(ppps[i]).text() == pageNumber){
                        $(ppps[i]).addClass('pagenationActive')
                    }
                }
        },

        error: function(response){
            $("#errorsModal").modal('show');
            $("#product_err").text(response.responseJSON.message);
        }

    });
}
function pagenation(PageNumber , Pages){
    var HTML = "";
        HTML += `<li class="page-item">
                <button class="page-link" id="Previouss" onclick="safeTransactions(${PageNumber-1})" aria-label="Previous" >
                    <span aria-hidden="true">&laquo;</span>
                    <span class="sr-only">Previous</span>
                </button>
                </li>`
    if (Pages <= 5) {
        for (j = 1; j <= Pages; j++) {
                HTML +=  `<li class="page-item"><button class="page-link" onclick="safeTransactions(${j})">${j}</button></li>`

            }
    }
    else {

        // Always print first page button
        HTML +=  `<li class="page-item"><button class="page-link" onclick="safeTransactions(1)">1</button></li>`

        // Print "..." only if currentPage is > 3
        if (PageNumber > 3) {
            HTML += `<li class="page-item"><i class="fa-solid fa-ellipsis m-3"></i></li>`;
        }

        // special case where last page is selected...
        if (PageNumber == Pages) {
            HTML +=  `<li class="page-item"><button class="page-link" onclick="safeTransactions(${PageNumber-2})">${PageNumber-2}</button></li>`;
        }

        // Print previous number button if currentPage > 2
        if (PageNumber > 2) {
            HTML += `<li class="page-item"><button class="page-link" onclick="safeTransactions(${PageNumber-1})">${PageNumber-1}</button></li>`;
        }

        //Print current page number button as long as it not the first or last page
        if (PageNumber != 1 && PageNumber != Pages) {
                HTML += `<li class="page-item"><button class="page-link" onclick="safeTransactions(${PageNumber})">${PageNumber}</button></li>`
        }

        //print next number button if PageNumber < lastPage - 1
        if (PageNumber < Pages - 1) {
            HTML +=  `<li class="page-item"><button class="page-link" onclick="safeTransactions(${PageNumber+1})">${PageNumber+1}</button></li>`
        }

        // special case where first page is selected...
        if (PageNumber == 1) {
            HTML +=  `<li class="page-item"><button class="page-link" onclick="safeTransactions(${PageNumber+2})">${PageNumber+2}</button></li>`
        }

        //print "..." if PageNumber is < lastPage -2
        if (PageNumber < Pages - 2) {
        HTML += `<li class="page-item"><i class="fa-solid fa-ellipsis m-3"></i></li>`;
        }

        //Always print last page button if there is more than 1 page
        HTML +=`<li class="page-item"><button class="page-link" onclick="safeTransactions(${Pages})">${Pages}</button></li>`;
    }
    return HTML;
}
safeTransactions(pageNumber);
</script>
