<?php
  include "includes/config.php";
  $nav = 'Wholesale';
  $navCat ='knowProds';
  $page = 'checkout';
  // Page Seo Settings
  $page_title = 'Wholesale |Royal';
  $page_description = 'Royal Bees is an online store where you can buy accessories for Woman, Men and Kids. Our products are designed in Europe and made from most precious gemstones and silver. We have wide range of luxurious products that will meet your needs.';
  $page_img = 'https://luxgems.co.uk/pos/layouts/images/og.png';
  $page_url = 'https://luxgems.co.ukpos/history';
  include "includes/header2.php";
  include "includes/navBar.php";

  if(isset($_GET['page']) && !is_null($_GET['page'])){$page_number = $_GET['page'];}
  else{$page_number=1;}

  if (isset($_SESSION['seller_token'])) {
    $arr = array('api_token' => $_SESSION['seller_token'], 'per_page' => 10, 'page' => $page_number);
    $result = postApi($api_link . 'seller/produtcs/quantities', $arr);
  } else {echo "<script>document.location.replace('./')</script>";}
  $arr = array('api_token' => $_SESSION['seller_token']);
?>
      <div class="bg-main no-print">
        <div class="w-overlay py-3 v-height text-right">
          <div class="container">
           
                <h5 class="text-right my-4 text-muted text-uppercase font-weight-bold no-print"><?php echo $lang['products']; ?></h5>

           

            <div class="row justify-content-start text-right">
            
                <table class="table table-bordered table-sm text-center" style="margin-bottom: 100px;">
                        <thead class="bg-white">
                            <tr>
                            <th>اسم المنتج</th>
                            <th>كود المنتج</th>
                            <th>الكميه</th>
                            </tr>
                        </thead>
                        <tbody>
                        <?php foreach ($result['products']['data'] as $product): ?>
                        <tr>
                              <th> <?php echo $product['name']; ?></th>
                              <th> <?php echo $product['unique_id']; ?></th>
                              <th>  <?php echo $product['quantity']; ?></th>
                          </tr>
                          <?php endforeach; ?>
                        </tbody>
                 </table>
              
             
            </div>
            <!-- pagination -->
            <?php if($result['products']['last_page'] !== 1){ ?>
      				<div class="card-bg p-2 rounded mb-2">
      					<nav aria-label="Page navigation example">
      						<ul class="pagination m-0 p-0 justify-content-center">
      							<li class="page-item <?php echo ($page_number >= 2 ? '' : 'disabled') ?>">
      		            <a class="page-link rounded-0 mx-1" href="Wholesale.php?page=<?php echo $page_number-1 ?>" tabindex="-1" aria-disabled="true">&laquo;</a>
      		          </li>
      							<?php
      								$total_pages = $result['products']['total'];
      								$per_page = ceil($total_pages/50);
      								if ($per_page < 5) {
      									for($page_counter = 1 ; $page_counter <= $per_page ; $page_counter++) {
      					  	?>
      								<li class='page-item <?php echo ($page_number == $page_counter ? 'disabled' : '') ?>'>
      									<a class='page-link rounded-0 mx-1' href='Wholesale.php?page=<?php echo $page_counter ?>'><?php echo $page_counter ?></a>
      								</li>
      							<?php
      									}
      								}elseif ($per_page > 5) {
      										// if it large pagination and current page is in middle
      									if ($page_number > 2 && $page_number < $per_page-2) {
      							?>
      							<li class='page-item'>
      								<a class='page-link rounded-0 mx-1' href='Wholesale.php?page=1'>1</a>
      							</li>
      							<li class='page-item disabled'>
      								<a class='page-link rounded-0 mx-1' href='#'>...</a>
      							</li>
      							<?php for($pages_count = $page_number -1; $pages_count < $page_number+2; $pages_count++){ ?>
      								<li class='page-item <?php echo ($page_number == $pages_count ? 'disabled' : '') ?>'>
      									<a class='page-link rounded-0 mx-1' href='Wholesale.php?page=<?php echo $pages_count ?>'><?php echo $pages_count ?></a>
      								</li>
      							<?php } ?>
      							<li class='page-item disabled'>
      								<a class='page-link rounded-0 mx-1' href='#'>...</a>
      							</li>
      							<li class='page-item'>
      								<a class='page-link rounded-0 mx-1' href='Wholesale.php?page=<?php echo $per_page ?>'><?php echo $per_page ?></a>
      							</li>
      							<?php
      								// if it page num 1
      								}elseif ($page_number == 1 || $page_number == 2) {
      										for($pages_count = $page_number; $pages_count <= $page_number + 3; $pages_count++){
      							?>
      							<li class='page-item <?php echo ($page_number == $pages_count ? 'disabled' : '') ?>'>
      								<a class='page-link rounded-0 mx-1' href='Wholesale.php?page=<?php echo $pages_count ?>'><?php echo $pages_count ?></a>
      							</li>
      							<?php } ?>
      							<li class='page-item disabled'>
      								<a class='page-link rounded-0 mx-1' href='#'>...</a>
      							</li>
      							<li class='page-item'>
      								<a class='page-link rounded-0 mx-1' href='Wholesale.php?page=<?php echo $per_page ?>'><?php echo $per_page ?></a>
      							</li>
      							<?php
      								}elseif ($page_number == $per_page || $page_number == $per_page-1 || $page_number == $per_page-2) {
      							?>
      							<li class='page-item'>
      								<a class='page-link rounded-0 mx-1' href='Wholesale.php?page=1'>1</a>
      							</li>
      							<li class='page-item disabled'>
      								<a class='page-link rounded-0 mx-1' href='#'>...</a>
      							</li>
      							<?php
      								for($pages_count = $page_number-3; $pages_count <= $per_page; $pages_count++){
      							?>
      							<li class='page-item <?php echo ($page_number == $pages_count ? 'disabled' : '') ?>'>
      								<a class='page-link rounded-0 mx-1' href='Wholesale.php?page=<?php echo $pages_count ?>'><?php echo $pages_count ?></a>
      							</li>
      							<?php
      										}
      									}
      								}
      							?>
      							<li class="page-item <?php echo ($page_number >= $result['products']['last_page'] ? 'disabled' : '') ?>">
      		            <a class="page-link rounded-0 mx-1" href="Wholesale.php?page=<?php echo $page_number+1 ?>">&raquo;</a>
      		          </li>
      						</ul>
      					</nav>
      				</div>
      			<?php }?>
            <!-- ./pagination -->
          </div>
       
        </div>
      </div>

   

      <script src="layouts/js/jquery-3.3.1.min.js"></script>
      <script type="text/javascript">
        // function print_refund(){
        //   $("#exampleModalScrollable").modal('hide');
        //   setTimeout(function(){window.print();}, 1000);
        // }
      </script>
    <?php include "includes/footer.php"; ?>
