<?php
$page = 'addBorowing';
$nav = 'addBorowing';
$navCat ='Borowing';
include "includes/config.php";
// Page Seo Settings
$page_title = 'addBorowing  |ATW Point of Sale';
$page_description = 'Royal Bees is an online store where you can buy accessories for Woman, Men and Kids. Our products are designed in Europe and made from most precious gemstones and silver. We have wide range of luxurious products that will meet your needs.';
$page_img = 'https://luxgems.co.uk/pos/layouts/images/og.png';
$page_url = 'https://luxgems.co.uk/pos/checkout';
include "includes/header2.php";
include "includes/navBar.php";
if (isset($_SESSION['seller_token'])) {
    $p = '';
    $api_token = $_SESSION['seller_token'];
} else {
    echo "<script>document.location.replace('./')</script>";
}
?>
<div class="bg-main no-print">
        <div class="w-overlay py-3 v-height text-right">
          <div class="container">
          <div class="row justify-content-center">
                        <div class="col-md-12 first-section">
                            <h5 class="text-right text-muted text-uppercase font-weight-bold no-print">
                            السلفه
                            </h5>
                        </div>
                </div>
                <form id="myForm">
                    <div class="row mt-4">
                        <div class="col-md-5 col-11 text-right mt-3">
                        <h5>مقدار السلفه المطلوبه*</h5>
                        <input type="number" min="0" class="form-control  rounded-0 " placeholder="مقدار السلفه المطلوبه" id="amount" oninput="inputFun(this)"  name="requested_amount" autocomplete="off" autofocus>
                        <p id="amountMessage"></p>
                        </div>

                        <div class="col-md-5 col-11 text-right mt-3">
                        <h5>  عدد الاقساط*</h5>
                        <input type="number" min="0" class="form-control  rounded-0 " placeholder=" عدد الاقساط " id="installments-numbers" oninput="inputFun(this)"  name="installments_numbers" autocomplete="off" autofocus>
                        <p id="installments-numbersMessage"></p>
                        </div>
                   
                      <div class="col-md-6 col-11 text-right mt-3">
                        <h5>السبب*</h5>
                        <textarea maxlength="500" class="form-control"  placeholder="السبب" name="reason" id="reason" oninput="inputFun(this)" rows="3"></textarea>
                        <p id="reasonMessage"></p>
                        </div>

                    </div>
                    <div class="col-auto mt-5 text-right">
                        <button class="save btn btn-success" id="Save" type="submit">حفظ</button>
                        </div>
                        <input name="api_token" class="d-none" value="<?php echo $_SESSION['seller_token']; ?>">
                </form>
</div>
</div>
</div>

<script src="layouts/js/jquery-3.3.1.min.js"></script>
<script src="layouts/js/jquery.validate.js"></script>
<?php include "includes/partials/modals.php"; ?>
<script>
var addBorrowingFrm = $('#myForm');
addBorrowingFrm.submit(function (e) {
  e.preventDefault(e);

  var formData = new FormData(this);

  $.ajax({
    async: true,
    type: 'POST',
    url: '<?php echo $api_link; ?>v1/borrowing-requests/create',
    data: formData,
    cache: false,
    processData: false,
    contentType: false,

    success: function(data) {
        $("#SuccessModal").modal('show');
        $("#success_msg").text('طلبك تحت المراجعه');
    },
    error: function(request, status, error) {
        // $("#errorsModal").modal('show');
        //  $("#product_err").text(request.responseJSON.message);
        if(request.responseJSON.errors.hasOwnProperty('requested_amount')){
            $('#amountMessage').html(request.responseJSON.errors.requested_amount)
            $('#amountMessage').addClass('error')
            $('#amount').addClass('redborder')
        }
        if(request.responseJSON.errors.hasOwnProperty('installments_numbers')){
           $('#installments-numbersMessage').html(request.responseJSON.errors.installments_numbers)
           $('#installments-numbersMessage').addClass('error')
           $('#installments-numbers').addClass('redborder')
        }
        if(request.responseJSON.errors.hasOwnProperty('reason')){
           $('#reasonMessage').html(request.responseJSON.errors.reason)
           $('#reasonMessage').addClass('error')
           $('#reason').addClass('redborder')
        }
    }
  });
});
function inputFun(r) {
    $('#'+r.id+'Message').html('')
}

$('.finish').on('click', function(){
        location.reload();
});
$(':input').focus(function (){
    $(this).removeClass('redborder')
    $(this).removeClass('redboerrorrder')
})
$('textarea').focus(function (){
    $(this).removeClass('redborder')
    $(this).removeClass('redboerrorrder')
})


</script>
<?php include "includes/footer.php"; ?>