<?php
$page = 'attendence';
$nav = 'attendence';
$navCat ='User';
include "includes/config.php";
// Page Seo Settings
$page_title = 'Attendence  |ATW Point of Sale';
$page_description = 'Royal Bees is an online store where you can buy accessories for Woman, Men and Kids. Our products are designed in Europe and made from most precious gemstones and silver. We have wide range of luxurious products that will meet your needs.';
$page_img = 'https://luxgems.co.uk/pos/layouts/images/og.png';
// $page_url = 'https://luxgems.co.uk/pos/checkout';

include "includes/header2.php";
include "includes/navBar.php";

if (isset($_SESSION['seller_token'])) {
    $p = '';
    $api_token = $_SESSION['seller_token'];
} else {
    echo "<script>document.location.replace('./')</script>";
}
?>
<div class="bg-main no-print">
        <div class="w-overlay py-3 v-height text-right">
          <div class="container">
              <div class="col-md-12 first-section">
                    <h5 class="text-center text-muted text-uppercase font-weight-bold no-print">
                    <?php echo $lang['attendence']; ?>
                    </h5>
               </div>
               <div class="d-flex justify-content-around mt-5 mb-5 flex-wrap">
                    <div class="">
                      <button type="button" class="btn btn-primary btn-lg" onclick="checkIn()" id="chkInbtn"> <?php echo $lang['checkin']; ?></button>
                    </div>
                    <div class="">
                      <button type="button" class="btn btn-primary btn-lg " id="chkOutbtn" onclick="checkOut()"> <?php echo $lang['checkout']; ?></button>
                    </div>
               </div>
               <div class="row justify-content-center mt-5 text-center" id="duration_container">
                        <span class="card-title text-center font-weight-bold "><?php echo $lang['totalduration']; ?>: </span>
                        <span id="duration" class="d-inline"></span>
                </div>

               <div class="row mt-2">

                    <div class="col-sm-6">
                        <div class="card">
                        <div class="card-body">
                            <h5 class="card-title text-center font-weight-bold"><?php echo $lang['checkinIn']; ?>:</h5>
                            <p class="card-text text-center" id="checkinDate"></p>
                           
                        </div>
                        </div>
                    </div>
                    <div class="col-sm-6">
                        <div class="card">
                        <div class="card-body">
                            <h5 class="card-title text-center font-weight-bold"><?php echo $lang['checkoutIn']; ?>:</h5>
                            <p class="card-text text-center" id="checkoutDate"></p>
                           
                        </div>
                        </div>
                    </div>
                    </div>
        </div>
        </div>
</div>
<div class="container mb-4">
<div class="card">
  <div class="card-body">
    <h3 class="card-title text-right font-weight-bold ">سجل الحضور والانصراف</h3>
    <div class="table-responsive ">
        <table class="table table-striped text-center">
            <thead>
                <tr>
                <th scope="col"><?php echo $lang['checkinIn']; ?></th>
                <th scope="col"><?php echo $lang['checkoutIn']; ?></th>
                <th scope="col"><?php echo $lang['totalduration']; ?></th>
                </tr>
            </thead>
            <tbody id="attendenceSheet">
            
            </tbody>
        </table>
        <div class="justify-content-center">
                <nav aria-label="Page navigation example ">
                    <ul class="pagination d-flex justify-content-center" id="pagination">
                       
                    </ul>
                    </nav>
                </div>
    </div>
  </div>
</div>
</div>
<script src="layouts/js/jquery-3.3.1.min.js"></script>
<script src="layouts/js/jquery.validate.js"></script>
<?php include "includes/partials/modals.php"; ?>

<script>
    let checkoutFlage ='';
    let pageNumber = 1;
    let time = ' ' ;
    $('#chkOutbtn').prop('disabled', true);
    $('#duration_container').css('display', 'none');
    let  checkInat = '';
function checkIn(){
    time = ' '
    $.ajax({
     url: '<?php echo $api_link; ?>v1/attendances/checkin',
     method: 'POST',
     data: {
       api_token: '<?php echo $_SESSION['seller_token']; ?>',
     },
     success: function(response) {
        checkoutFlage= false;
        $('#chkOutbtn').prop('disabled', false);
        $('#chkInbtn').prop('disabled', true);
        checkInat = response.data.checked_in_at;
        time = response.data.checked_in_at ;
        $('#checkinDate').text(response.data.checked_in_at)
        $('#checkoutDate').text('')
        $('#duration').text('')

        $('#check-in-msg').css('display', 'none');
     },
     error: function(response){
        if(response.status == 409){
            $('#chkOutbtn').prop('disabled', false);
        }
        else{
            $('#chkOutbtn').prop('disabled', true);
        }
         $("#errorsModal").modal('show');
         $("#product_err").text(response.responseJSON.message);
      
     }

   });

}

function checkOut(){
    let checkinTime = todayAttendence(pageNumber);
    let checkinTimeDate = new Date(checkinTime);
    let dateNow = new Date(Date.now());
    let duration  = (dateNow.getTime() - checkinTimeDate.getTime());

    if (duration >= 18600000) {
        $.ajax({
            url: '<?php echo $api_link; ?>v1/attendances/checkout',
            method: 'POST',
            data: {
            api_token: '<?php echo $_SESSION['seller_token']; ?>',
            },
            success: function(response) {
                checkoutFlage= true;
                $('#chkOutbtn').prop('disabled', true);
                $('#chkInbtn').prop('disabled', false);
                $('#checkoutDate').text(response.data.checked_out_at)
                $('#duration_container').css('display', 'block');
                var duration = twoDigit(response.data.attendance_duration_info.per_hours) + ':' +twoDigit(response.data.attendance_duration_info.per_minutes) + ':' +twoDigit(response.data.attendance_duration_info.per_seconds) 
                $('#duration').text(duration)
            },
            error: function(response){
                $("#errorsModal").modal('show');
                $("#product_err").text(response.responseJSON.message);
                $('#chkOutbtn').prop('disabled', false);
            }

        });
    } else{
        $("#errorsModal").modal('show');
         $("#product_err").text('عدد ساعات الشيفت المطلوبه(5 ساعات) لم تكتمل بعد');
         $('#chkOutbtn').prop('disabled', false);
    }
}

function todayAttendence(){
    $.ajax({
     url: '<?php echo $api_link; ?>v1/attendances/today-info?api_token=<?php echo $_SESSION['seller_token']; ?>',
     method: 'GET',
     success: function(response) {
        $('#checkinDate').text(response.data.checked_in_at)
        $('#checkoutDate').text(response.data.checked_out_at)
        time = response.data.checked_in_at;
        if(response.data.attendance_duration_info.length !=0){
            $('#duration_container').css('display', 'block');
            var duration = twoDigit(response.data.attendance_duration_info.per_hours) + ':' +twoDigit(response.data.attendance_duration_info.per_minutes) + ':' +twoDigit(response.data.attendance_duration_info.per_seconds) 
            $('#duration').text(duration)
        }
    
        if(response.nex_action == 'checkout'){
            $('#chkOutbtn').prop('disabled', false);
            $('#chkInbtn').prop('disabled', true);
        }
        if(response.nex_action == 'checkin'){
            $('#chkOutbtn').prop('disabled', true);
        }
       
     },
     error: function(response){
         $("#errorsModal").modal('show');
         $("#product_err").text(response.responseJSON.message);
     }
   });
   return time;
}
todayAttendence();


function addtendenceSheet(page){
    pageNumber= page;
   
    $('#attendenceSheet').html('');
    $.ajax({
     url: `<?php echo $api_link; ?>v1/attendances/time-sheet?api_token=<?php echo $_SESSION['seller_token']; ?>&page=${page}`,
     method: 'GET',
     success: function(response) {
        
        for (let i = 0; i < response.data.length; i++) {
           if(response.data[i].attendance_duration_info){
                if(!response.data[i].attendance_duration_info.per_hours ){
                    response.data[i].attendance_duration_info.per_hours = 0
                }
                if(!response.data[i].attendance_duration_info.per_minutes ){
                    response.data[i].attendance_duration_info.per_minutes = 0
                }
                if(!response.data[i].attendance_duration_info.per_seconds ){
                    response.data[i].attendance_duration_info.per_seconds = 0
                }
                $('#attendenceSheet').append(`
                    <tr>
                    <td>${response.data[i].checked_in_at}</td>
                    <td>${response.data[i].checked_out_at}</td>
                    <td>${twoDigit(response.data[i].attendance_duration_info.per_hours)}:${twoDigit(response.data[i].attendance_duration_info.per_minutes)}:${twoDigit(response.data[i].attendance_duration_info.per_seconds)} </td>
                    </tr>
                `);
           } else{
                 $('#attendenceSheet').append(`
                    <tr>
                        <td colspan="3" class="absence">
                         غياب : ${response.data[i].absented_at}  
                        </td>
                    </tr>
                `);
           }
           
         
       }

       let pages = Math.ceil( response.meta.total / response.meta.per_page)
       let pagenationBody = pagenation(pageNumber , pages);
       document.getElementById("pagination").innerHTML = pagenationBody;
       $('.pagination').append(`
                     <li class="page-item">
                        <button class="page-link" onclick="addtendenceSheet(${pageNumber+1})" aria-label="Next" id="Next">
                            <span aria-hidden="true">&raquo;</span>
                            <span class="sr-only">Next</span>
                        </button>
                        </li>
            `);
            
            if(pages == 1){
    
             $('#Previouss').addClass('disabled');
             $('#Next').addClass('disabled');
              $('#Next').prop('disabled', true);
              $('#Previouss').prop('disabled', true);

             }
            if(pageNumber == 1){
                $('#Previouss').prop('disabled', true);
                $('#Previouss').addClass('disabled');
            }
            if(pageNumber == pages){
                $('#Next').prop('disabled', true);
                $('#Next').addClass('disabled');
            }
            let ppps = document.querySelectorAll('.page-link')
            for(let i = 0; i < ppps.length; i++){
                if($(ppps[i]).text() == pageNumber){
                    $(ppps[i]).addClass('pagenationActive')
                }
            }
    },

     error: function(response){
        $("#errorsModal").modal('show');
         $("#product_err").text(response.responseJSON.message);
     }

   });
   
}
addtendenceSheet(pageNumber);

function pagenation(PageNumber , Pages){
    var HTML = "";
        HTML += `<li class="page-item">
                <button class="page-link" id="Previouss" onclick="addtendenceSheet(${PageNumber-1})" aria-label="Previous" >
                    <span aria-hidden="true">&laquo;</span>
                    <span class="sr-only">Previous</span>
                </button>
                </li>`
    if (Pages <= 5) {
        for (j = 1; j <= Pages; j++) {
                HTML +=  `<li class="page-item"><button class="page-link" onclick="addtendenceSheet(${j})">${j}</button></li>`

            }
    }
    else {

        // Always print first page button
        HTML +=  `<li class="page-item"><button class="page-link" onclick="addtendenceSheet(1)">1</button></li>`

        // Print "..." only if currentPage is > 3
        if (PageNumber > 3) {
            HTML += `<li class="page-item"><i class="fa-solid fa-ellipsis m-3"></i></li>`;
        }

        // special case where last page is selected...
        if (PageNumber == Pages) {
            HTML +=  `<li class="page-item"><button class="page-link" onclick="addtendenceSheet(${PageNumber-2})">${PageNumber-2}</button></li>`;
        }

        // Print previous number button if currentPage > 2
        if (PageNumber > 2) {
            HTML += `<li class="page-item"><button class="page-link" onclick="addtendenceSheet(${PageNumber-1})">${PageNumber-1}</button></li>`;
        }

        //Print current page number button as long as it not the first or last page
        if (PageNumber != 1 && PageNumber != Pages) {
                HTML += `<li class="page-item"><button class="page-link" onclick="addtendenceSheet(${PageNumber})">${PageNumber}</button></li>`
        }

        //print next number button if PageNumber < lastPage - 1
        if (PageNumber < Pages - 1) {
            HTML +=  `<li class="page-item"><button class="page-link" onclick="addtendenceSheet(${PageNumber+1})">${PageNumber+1}</button></li>`
        }

        // special case where first page is selected...
        if (PageNumber == 1) {
            HTML +=  `<li class="page-item"><button class="page-link" onclick="addtendenceSheet(${PageNumber+2})">${PageNumber+2}</button></li>`
        }

        //print "..." if PageNumber is < lastPage -2
        if (PageNumber < Pages - 2) {
        HTML += `<li class="page-item"><i class="fa-solid fa-ellipsis m-3"></i></li>`;
        }

        //Always print last page button if there is more than 1 page
        HTML +=`<li class="page-item"><button class="page-link" onclick="addtendenceSheet(${Pages})">${Pages}</button></li>`;
    }
    return HTML;
}
function twoDigit(x){
    return x<10 ? '0'+x : x
}
function addHours(datestring, hours) {
    const date = new Date(datestring);
  date.setTime(date.getTime() + hours * 60 * 60 * 1000);

  return date;
}


</script>
<?php include "includes/footer.php"; ?>