<?php
$page = 'checkout';
$nav = 'checkout';
$navCat= 'invoice';
include "includes/config.php";
// Page Seo Settings
$page_title = 'Checkout |Royal';
$page_description = 'Royal Bees is an online store where you can buy accessories for Woman, Men and Kids. Our products are designed in Europe and made from most precious gemstones and silver. We have wide range of luxurious products that will meet your needs.';
$page_img = 'https://luxgems.co.uk/pos/layouts/images/og.png';
$page_url = 'https://luxgems.co.uk/pos/checkout';
include "includes/header2.php";
include "includes/navBar.php";

if (isset($_SESSION['seller_token'])) {
  $p = '';

  $address_arr = array('api_token' => $_SESSION['seller_token']);
  $addresses = postApi($api_link . 'seller/store/zones', $address_arr);

} else {
  echo "<script>document.location.replace('./')</script>";
}
?>

<!-- ================= [ All Products ] ================= -->
<?php include "includes/partials/shippingProducts.php"; ?>

<!-- ================= [ Products Control ] ================= -->
<div class="bg-white  border-top py-3 no-print">

  <div class="container">
    <div class="row">
      <div class="col-md-12">
        <!-- <hr> -->
        <div class="row">
         
      
          <div class="col-md-9 col-12 text-right  points">
             
            <div class="col-md-6 col-12 d-flex flex-wrap flex-column">
              <div class="mb-4">
                <form>
                  <fieldset>
                    <legend>طريقه الدفع</legend>
                      <div class="custom-control custom-radio custom-control-inline">
                        <input type="radio" id="cash" name="paymentMethod" class="custom-control-input" value="cash" checked>
                        <label class="custom-control-label" for="cash">نقدا</label>
                      </div>
                      <div class="custom-control custom-radio custom-control-inline">
                        <input type="radio" id="visa" name="paymentMethod" class="custom-control-input" value="visa">
                        <label class="custom-control-label" for="visa">فيزا</label>
                      </div>
                    </fieldset>
                </form>
              </div>
              <div class="check-points text-right d-none">
                <div class="checkPointsData">
                  <h6 class="text-right">عدد النقاط <span class="points-user mr-1"></span> </h6>

                  <input class="points-used ChangeAmount" placeholder="أدخل النقاط">
                  <button type="button" onclick="pointsEntry()">تاكيد</button>
                </div>
              </div>
              <div class="vervication" style="display:none;">
                <h6 class="text-right">رمز التحقق</h6>

                  <input class="vervication-code vervication " id="verif" placeholder="vervication code"> 
                  
                
                <button type="button" class="verBtn " onclick="getvervication()">تاكيد</button>
                <h5 id="sentmessage" class="mb-2 mt-2 text-success"  ></h5>
               
               <div class="col-md-4"></div>
                <button class="btn btn-primary btn-xs col-md-5 mb-4" type="button" id="resendSbmt" onclick="addressPhoneSubmit()"><?php echo $lang['Resend'] ?></button>
                <button type="button btn-primary btn-xs" id="resendSbmtRetail"onclick="pointsEntry()"><?php echo $lang['Resend'] ?></button>
                
                  <br> <br>
               
              </div>
              <div class="check-points-equivalent">
                <span class="spanT"></span>
              </div>
            </div>
            <div class="col-md-6 col-12">
              <div class="selected-address">

              </div>
            </div>


          </div>
          <div class="col-md-3 col-12 addAddressSection">
            <!-- <button type="button" name="" class="btn btn-info btn-sm btn-block rounded-0" id="addressModal" data-toggle="modal" data-target="#addressModal"><?php //echo $lang['add_address']; 
                                                                                                                                                                  ?></button> -->
            <button type="button" class="col-12 btn btn-primary" data-toggle="modal" id="btnAddAddress" data-target="#exampleModalCenter" disabled>
              <?php echo $lang['add_address']; ?>
            </button>
            
            <button type="button" class="col-12 btn btn-info btn-primary mt-2" id="exsistAddress" data-toggle="modal" data-target="#exsitAddress" disabled>
              <?php echo $lang['addresses']; ?>
            </button>

          </div>
        </div>
      </div>
      <div class="col-md-12 d-flex align-items-center">
        <form class="w-100">
          <hr>
          <div class="row">
           
            <div class="col-md-4">
              <input type="number" min="0" name="discount" class="form-control form-control-sm  rounded-0" placeholder="<?php echo $lang['discount']; ?> %" aria-label="Discount" id="discount" autocomplete="off">
              
            </div>
            <div class="col-md-4 d-flex align-items-center">
              <input type="number" min="0" class="form-control form-control-sm rounded-0" placeholder="<?php echo $lang['paid_amount']; ?>" aria-label="cost" aria-describedby="cost_btn" id="cost_input" autocomplete="off" autofocus>
            </div>
            <div class="col-md-4">
              <input type="button" class="btn btn-primary btn-sm btn-block rounded-0" value="<?php echo $lang['finish']; ?>" id="submit-btn">
            </div>
          </div>
        </form>
      </div>
    </div>
  </div>
</div>

<script src="layouts/js/jquery-3.3.1.min.js"></script>
<script src="layouts/js/JsBarcode.all.min.js"></script>
<script src="layouts/js/jquery.validate.js"></script>

<!-- ================= [ Print Products ] ================= -->
<?php include 'includes/print/checkoutbodyprint.php'; ?>
<?php include "includes/partials/address.php"; ?>
<?php include "includes/partials/modals.php"; ?>
<script>
  
function sentMessage(){
    document.getElementById("sentmessage").innerHTML="لقد ارسل رمز التحقق ";
    Vmessage();  
}

 function Vmessage(){
   setTimeout(function(){
    document.getElementById("sentmessage").innerHTML=" ";  
 },5000);
}



 $('input[type=radio][name=addressUserStatus]').on('change', function() {
   if (this.value == 'new') {
     $("#addressName").fadeIn();
   } else if (this.value == 'user') {
     $("#addressName").fadeOut();
   }
 });

 var zones = $("#addressZones").val();


 var phone = $("#addressPhoneVal").val();
 var checkPointsData;
 // get vervication
 function getvervication() {
   var input = $(".vervication-code").val();
   console.log("in" , input);
   sessionStorage.setItem("vervicationcode", input);
   
   
   $.ajax({
     url: '<?php echo $api_link; ?>seller/verify_user_points',
     method: 'POST',
     data: {
       code: input,
       phone: phone
     },
     success: function(inputVervicationCode) {
       if (inputVervicationCode.code === 200 ) {
       
         $('#submit-btn').prop('disabled', false);
         $(".option").attr("disabled", false);
         $('#submit-btn').attr('disabled', false);
         $("#submit-btn").removeAttr("disabled")
         $("#product_code_btn").attr("disabled", false);
         $("#product_code_btn").attr("disabled", false);
        
         console.log("inputVervicationCode", inputVervicationCode);
         totalCount()

       }
       else{
        $("#product_err").text(inputVervicationCode.message);
        $("#errorsModal").modal('show');
        //  console.log("ffhvv",inputVervicationCode.message);
       }
     }
   });
 }


   // ================= [ TotlaCount Function ] =================

function totalCount() {
   total = 0;
   let extra =0;
   x = $(".spanT").text()
   if(addresss == true){
     for (var i = 0; i < data.length; i++) {
        total += (((data[i].discount == null) ? (parseFloat(data[i].price) +data[i].extra_shippment) : parseFloat(data[i].price_after_discount)) * data[i].order);
        extra +=data[i].extra_shippment* data[i].order;
     }
     total += price;
    //   if(uType == 'retail'){
    //   if(x != ''){
    //     $(".spanT").text('');
    //     $(".ChangeAmount").attr('value' , '');
      
    //     $("#verif").val('');
    //     $(".vervication").hide();
        
    //   }
    //  }
  }
   else{
     for (var j = 0; j < data.length; j++) {
     total += (((data[j].discount == null) ? (parseFloat(data[j].price)) : parseFloat(data[j].price_after_discount)) * data[j].order);
   }
 }
 let totalcheck=0;
   var addtotal =0;
     var exsitDescount = $("#discount").val();
     if(addresss == true){
      totalcheck= total- extra - price;
     }
     else{
      totalcheck= total ;
     }
     if(totalcheck >1000 ){
      if($(".ChangeAmount").val() !== ''){
          $("#discount").prop('disabled', true);
        } else{
          $("#discount").prop('disabled', false);
          if(exsitDescount != ''){
              for (let index = 0; index < data.length; index++) {
                addtotal += parseFloat(data[index].price) * data[index].order;
              }
              var temp = total - addtotal;
              var afterDiscount = addtotal * (exsitDescount / 100)
              var totalAfterDiscount = addtotal - afterDiscount;
            
              total = totalAfterDiscount + temp;
              $("#total").text(total);
          }
        }

      }
      else if(totalcheck <= 1000){
        $("#discount").prop('disabled', true);
        $('input[name="discount"]').val('');
        $(".ChangeAmount").prop('disabled', false);
      }

   if(x != ""){
     totalAfterDiscountPoints = parseFloat(total) - parseFloat(x);
     $("#total").text(totalAfterDiscountPoints);
   
   }else{
     $("#total").text((total) + ' ' + ((data.length == 0) ? '<?php echo $currency; ?>' : data[0].currency));
   }

}

 var part_point;
 var vervication = $(".vervication");
 $(vervication).hide();
 sessionStorage.removeItem('vervicationcode1');
 sessionStorage.removeItem('vervicationcode');

function pointsEntry() {
   part_point = $(".points-used").val();
   part_pointnum = +part_point
   var vervication = $(".vervication");
   var textTotal = parseFloat($("#total").text());
   
   if(addresss == true){
     var addtotal =0;
     for (let index = 0; index < data.length; index++) {
        //  console.log("xx",textTotal);
        //  console.log("x", data[index].order);
         addtotal += parseFloat(data[index].price) * data[index].order;
         
       }
       var temp = parseFloat(textTotal) - addtotal;
       textTotal -= temp;

       if(textTotal >1000 ){
        if($(".ChangeAmount").val() !== ''){
          $("#discount").prop('disabled', true);
        }else{
          $("#discount").prop('disabled', false);
        }
       
         }
        else if(textTotal <= 1000){
          $("#discount").prop('disabled', true);
          $('input[name="discount"]').val("");
          $(".ChangeAmount").prop('disabled', false);
       }
   }
   
   var textTotalNum = parseFloat(textTotal)
     //  $("#total").text(textTotalNum);
   $.ajax({
     url: '<?php echo $api_link; ?>seller/confirm_user_points',
     method: 'POST',
     data: {
       api_token: "<?php echo $_SESSION['seller_token'] ?>",
       phone: phone,
       points: part_pointnum,
       total: textTotalNum
     },
     success: function(vervication) {
       if (vervication.code === 200) {
         console.log(vervication);
         if (part_pointnum > 0) {
           $(".vervication").show()
          $("#resendSbmt").css("display" , "none");
           $("#resendSbmtRetail").css("display" , "block");
          
           sentMessage();
             
           $(".check-points-equivalent").show()
         }
         $("#product_err").text("");
       } 
       else if (vervication.code == 201){
             $("#errorsModal").modal('show');
             $("#product_err").text(vervication.message);
       }
       // totalCount()
     },

   });
   $.ajax({
     url: '<?php echo $api_link; ?>seller/points_equivalent_money',
     method: 'POST',
     data: {
       points: part_point
     },
     success: function(sendUsedPoints) {
       if (sendUsedPoints.code === 200) {
          x = $(".spanT").text(sendUsedPoints.money_equivalent_to_points)
       }
     }
     
   })
}

 // key up on input 
 $(".ChangeAmount").keyup(function() {
   var input = $(this);
   if (input.val() == "") {
     input.css("border", "1px solid #000");
     $("#discount").prop('disabled', false);
     sessionStorage.setItem("vervicationcode", ''); 
     $("#verif").val('');
     $(".vervication").hide();
     $(".check-points-equivalent").hide();
     $(".check-points-equivalent span").text("");
     $(".option").attr("disabled", false);
     $("#submit-btn").attr("disabled", false)
     totalCount()
   } else {
     $("#discount").prop('disabled', true); 
     $('input[name="discount"]').val("");
     $("#submit-btn").attr("disabled", true);
   }
 });

 let addresss = false;

 var streetVar;
 var price = 0;

 function cllicked() {
   if ($(('input[type=radio][name=addressUserStatus]:checked'))) {
     deleted = 0;
     streetVar = $(('input[type=radio][name=addressUserStatus]:checked')).siblings(".street").find(".modal-desc").text();
     var $createDiv = $('input[type=radio][name=addressUserStatus]:checked').siblings().clone();
     var all = document.createElement("div");
     all.className = "row";
     $(all).append($createDiv);
     $(all).append(`<button class="delete-product" value="0"><span>x</span></button>`);
     $('.selected-address').append(all);
     $(all).siblings().remove();
     var idOfAddresses;

     $.ajax({
       url: '<?php echo $api_link; ?>seller/addresses',
       method: 'POST',
       data: {
         api_token: "<?php echo $_SESSION['seller_token'] ?>",
         phone: phone,
       },
       success: function(checked) {
         
         for (i = 0; i < checked.addresses.length; i++) {
         
           if (streetVar.trim() == checked.addresses[i].street.trim()) {
             idOfAddresses = $('input[type=radio][name=addressUserStatus]:checked').prop("value", checked.addresses[i].id)
             console.log("checked.addresses[i].id", checked.addresses[i].id)
             if(idOfAddresses != ''){
               addresss = true;
             };
              price = checked.addresses[i].zone_price;
             var total =0;
             for (let index = 0; index < data.length; index++) {
               total += parseFloat(data[index].price) * data[index].order;
               
             }
             console.log("total" ,total);
             var totalNum = total;
             var totalPrice =0;
             if(data.length >0){
                totalPrice = total + price ;
               for (l = 0; l < data.length; l++) {
                 var quntity = document.querySelectorAll("input#quntity")
                 for(var g = 0; g<quntity.length;g++){
                    console.log(quntity[g]);
                 }
                $("#quntity").id = "QD";

                 console.log("data[l].extra_shippment",data[l].extra_shippment);
                 totalPrice += data[l].extra_shippment*data[l].order ;
                 console.log("ll2" ,l ,totalPrice );
               }

                console.log("TB",totalPrice);
                ExtraShipmnt();
              
               $("#total").text(totalPrice)
             }
             else{
               var totalPrice = total + price ;
               $("#total").text(totalPrice)
             }
             var exsitDescount = $("#discount").val();
             if(exsitDescount != ''){
               totalCount();
             }
             
             var xpoints = $(".ChangeAmount").val();
                 console.log(xpoints);
                 if(xpoints !=''){
                   totalCount();
                 }
           }
           else{
             console.log("Else")
           }
 
         }
        
       }
     });
   }
}
 var TtPrice =0 ;
 var totalAfterDiscount;
 $("#discount").prop('disabled', true);
 $('input[name="discount"]').val("");
function discountValue(){

   $("#discount").on("change",function() {
     var exsitDescount = $(this).val();
      console.log(exsitDescount);
     var total =0;

     
     console.log(exsitDescount);
     for (let index = 0; index < data.length; index++) {
      //  console.log("tt", data[index].price);
       total += parseFloat(data[index].price) * data[index].order;
      //  console.log("tt", total);
       

     }
     var afterDiscount = total * (exsitDescount / 100)
      totalAfterDiscount = total - afterDiscount;
      console.log("ttA", totalAfterDiscount);
      $("#total").text(totalAfterDiscount )

      if(addresss ==true){
     
       totalCount();
     }

   });


}

 discountValue();

 var deleted = 0;
 $(document).on('click', '.delete-product', function() {
   deleted = 1;
    addresss=false;
   $(this).parent('.selected-address div').remove();
 
   $("#EShh").css("display" , "none");

   let removedInput = document.querySelector(".form-check-input[type=radio]:checked");
   removedInput.removeAttribute("value")
   removedInput.removeAttribute("checked")
   removedInput.checked = false;
   var exsitDescount = $("#discount").val();
   if(exsitDescount == '' ){
    
     totalCount()
     }else if(exsitDescount !== '' && deleted == 1){
      
       totalCount();
     }
    
 })
 var x;
 var y;

 function chooseArea(sel) {
   x = sel.options[sel.selectedIndex].text
   y = sel.options[sel.selectedIndex].value
   $("#zone-id").prop("value", y);
   var addressPrice = $("#addressPrice");
   $.ajax({
     url: '<?php echo $api_link; ?>seller/store/zones',
     method: 'POST',
     data: {
       api_token: "<?php echo $_SESSION['seller_token'] ?>",
     },
     success: function(addAddressArr) {
       for (i = 0; i < addAddressArr.store_zones.length; i++) {
         if (x == addAddressArr.store_zones[i].name) {
           $(addressPrice).prop("value", addAddressArr.store_zones[i].price)
         }
       }
     }
   })
 }

 // ================= [ Variables ] =================
 var data = [],
   total = 0;
 if (data.length == 0) {
   $("#submit-btn").attr('disabled', 'disabled');
 }
 // ================= [ Add product to order ] =================
 function addProduct(id) {
   $("#product_code_input").val(id);
   $("#product_code_btn").click();
   $("#product_code_input").val('');
 }
 // prevent su0bmit from textbox
 $("#product_code_form").submit(function(e) {
   e.preventDefault();
   // $("#product_code_btn").click();
 });
 
function ExtraShipmnt(){
 var Exsh =0;
 var ExtraTotal = 0;
   for (let index = 0; index < data.length; index++) {
       Exsh += parseFloat(data[index].extra_shippment)* data[index].order  ;
      //  ExtraTotal += parseFloat(data[index].price) * data[index].order;
   }

     $("#EShh").css("display" , "block")
            
    $("#extraShh").text(Exsh);
    var space = ' ';
    $("#extraShh").append(`${space}`+`<?php echo $currency; ?>`);

               
}

if($("#addressPhoneVal").val() === ''){
  $("#product_code_input").attr("disabled", "disabled");
  $("#product_code_btn").attr("disabled", "disabled");
} 


 // Add Product Button Listener
 $("#product_code_btn").on("click", function() {

   var code = $("#product_code_input").val(),
     phone = $("#addressPhone").val(),
     founded = false;
     $('.ChangeAmount').attr("disabled" , false)
   for (var i = 0; i < data.length; i++) {
     if (data[i].unique_id == code) {
       founded = true;
       break;
     } else {
       founded = false;
     }
   }

   if (founded == true) {
     $("#product_err").text("<?php echo $lang['reorder_err']; ?>");
     $("#errorsModal").modal('show');
   } else {
     if (code != '') {
       $.ajax({
         url: '<?php echo $api_link; ?>seller/putproduct',
         data: {
           'code': code,
           'api_token':    '<?php echo $_SESSION['seller_token']; ?>',
           'phone': phone
         },
         method: 'POST',
         success: function(result) {
           $("#product_code_btn").removeAttr('disabled').removeClass('disabled').html('<?php echo $lang["add"]; ?>');
           if (result.code == 200) {
             $("#addressPhoneVal").attr("disabled", "disabled");
             data.push(result.product);
             $("#submit-btn").removeAttr('disabled');
             changeDesc(result.product.unique_id, 1);
             $("#products").html("");
           
             for (var i = 0; i < data.length; i++) {
               var price = parseFloat(data[i].price) 
               console.log("price" , price);
              
               totlaWithExtraShipment = price  ;
               $("#total").text(totlaWithExtraShipment);


               $("#products").append(`
                         <tr>
                           <td><p>` + data[i].unique_id + `</p></td>
                           <td><p>` + data[i].name + `</p></td>
                           <td>
                             <div class="d-block">
                               <div class="input-group">
                                 <div class="input-group-prepend">
                                   <button class="btn btn-success rounded-0 countAdd" type="button" onclick="count(0, ` + data[i].unique_id + `)">+</button>
                                 </div>
                                 <input id="quntity" type="number" min="1" value="` + data[i].order + `" placeholder="<?php echo $lang['quantity']; ?>" class="form-control num border-success rounded-0 product-quantity-` + data[i].unique_id + `" autocomplete="off" onchange="editQuantity(` + data[i].unique_id + `)">
                                 <div class="input-group-prepend">
                                   <button class="btn btn-success rounded-right rounded-0 btn-block countSub" type="button" onclick="count(1, ` + data[i].unique_id + `)">-</button>
                                 </div>
                               </div>
                             </div>
                           </td>
                           <td><p class="font-weight-bold extraTshipment" id ="Pid" >` + ((data[i].discount == null) ? totlaWithExtraShipment  : data[i].price_after_discount) + `</p>
                          
                               
                           </td>
                           <td class="no-print"><button class="btn btn-transparent bg-transparent" onclick="removeProduct(` + i + `)"><span aria-hidden="true" class="text-danger font-weight-bold del-btn">&times;</span></button></td>
                         </tr>
                         `);

                        
                         
             }
             if(addresss == true){
              console.log('t1', total);
               ExtraShipmnt();
               
             }
                         
             totalCount();

             $("#product_err").text("");
           } else {
             $("#errorsModal").modal('show');
           
             $("#product_err").text(result.message);
           }
           x = false;
         },
         error: function(err) {
           if (err.code != 200) {
             $("#errorsModal").modal('show');
            
             $("#product_err").text(err.responseJSON.message);
           }
           $("#product_code_btn").removeAttr('disabled').removeClass('disabled').html(`'<?php echo $lang['add']; ?>'`);
         },
         beforeSend: function() {
           $("#product_code_btn").attr('disabled', 'disabled').addClass('disabled').html('<img src="layouts/images/spinner.gif" width="30" alt="spinner" class="img-fluid">');
         }
       });
     } else {



       $("#product_code_btn").removeAttr('disabled').removeClass('disabled').html('<?php echo $lang["add"]; ?>');
       $("#errorsModal").modal('show');
       $("#product_err").text("<?php echo $lang['product_code_err']; ?>");
     }
   }
   $("#product_code_input").val('');

 });

 $("#discount").keyup(function() {
   var input = $(this);
   if (input.val() == "") {
     $(".ChangeAmount").prop('disabled', false);
   }
   else{
     $(".ChangeAmount").prop('disabled', true);
   }

 });

 // ================= [ Remove Product From Order ] =================
 function removeProduct(id) {
   data.splice(id, 1);
   console.log("rhietuke");
   console.log("DAF", addresss );
   if(addresss == true){
      ExtraShipmnt();
    }
   totalCount();
   var exsitDescount = $("#discount").val();
   var total =parseFloat( $("#total").text())
   discountValue();
   

   $("#products").html("");
   for (var i = 0; i < data.length; i++) {
     $("#products").append(`
             <tr>
               <td><p>` + data[i].unique_id + `</p></td>
               <td><p>` + data[i].name + `</p></td>
               <td>
                 <div class="d-block">
                   <div class="input-group">
                     <div class="input-group-prepend">
                       <button class="btn btn-success rounded-0 countAdd" type="button" onclick="count(0, ` + data[i].unique_id + `)">+</button>
                     </div>
                     <input type="number" min="1" value="` + data[i].order + `" placeholder="<?php echo $lang['quantity']; ?>" class="form-control num border-success rounded-0 product-quantity-` + data[i].unique_id + `" autocomplete="off" onchange="editQuantity(` + data[i].unique_id + `)">
                     <div class="input-group-prepend">
                       <button class="btn btn-success rounded-right rounded-0 btn-block countSub" type="button" onclick="count(1, ` + data[i].unique_id + `)">-</button>
                     </div>
                   </div>
                 </div>
               </td>
               <td><p class="font-weight-bold">` + data[i].price + `</p></td>
               <td class="no-print"><button class="btn btn-transparent bg-transparent" onclick="removeProduct(` + i + `)"><span aria-hidden="true" class="text-danger font-weight-bold del-btn">&times;</span></button></td>
             </tr>
           `);
          
   }
   if (data.length == 0) {
     $("#products").html("<tr><td colspan='5'><?php echo $lang['no_products']; ?></td></tr>");
     $("#submit-btn").attr('disabled', 'disabled');
   }

  
 }
 // ================= [ Edit Quantity ] =================
 function changeDesc(code, quantity) {
   for (var i in data) {
     if (data[i].unique_id == code) {
       data[i].order = quantity;
       break;
     }
   }
   totalCount();
 }

 function editQuantity(id) {
   changeDesc(id, $('.product-quantity-' + id).val());
   if(addresss == true){
    console.log('t3', total);
     ExtraShipmnt();
   }
   
 }
 // ================= [  // calling ajax of checkout  ] =================
function callingCheckOut(){
    // Variables
   // sessionStorage.setItem("vervicationcode1", $(".vervication-code").val());
     var phone = $("#addressPhone").val(),
     discount = $("#discount").val(),
     cost_input = parseFloat($("#cost_input").val()),
     zonee = $("input[type=radio][name=addressUserStatus]:checked").val(), 
     vervicationCode;
     let payment_type = $("input[name='paymentMethod']:checked").val();

     console.log(payment_type);
     
     console.log(zonee);
     if(uType != "retail"){
        vervicationCode =  sessionStorage.getItem("vervicationcode1");
     }
     else{
       vervicationCode =  sessionStorage.getItem("vervicationcode");
     }
     if(vervicationCode == null){
       vervicationCode =$(".vervication-code").val();
     }
      
    
     total = parseFloat($("#total").text());
     codesOBJ = '';
   if ( cost_input >= total) {
     console.log('cost_input' ,cost_input);
     if (discount == '') {
       discount = 0;
     }
     for (i = 0; i < data.length; i++) {
     
       codesOBJ += `{
               "code": ` + data[i].unique_id + `,
               "quantity": ` + data[i].order + `
             }`;
       if (data.length > 1 && i < (data.length) - 1) {
         codesOBJ += ',';
       }
     }
     

     var x = document.querySelector(".form-check-input[type=radio]")
     if ( deleted != 1) {
       var JSONRequest = `
             {
               "codes": [
                 ` + codesOBJ + `
               ],
               "address_id": "` + zonee + `",
               "seller_discount": ` + parseInt(discount) + `,
               "phone": "` + phone + `",
               "address_id": "` + zonee + `",
               "api_token": "<?php echo $_SESSION['seller_token'] ?>",
               "verification_code": "` + vervicationCode + `",
               "payment_type" : "` + payment_type +`"
             }
             `;
     } else {
       var JSONRequest = `
             {
               "codes": [
                 ` + codesOBJ + `
               ],
               "seller_discount": "` + parseInt(discount) + `",
               "phone": "` + phone + `",
               "api_token": "<?php echo $_SESSION['seller_token'] ?>",
               "verification_code": "` + vervicationCode + `",
               "payment_type" : "` + payment_type +`"

             }
             `;
     }
    
     $.ajax({
       url: '<?php echo $api_link; ?>seller/checkout',
       data: JSONRequest,
       type: 'POST',
       processData: false,
       contentType: 'application/json',
       success: function(result) {
         console.log("fffff" + result);
         $("#submit-btn").removeAttr('disabled').removeClass('disabled').html('إنهاء');
         if (result.code == 200) {
           console.log(result);
           
           $("#billpart").html('');
           $("#billpart").append(`
                     <tr>
                       <th><?php echo $lang['bill_id']; ?></th>
                       <td>` + result.bill_id + `</td>
                     </tr>
                     <tr>
                       <th><?php echo $lang['time']; ?></th>
                       <td>` + result.created_at + `</td>

                     </tr>
                   `);
           $("#resitOrder").html('');
           
           for (var i = 0; i < result.products.length; i++) {
            // console.log(result.products.length);
             $("#resitOrder").append(`
                     <tr>
                       <td>` + result.products[i].unique_id + `</td>
                       <td>` + result.products[i].name + `</td>
                       <td dir="rtl">` + result.products[i].price +  `</td>
                       <td dir="rtl">` +  result.products[i].seller_quantity + `</td>

                       </tr>
                   `);
           }
          
           if (discount != '') {
             var discountRow = `
                     <tr>
                       <td><?php echo $lang['discount']; ?></td>
                       <td colspan="2">` + discount + `%</td>
                     </tr>
                   `;
           } else {
             var discountRow = '';
           }
         
           //console.log(parseFloat(result.total_price));
           var rest = parseFloat(cost_input) - parseFloat(total);
                 // if (result.address != null ) {
                  
                   $("#resitResult").html(discountRow + `
                   <tr class="text-center">
                     <td><?php echo $lang['total']; ?></td>
                     <td colspan="2">` + total + `</td>
                   </tr>
                   <tr class="text-center">
                     <td><?php echo $lang['paid_amount']; ?></td>
                     <td colspan="2">` + cost_input + ` <?php echo $currency; ?></td>
                   </tr>
                   <tr class="text-center">
                       <td><?php echo $lang['remainig_amount']; ?></td>
                               <td colspan="2">` + rest + ` <?php echo $currency; ?></td>
                             </tr>
                 `);
                 
                 
           if (result.address != null && deleted != 1) {
  
                   for(i=0; i<result.products.length;i++){ 
                     console.log(result.total_shipment);
                         if(result.products[i].extra_shipment != null){
                          
                           totalAfterShipment = result.total_price + result.total_shipment
                           var rest2 = parseFloat(cost_input) - total
                           $("#resitAddress").html(`
                             <tr class="text-center">
                               <td><?php echo $lang['address']; ?></td>
                               <td colspan="2">` + result.address.address + `</td>
                             </tr>
                             <tr class="text-center">
                               <td><?php echo $lang['zone']; ?></td>
                               <td colspan="2">` + result.address.zone + `</td>
                             </tr>
                             <tr class="text-center">
                               <td><?php echo $lang['shippment_price']; ?></td>
                               <td colspan="2">` + result.address.price + `</td>
                             </tr>
                             <tr class="text-center">
                               <td>تكلفه الشحنه الزائده</td>
                               <td colspan="2">` + (result.total_shipment - result.store_shipment)  + `</td>
                             </tr>
                             <tr class="text-center">
                               <td>اجمالى الشحن</td>
                               <td colspan="2">` + result.total_shipment + `</td>
                             </tr>
                             <tr class="text-center">
                               <td>اجمالى بعد الشحن</td>
                               <td colspan="2">` + totalAfterShipment + `</td>
                             </tr>
                           
                           `);
                         }else{
                          
                           $("#resitAddress").html(`
                           <tr class="text-center">
                             <td><?php echo $lang['address']; ?></td>
                             <td colspan="2">` + result.address.address + `</td>
                           </tr>
                           <tr class="text-center">
                             <td><?php echo $lang['zone']; ?></td>
                             <td colspan="2">` + result.address.zone + `</td>
                           </tr>
                           <tr class="text-center">
                             <td><?php echo $lang['shippment_price']; ?></td>
                             <td colspan="2">` + result.address.price + `</td>
                           </tr>
                          
                         `);
                         }
                   }
           }
           var ChA =  $('.ChangeAmount').val();
           if(result.used_points !== '' && ChA != ''){
             console.log("P",result.used_points);
             $("#used-points-bill").html(`<p>`+"النقاط المستخدمه : " + result.used_points + `</p>`)
           }
           var client = '',
             client_num = '';
           if (result.user_name != 'عميل غير مسجل') {

             client = `<p class="text-center"><span><?php echo $lang['customer_name']; ?>: </span>` + result.user_name + `</p>`;
           } else {
             client = '';
           }
           if (result.user_phone != 'عميل غير مسجل') {
             client_num = `<p class="text-center"><span><?php echo $lang['customer_number']; ?>: </span>` + result.user_phone + `</p>`;
           } else {
             client_num = '';
           }
           $("#user_data").html(client + client_num);
           JsBarcode("#barcode", result.bill_id);
           window.print();
           location.reload();
         } else if (result.code == 207) {
           $("#errorsModal").modal('show');
           $('#product_err').text(result.message.seller_discount);
         } else {
           $("#errorsModal").modal('show');
           if (result.code == 210 && result.message == undefined) {
             $("#product_err").text(result.error.phone[0]);
           } else {
              console.log("Vc" ,vervicationCode );
             console.log("amm1",result.message)
             $("#product_err").text(result.message);
           }
         }
         if (result.code == 212) {
           $("#errorsModal").modal('hide');
           $('#myModal').modal('show');
           $('#phoneMSG').text(result.error);
           $('#phoneNumber').val(phone);
         }
       },
       beforeSend: function() {
         $("#submit-btn").attr('disabled', 'disabled').addClass('disabled').html('<img src="layouts/images/spinner.gif" width="30" alt="spinner" class="img-fluid">');
       }
     });
   } else {
     $("#errorsModal").modal('show');
     $("#product_err").text('');
     if (cost_input < total) {
       
       $("#product_err").text("<?php echo $lang['lawer_amount_err']; ?>");
     } 
     else{
       console.log(cost_input);
       console.log(total);
       $("#product_err").text("<?php echo $lang['miss_amount_err']; ?>");
     }
   }
}
 // Finish Order 
 $("#submit-btn").on("click", function() {
   callingCheckOut()
 })
 // ================= [ Register New Uer By Phone ] =================
 $("#phoneSubmit").on("click", function() {
   var phone = $("#phoneNumber").val();
   $.ajax({
     url: '<?php echo $api_link; ?>customer/register',
     method: 'POST',
     data: {
       name: $("#phoneName").val(),

       phone: $("#phoneNumber").val(),
       api_token: "<?php echo $_SESSION['seller_token'] ?>",
       usertype_id: 1
     },
     success: function(regRes) {
       if (regRes.code == 200 || regRes.code == 201) {
         $("#addressPhoneNumber").val(phone);
         $("#phoneSubmit").addClass('d-none');
         $("#myModal .modal-body").html(`
                 <p class="text-muted"><?php echo $lang['success_reg']; ?></p>
                 <img src="layouts/images/check.gif" alt="success loader" class="img-fluid">
               `);
         $("#addressPhone").val(phone);
       } else {
         if (regRes.code == 204) {
           $("#generalError").removeClass('d-none').text(regRes.message);
         }
       }
     },
     error: function(err) {
       if (err.status) {
         if (err.responseJSON.error.phone != undefined) {
           $("#phone_err").text(err.responseJSON.error.phone[0]);
         } else {
           $("#phone_err").text('');
         }
         if (err.responseJSON.error.name != undefined) {
           $("#reg_nameErr").text(err.responseJSON.error.name[0]);
         } else {
           $("#reg_nameErr").text('');
         }
       }
       console.log("error: ", err);
     }
   });
 });
 // ================= [ Calculate Add & Sub Quantities ] =================
 function count(type, code) {
   if (type == 0) {
     if ($('.product-quantity-' + code).val() == '') {
       $('.product-quantity-' + code).val(1);
     }
     $('.product-quantity-' + code).val(parseInt($('.product-quantity-' + code).val()) + 1);
     changeDesc(code, $('.product-quantity-' + code).val());
   } else {
     if ($('.product-quantity-' + code).val() == '') {
       $('.product-quantity-' + code).val(1);
     }
     if ($('.product-quantity-' + code).val() > 1) {
       $('.product-quantity-' + code).val(parseInt($('.product-quantity-' + code).val()) - 1);
     }
     changeDesc(code, $('.product-quantity-' + code).val());
   }
   
     if(addresss == true){
       ExtraShipmnt();

     }
      totalCount()

    
 }
 
</script>
<style>
  #contact_form input.form-control {
    margin-bottom: 1rem !important;
    font-size: 13px;
  }

  #contact_form label.error {
    text-align: right;
    width: 100%;
    font-size: 14px;
    color: #cd1a1a;
  }

  #contact_form input#addressPrice {
    width: 20%;
    text-align: center;
    margin-bottom: 1rem;
    margin-top: 1rem;
    display: initial;
    font-size: 16px
  }

  #exsitAddress .data {
    text-align: right;
  }

  #exsitAddress .data>.row {
    position: relative;
    margin-bottom: 10px;
  }

  #exsitAddress .data>.row .col-6:nth-child(5) {
    margin-bottom: 10px;
  }

  #exsitAddress .data>.row::before {
    content: '';
    width: 100%;
    height: 1px;
    background: #dbd8d8;
    position: absolute;
    bottom: 0;
  }

  #modalBody .modal-title,
  .selected-address .modal-title {
    font-size: 16px;
  }

  #modalBody .modal-desc,
  .selected-address .modal-desc {
    font-size: 13px;
    opacity: 0.8;
  }

  .selected-address>.row {
    position: relative;
    padding: 15px;
    box-shadow: 0px 0px 3px #cfcfcf;
    align-items: center;
  }

  .delete-product {
    border: none;
    background: none;
    position: absolute;
    left: 10px;
    cursor: pointer;
  }

  .delete-product span {
    font-size: 30px;
    line-height: 1;
    color: #dc3545 !important;
    font-weight: 700;
  }

  .points-used {
    font-size: 14px;
    width: 250px;
  }

  .check-points,
  .vervication {
    width: 85%;
    position: relative;
  }

  .check-points h6,
  .vervication h6 {
    color: #585858;
    font-weight: 600;
  }

  .check-points .points-used,
  .vervication .vervication-code {
    padding-top: 5px;
    padding-bottom: 5px;
    border: 1px solid #c9c9c9;
    width: 100%;
  }

  .check-points button,
  .vervication button {
    background: #5aaaff;
    border: 0;
    padding-top: 5px;
    padding-bottom: 4px;
    left: 0;
    position: absolute;
    padding-right: 20px;
    padding-left: 20px;
    cursor: pointer;
    color: #fff;
    border-radius: 5px 0px 0px 5px;
  }

  .vervication button {
    padding-bottom: 6px;
  }

  .points {
    align-items: center;
    display: flex;
    justify-content: center;
  }

  .check-points-equivalent {
    width: 30%;
    text-align: center;
  }

  .check-points-equivalent .spanT {
    font-size: 20px;
    color: #fb5866;
    font-weight: 600;
  }

  @media (max-width: 768px) {
    #contact_form input#addressPrice {
      width: 40%;
    }

    .delete-product {
      top: 30%;
    }

    .check-points,
    .vervication {
      width: 100% !important;
    }

  }

  @media (max-width: 425px) {
    .addAddressSection {
      text-align: right;
      margin-top: 1rem;
    }

    .check-points,
    .vervication {
      width: 50%;
    }
    .fixed-bottom {
      position: inherit !important;
    }
         
    .points {
      display: block;
    }

  }

  
</style>
<?php include "includes/footer.php"; ?>


