<?php
  include "includes/config.php";
  $nav = 'home';
  $navCat ='knowProds';
  // Page Seo Settings
  $page_title = 'Check Product Details |Royal';
  $page_description = 'Royal Bees is an online store where you can buy accessories for Woman, Men and Kids. Our products are designed in Europe and made from most precious gemstones and silver. We have wide range of luxurious products that will meet your needs.';
  $page_img = 'https://luxgems.co.uk/pos/layouts/images/og.png';
  $page_url = 'https://luxgems.co.uk/pos/home';
  include "includes/header2.php";
  include "includes/navBar.php";
  
  if (isset($_SESSION['seller_token'])) {
    if (isset($_GET['btn-detail'])) {
      $arr = array('api_token' => $_SESSION['seller_token'], 'code' => $_GET['txt-detail']);
      $result = postApi($api_link . 'seller/product', $arr);
    }
  } else {echo "<script>document.location.replace('./')</script>";}
?>
    <div id="loginPage" dir="rtl" class="bg-main">
      <div class="w-overlay h-100 d-flex align-items-center py-5 v-height">
        <div class="container">
          <div class="row justify-content-center">
            <div class="col-md-6">
              <div class="bg-white border rounded p-3 py-4 text-center">
                <h3 class="text-center my-4 text-muted text-uppercase font-weight-bold"><?php echo $lang['product_details'] ?></h3>
                <form action="<?php echo $_SERVER['PHP_SELF'] ?>" method="get">
                  <div class="input-group mb-3">
                    <input id="check_input" type="number" min="0" class="form-control my-3 rounded-0" placeholder="<?php echo $lang['product_code'] ?>" aria-label="product code" aria-describedby="button-addon2" name="txt-detail" value="<?php echo (isset($_GET['txt-detail']) ? $_GET['txt-detail'] :'') ?>" dir="rtl" autocomplete="off" autofocus required>
                    <div class="input-group-append">
                      <button class="btn btn-primary border-0 btn-block my-3 rounded-0" type="submit" id="check_btn" name="btn-detail"><?php echo $lang['check'] ?></button>
                    </div>
                  </div>
                </form>
                <?php if (isset($_GET['btn-detail']) && $result['code'] == 200){ ?>
                  <div class="border rounded p-3">
                    <div class="row">
                      <!-- <div class="col-md-4">
                        <img src="<?php // echo $result['product']['image'] ?>" alt="<?php // echo $result['product']['name'] ?>" class="img-fluid img-ratio w-100" style="height: 200px">
                      </div> -->
                      <div class="col-md-12">

                          <div class="card mb-4 p-3 border border-secondary">
                            <div class="mb-3">
                               <h4 class="d-inline "><b> اسم المنتج : </b></h4>
          
                              <h4 class="d-inline"><?php echo $result['product']['name'] ?></h4>
                            </div>
 

                            <div class="mb-3">
                               <h4 class="d-inline"><b> <?php echo $lang['available quantity']; ?> : </b></h4>
          
                              <h4 class="d-inline"><?php echo $result['product']['quantity'] ?></h4>
                            </div>

                            <div class="mb-3">
                               <h4 class="d-inline"><b><?php echo $lang['product code']; ?> : </b></h4>
          
                              <h4 class="d-inline"> <?php echo $result['product']['unique_id'] ?></h4>
                            </div>
                          </div>
                    
                        <div class="card border border-secondary p-3">
                          <table class="table table-hover table-bordered mt-2 text-center">
                          <thead>
                              <th><h5><b><?php echo $lang['category']; ?> </b></h5></th>
                            <th><h5><b><?php echo $lang['piece price'] ?>  </b></h5></th>
                          </thead>
                          <tbody id="varityPrices">

                          </tbody>
                          </table>
                        
                        </div>

                        <?php if (isset($result['product']['discount']) && $result['product']['discount'] != null): ?>
                          <h4 class="font-weight-bold mb-2 main-color"><?php echo $lang['after_discount']; ?>: <?php echo $result['product']['price_after_discount'] ?></h4>
                          <p class="text-muted text-sm mb-2"><?php echo $lang['discount_percentage']; ?>: <?php echo $result['product']['discount']; ?> %</p>
                        <?php endif; ?>
                       <!-- <p class="text-muted text-sm mb-2">الوصف: <?php // echo $result['product']['description'] ?></p> -->
                      </div>
                    </div>
                  </div>
                  <div class="card border border-secondary p-3 mb-4">
                  <table class="table table-hover table-bordered mt-2 text-center">
                    <thead>
                        <th><h5><b><?php echo $lang['store_name']; ?></h5></b></th>
                        <th><h5><b><?php echo $lang['quantity']; ?></h5></b></th>
                    </thead>
                    <tbody>
                      <?php foreach ($result['product']['product_store_quantities'] as $store_quantities): ?>
                        <tr>
                          <td><h5><?php echo $store_quantities['store_name'] ?> </h5></td>
                          <td><h5><?php echo $store_quantities['quantity'] ?></h5></td>
                        </tr>
                      <?php endforeach; ?>
                      <?php if (is_string($result['product']['product_store_quantities'])): ?>
                        <tr><td colspan="2"><?php echo $result['product']['product_store_quantities'] ?></td></tr>
                      <?php endif; ?>
                    </tbody>
                  </table>
                  </div>
                  <a href="checkout.php" class="btn btn-primary btn-sm btn-block"><?php echo $lang['chk_other']; ?></a>
                <?php }elseif(isset($_GET['btn-detail']) && $result['code'] != 200) { ?>
                  <p class="text-danger"><?php echo $result['message'] ?></p>
                <?php } ?>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <script src="layouts/js/jquery-3.3.1.min.js"></script>
    <script>
      var input = $("#check_input").val()
      $.ajax({
        url: '<?php echo $api_link; ?>seller/product',
        method: 'POST',
        data: {
          code: input,
          api_token: "<?php echo $_SESSION['seller_token'] ?>",
        },
        success: function(invstgigate) {
          // alert ("pladwhsduh")
          if (invstgigate.code === 200) {
            var invstgigatePrice = invstgigate.product.price
            console.log(invstgigatePrice);
          for(i= 0; i < invstgigatePrice.length ; i++ ){
            console.log(invstgigatePrice[i].usertype_id);
              if(invstgigatePrice[i].usertype_id == 1){
                console.log(invstgigate.product.discount)
                if(invstgigate.product.discount !== null){
                  var varityPrices= $("#varityPrices")
                  $(varityPrices).append("<tr> <td> <h5>" + 'قطاعى' +"</h5></td><td><h5>"+invstgigatePrice[i].price+"</h5></td><tr>");
                  // $(varityPrices).append(`
                  // <div class="varity-data d-flex">
                  // <h4>  قطاعي : </h4>
                  // <del><h4>${invstgigatePrice[i].price}</h4></del>
                  // </div>`)
                }else if(invstgigate.product.discount == null){
                  var varityPrices= $("#varityPrices")
                  $(varityPrices).append("<tr> <td> <h5>" + 'قطاعى'  +"</h5></td><td><h5>"+invstgigatePrice[i].price+"</h5></td><tr>");
                  // $(varityPrices).append(`
                  // <div class="varity-data d-flex">
                  // <h4>  قطاعي : </h4>
                  // <h4><b>${invstgigatePrice[i].price}</b></h4>
                  // </div>`)
                }
              }else if(invstgigatePrice[i].usertype_id == 2){
                $(varityPrices).append("<tr> <td> <h5>" + ' فئه 1'  +"</h5></td><td><h5>"+invstgigatePrice[i].price+"</h5></td><tr>");
                // $(varityPrices).append(`<div class="varity-data d-flex">
                //   <h4>  فئه 1 : </h4>
                //   <h4>${invstgigatePrice[i].price}</h4>
                //   </div>`)
              }else if(invstgigatePrice[i].usertype_id == 3){
                $(varityPrices).append("<tr> <td> <h5>" + '  فئه 2'  +" </h5></td><td><h5>"+invstgigatePrice[i].price+"</h5></td><tr>");
                // $(varityPrices).append(`<div class="varity-data d-flex">
                //   <h4>  فئه 2 : </h4>
                //   <h4>${invstgigatePrice[i].price}</h4>
                //   </div>`)
              }else if(invstgigatePrice[i].usertype_id == 4){
                $(varityPrices).append("<tr> <td> <h5>" + '  فئه 3'  +" </h5></td><td><h5>"+invstgigatePrice[i].price+"</h5></td><tr>");
                // $(varityPrices).append(`<div class="varity-data d-flex">
                //   <h4>  فئه 3 : </h4>
                //   <h4>${invstgigatePrice[i].price}</h4>
                //   </div>`)
              }else if(invstgigatePrice[i].usertype_id == 5){
                $(varityPrices).append("<tr> <td> <h5>" + ' فئه 4 '  +"</h5></td><td><h5>"+invstgigatePrice[i].price+"</h5></td><tr>");
                // $(varityPrices).append(`<div class="varity-data d-flex">
                //   <h4>  فئه 4 : </h4>
                //   <h4>${invstgigatePrice[i].price}</h4>
                //   </div>`)
              }
          }
           
          }
        }
    });
    </script>



    <?php include "includes/footer.php"; ?>


