<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="<?php echo $page_description ?>">
    <!-- Chrome, Firefox OS and Opera -->
    <meta name="theme-color" content="#00b5c8">
    <!-- Windows Phone -->
    <meta name="msapplication-navbutton-color" content="#00b5c8">
    <!-- Status Bar For iOS Safari -->
    <meta name="apple-mobile-web-app-capable" content="yes">
    <meta name="apple-mobile-web-app-status-bar-style" content="#00b5c8">
    <!-- Page Title For iOS Safari -->
    <meta name="apple-mobile-web-app-title" content="<?php echo $page_title ?>">
    <!-- Page Title -->
    <title><?php echo $page_title ?></title>
    <!-- OG Meta Tags -->
    <meta property="og:title" content="<?php echo $page_title ?>">
    <meta property="og:type" content="website">
    <meta property="og:url" content="<?php echo $page_url ?>">
    <meta property="og:image" content="<?php echo $page_img ?>">
    <meta property="og:description" content="<?php echo $page_description ?>">
    <!-- Twitter Cards -->
    <meta name="twitter:card" content="summary_large_image">
    <meta name="twitter:site" content="@">
    <meta name="twitter:creator" content="@" />
    <meta name="twitter:title" content="<?php echo $page_title ?>">
    <meta name="twitter:description" content="<?php echo $page_description ?>">
    <meta name="twitter:image" content="<?php echo $page_img ?>">
    <meta property="og:url" content="<?php echo $page_url ?>" />
    <!-- Windows Start Screen tile -->
    <meta name="application-name" content="<?php echo $page_title ?>">
    <meta name="msapplication-TileColor" content="#00b5c8">
    <!-- Bootstrap -->
    <link rel="stylesheet" href="layouts/css/bootstrap.min.css" media="all">
    <link rel="stylesheet" href="layouts/css/style.css" media="all">
    <link rel="stylesheet" href="layouts/css/print.css" media="print">
    <!-- App Manifest-->
    <link rel="manifest" href="layouts/js/manifest.json">
    <!-- FavIcon -->
    <link rel="shortcut icon" href="layouts/images/icon/favicon.ico">
    <!-- IOS Launch Screen Image -->
    <link rel="apple-touch-startup-image" href="layouts/images/icon/icon_largetile.png">
    <!-- iOS Safari -->
    <link rel="apple-touch-icon" href="layouts/images/icon/touch-icon-iphone.png">
    <link rel="apple-touch-icon" sizes="152x152" href="layouts/images/icon/touch-icon-ipad.png">
    <link rel="apple-touch-icon" sizes="180x180" href="layouts/images/icon/touch-icon-iphone-retina.png">
    <link rel="apple-touch-icon" sizes="167x167" href="layouts/images/icon/touch-icon-ipad-retina.png">
    <!-- Font Import -->
    <link href="https://fonts.googleapis.com/css?family=Cairo&display=swap" rel="stylesheet">
    <!-- [if lt IE 9]>
    <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
    [endif]
    -->
    <!-- font-awsome -->
    <link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.3.0/css/all.min.css" rel="stylesheet">

  </head>
  