<!-- ================= [ Rigester User Phone Modal ] ================= -->
<div class="modal" tabindex="-1" role="dialog" id="myModal">
  <div class="modal-dialog modal-dialog-centered" role="document">
    <div class="modal-content" style="border-radius: 25px;">
      <div class="modal-header">
        <button type="button" class="close mr-auto ml-0" data-dismiss="modal" aria-label="Close" onclick="closePop()">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body text-center">
        <p id="phoneMSG" class="text-center"></p>
        <p class="text-center"><?php echo $lang['reg_new_user']; ?></p>
        <div id="generalError" class="alert alert-danger text-sm my-2 d-none"></div>
        <p id="reg_nameErr" class="text-sm text-danger text-right mb-0"></p>
        <input type="text" name="name" placeholder="<?php echo $lang['name']; ?>" id="phoneName" class="form-control mb-3">
        <p id="phone_err" class="text-sm text-danger text-right mb-0"></p>
        <input type="number" name="name" placeholder="<?php echo $lang['phone']; ?>" id="phoneNumber" class="form-control">
      </div>
      <div class="modal-footer justify-content-between">
        <button type="button" class="btn btn-secondary btn-block my-0 mx-1" data-dismiss="modal" onclick="closePop()"><?php echo $lang['finish']; ?></button>
        <button type="button" class="btn btn-primary btn-block my-0 mx-1" id="phoneSubmit"><?php echo $lang['register']; ?></button>
      </div>
    </div>
  </div>
</div>


<!-- ================= [ Errors Modal ] ================= -->
<div class="modal" tabindex="-1" role="dialog" id="errorsModal">
  <div class="modal-dialog modal-dialog-centered" role="document">
    <div class="modal-content" style="border-radius: 25px;">
      <div class="modal-header">
        <button type="button" class="close mr-auto ml-0" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body text-center py-5">
        <h4 id="product_err" class="text-danger text-center text-right mb-0"></h4>
      </div>
      <div class="modal-footer justify-content-between">
        <button type="button" class="btn btn-dark btn-block my-0 mx-1" data-dismiss="modal"><?php echo $lang['finish']; ?></button>
      </div>
    </div>
  </div>
</div>
<div class="modal" tabindex="-1" role="dialog" id="SuccessModal">
    <div class="modal-dialog modal-dialog-centered" role="document">
        <div class="modal-content" style="border-radius: 25px;">
            <div class="modal-header">
                <button type="button" class="close mr-auto ml-0 finish" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body text-center py-5">
                <h4 id="success_msg" class="text-success text-center text-right mb-0"></h4>
            </div>
            <div class="modal-footer justify-content-between">
                <button type="button" class="btn btn-dark btn-block my-0 mx-1 finish expencesFinish" data-dismiss="modal" ><?php echo $lang['finish']; ?></button>
            </div>
        </div>
    </div>
</div>

<script>
    // ================= [ Modal After Closing ] =================
 function closePop() {
   $("#myModal .modal-body").html('');
   $("#myModal .modal-body").html(`
           <p id="phoneMSG" class="text-center"></p>
           <p class="text-center"><?php echo $lang['reg_new_user']; ?></p>
           <p id="reg_nameErr" class="text-sm text-danger text-right mb-0"></p>
           <input type="text" name="name" placeholder="<?php echo $lang['name']; ?>" id="phoneName" class="form-control mb-3">
           <p id="phone_err" class="text-sm text-danger text-right mb-0"></p>
           <input type="number" name="name" placeholder="<?php echo $lang['phone']; ?>" id="phoneNumber" class="form-control">
         `);
   $("#phoneSubmit").removeClass('d-none');
 }
 $(".close").click(function() {
   $(".modal").removeClass("show").css("display", "none");
 })
 $("btn.btn-dark.btn-block.my-0.mx-1").click(function() {
   $("#btnAddAddress").attr("disabled");
 });
 
</script>