<div class="bg-main no-print">
  <div class="v-height w-overlay py-2">
    <div class="container">
      <div class="row justify-content-center">
        <div class="col-md-8 first-section">
          <div class="row my-4">
            <div class="col-md-4">
              <h5 class="text-right text-muted text-uppercase font-weight-bold no-print"><?php echo $lang['selected_products']; ?></h5>
            </div>
            <div class="col-md-4">
              <p class="m-0"><?php echo $lang['total']; ?>: <span class="font-weight-bold" id="total">0</span></p>
            </div>
            <div class="col-md-4">
              <form id="product_code_form">
                <div class="input-group">
                  <input type="number" min="0" class="form-control form-control-sm rounded-0" placeholder="<?php echo $lang['product_code']; ?>" aria-label="product code" aria-describedby="product_code_btn" id="product_code_input" autocomplete="off" autofocus>
                  <div class="input-group-append">
                    <button class="btn btn-info border-0 btn-block btn-sm rounded-0" type="button" id="product_code_btn"><?php echo $lang['add']; ?></button>
                  </div>
                </div>
              </form>
            </div>
          </div>
          
          <table class="table table-bordered table-sm text-center" >
                  <thead class=" bg-white">
            <tr>
              <th><?php echo $lang['code']; ?></th>
              <th><?php echo $lang['name']; ?></th>
              <th><?php echo $lang['quantity']; ?></th>
              <th><?php echo $lang['price']; ?></th>
              <th class="no-print"><?php echo $lang['del']; ?></th>
            </tr>

            </thead>
           
            <tbody id="products" class="bg-light">
              <tr>
              
                <td colspan="5"><?php echo $lang['no_products']; ?></td>
              </tr>
              
            </tbody>
            
           
          </table>
          <div id="EShh" style="display: none; float:right;">
            <h4 class="d-inline">تكلفه الشحنه الزائده : </h4>
            <h5 id="extraShh" class="d-inline"> </h5>
          </div>
         
        </div>
        <div class="col-md-4">
          <div class="bg-white border shadow-sm p-2 text-right">
            <form id="getZoneByPhone">
              <div class="input-group mb-2">
                <input type="number" min="0" class="form-control form-control-sm rounded-0" placeholder="<?php echo $lang['phone']; ?>" aria-label="phone number" aria-describedby="addressPhoneSbmt" id="addressPhoneVal" autocomplete="off" autofocus>
                <input type="hidden" id="addressPhone" value="">
                <div class="input-group-append">
                  <button class="btn btn-primary btn-sm btn-block rounded-0" type="button" id="addressPhoneSbmt" onclick="addressPhoneSubmit()"><?php echo $lang['submit'] ?></button>
                </div>
                <div class="input-group-append mr-1">
                  <button class="btn btn-success btn-sm border-0 btn-block rounded-0" type="button" onclick="location.reload();"><?php echo $lang['new_opr']; ?></button>
                </div>
              </div>
            </form>
           
          </div>
        </div>
      </div>
    </div>
  </div>
</div>