<?php
  include "includes/config.php";
  // Page Seo Settings
  $page_title = 'Login |ATW Point of Sale';
  $page_description = 'Royal Bees is an online store where you can buy accessories for Woman, Men and Kids. Our products are designed in Europe and made from most precious gemstones and silver. We have wide range of luxurious products that will meet your needs.';
  $page_img = 'https://luxgems.co.uk/pos/layouts/images/og.png';
  $page_url = 'https://luxgems.co.uk/pos/login.php';
  $page = 'login';
  include "includes/header2.php";
  if (!isset($_SESSION['seller_token'])) {
    if(isset($_POST['login_btn'])){
      // Call Login API
      $arr = array('email' => $_POST['email'], 'password' => $_POST['password']);
      $results = postApi($api_link . 'seller/login', $arr);
      // Errors
      $error = array();
      if (isset($results['message']) && is_string($results['message']) && $results['code'] != 200 ) {$error[0] = $results['message'];}else{$error[0] = '';}
      if (isset($results['message']) && is_string($results['message']) && $results['code'] == 401 ) {$error[3] = $results['message'];}else{$error[3] = '';}
      if (isset($results['error']['email'])) {$error[1] = $results['error']['email'][0];}else{$error[1] = '';}
      if (isset($results['error']['password'])) {$error[2] = $results['error']['password'][0];}else{$error[2] = '';}
      // ./Errors
      
      if (isset($results['apitoken'])) {
        $_SESSION['seller_token'] = $results['apitoken'];
        $_SESSION['seller_name'] = $results['seller_name'];
        $_SESSION['seller_store_ID'] = $results['store_id'];
        $_SESSION['seller_store_name'] = $results['seller_store_name'];
        $_SESSION['seller_store_address'] = $results['seller_store_address'];
        echo "<script>document.location.replace('avilable_products.php')</script>";
      }
    }
  } else {echo "<script>document.location.replace('avilable_products.php')</script>";}
?>
    <div style="background: url('layouts/images/pos.webp') center; background-size: cover" id="homePage">
      <div class="overlay h-100 d-flex align-items-center">
        <div class="container">
          <div class="row justify-content-center">
            <div class="col-md-6">
              <div class="bg-white p-3 py-4 text-center">
                <img src="layouts/images/lux-new-logo.png" alt="Royal Bees" class="img-fluid" width="100">
                <h1 class="text-center my-4 text-muted text-uppercase font-weight-bold"><?php echo $lang['login']; ?></h1>
                <form method="post" action="<?php echo $_SERVER['PHP_SELF'];?>">
                  <?php if(isset($error[0]) && !empty($error[0])){ ?>
                  <div class="alert alert-danger rounded-0 text-sm p-2">
                    <?php echo $error[0]; ?>
                  </div>
                  <?php } ?>
                  <?php if(isset($error[3]) && !empty($error[3])){ ?>
                  <div class="alert alert-danger rounded-0 text-sm p-2">
                    <?php echo $error[3]; ?>
                  </div>
                  <?php } ?>
                  <div class="notifcation">
                    <?php if(isset($error[1]) && !empty($error[1])){ ?>
                      <p class="text-right alert alert-danger rounded-0 p-1 text-sm mb-0" id="error_email"><?php echo $error[1]; ?></p>
                    <?php }?>
                    <input class="form-control rounded-0 mb-3 <?php echo (isset($error[0]) && !empty($error[0]) || isset($error[1]) && !empty($error[1])? 'border border-danger' : 'border') ?>" type="email" placeholder="<?php echo $lang['email']; ?>" name="email" value="<?php echo (isset($_POST['email'])? $_POST['email'] : '') ?>" aria-label="email" dir="rtl" autocomplete="off">
                  </div>
                  <div class="notifcation">
                    <?php if(isset($error[2]) && !empty($error[2])){ ?>
                      <p class="text-right alert alert-danger rounded-0 p-1 text-sm mb-0" id="error_password"><?php echo $error[2]; ?></p>
                    <?php }?>
                    <input class="form-control rounded-0 mb-3 <?php echo (isset($error[0]) && !empty($error[0]) || isset($error[2]) && !empty($error[2])? 'border border-danger' : 'border') ?>" type="password" placeholder="<?php echo $lang['password']; ?>" name="password" aria-label="password" dir="rtl">
                  </div>
                  <button class="btn btn-primary btn-block rounded-0 my-3" type="submit" name="login_btn"><i class="flaticon-login mr-2"></i><?php echo $lang['enter']; ?></button>
                </form>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <?php include "includes/footer.php"; ?>
