<?php
$page = 'payroll';
$nav = 'payroll';
$navCat ='User';
include "includes/config.php";
// Page Seo Settings
$page_title = 'Payroll  |ATW Point of Sale';
$page_description = 'Royal Bees is an online store where you can buy accessories for Woman, Men and Kids. Our products are designed in Europe and made from most precious gemstones and silver. We have wide range of luxurious products that will meet your needs.';
$page_img = 'https://luxgems.co.uk/pos/layouts/images/og.png';
// $page_url = 'https://luxgems.co.uk/pos/checkout';
include "includes/header2.php";
include "includes/navBar.php";

if (isset($_SESSION['seller_token'])) {
    $p = '';
    $api_token = $_SESSION['seller_token'];
} else {
    echo "<script>document.location.replace('./')</script>";
}
?>
<div class="bg-main no-print">
    <div class="w-overlay py-3 v-height text-right">
    
        <div class="container">
            <div class="mb-4 mt-0  progressbar-container">
            <?php include "includes/partials/progressbar.php"; ?>
            </div>
    
            <div class="col-md-12 first-section">
                <h4 class="text-center text-muted text-uppercase font-weight-bold no-print">
                <?php echo $lang['payroll']; ?>
                </h4>
            </div>
            <div class="mt-4">
              <div class="card">
                <div class="card-header d-flex justify-content-around flex-wrap">
                    <h5 class="text-center text-muted text-uppercase font-weight-bold no-print">
                    <span class="font-weight-bold"> الاسم : </span>  <?php echo $_SESSION['seller_name']; ?>
                    </h5>
                    <h5 class="text-center text-muted text-uppercase font-weight-bold no-print" id="date">
                    </h5>
                </div>
                <div class="card-body ">
                    <h5 class="card-title">
                        <span class="font-weight-bold">النسبة المحققه : </span>
                        <span id="target"></span>
                    </h5>
                    <div class="d-flex justify-content-around flex-wrap">
                        <h5 class="card-title">
                            <span class="font-weight-bold">المرتب الكلي : </span>
                            <span id="grossSalary"></span>
                        </h5>
                        <h5 class="card-title">
                            <span class="font-weight-bold"> صافي المرتب :  </span>
                            <span id="netSalary"></span>
                        </h5>
                    </div>
                </div>
                </div>
            </div>
            <div class="mt-5">
                <h5 class="p-3 mb-2 bg-info text-white rounded w-25 text-center font-weight-bold"> <?php echo $lang['payroll']; ?></h5>
                <div class="table-responsive mt-3">
                    <table class="table table-striped text-center">
                        <thead>
                            <tr>
                            <th scope="col"></th>
                            <th scope="col"><?php echo $lang['amount']; ?></th>
                            <th scope="col"><?php echo $lang['reason']; ?></th>
                            <th scope="col"><?php echo $lang['details']; ?></th>
                            <th scope="col"><?php echo $lang['createdat']; ?></th>
                            </tr>
                        </thead>
                        <tbody id="payrollTransactions">
                        </tbody>
                    </table>
             </div>
         </div>
     </div>
  </div>
</div>

<script src="layouts/js/jquery-3.3.1.min.js"></script>
<script src="layouts/js/jquery.validate.js"></script>
<?php include "includes/partials/modals.php"; ?>
<script>
    $('.progressbar-container').css('display' , 'none')
function payroll(){
    $('.progressbar-container').css('display' , 'block')
$.ajax({
    url: '<?php echo $api_link; ?>v1/payroll/my-payroll?api_token=<?php echo $_SESSION['seller_token']; ?>',
    method: 'GET',
    success: function(response) {
        $('.progressbar-container').css('display' , 'none')
     let date ='';
     patchDate = response.data.payroll_batch.month + ', '+ response.data.payroll_batch.year
     previousPatchDate = response.data.previous_payroll_batch.month + ', '+ response.data.previous_payroll_batch.year

     $('#date').text(patchDate)
     $('#grossSalary').text(response.data.salary)
     $('#netSalary').text(response.data.net_salary)
     $('#target').text(response.data.target_percentage +' %')

     //Patch
        $('#payrollTransactions').append(`
            <div> 
                <u><h4 class=" text-muted text-right">${patchDate}</h4> </u>
            </div>
       `)
     if(response.data.payroll_transactions.length == 0){
        $('#payrollTransactions').append(`
          <tr class="d-flex justify-content-center">
            <td>
              <h5 class="text-center text-muted text-uppercase font-weight-bold " id="sorry"><?php echo $lang['payroll_sorry'] ?></h5>
            </td>
          </tr>

        `)
     } else{
            for (let i = 0; i < response.data.payroll_transactions.length; i++) {
            $('#payrollTransactions').append(`
                <tr class="payrollDetail">
                <td class="varyType">${varyType(response.data.payroll_transactions[i].vary_type)}</td>
                <td>${response.data.payroll_transactions[i].amount}</td>
                <td>${response.data.payroll_transactions[i].reason} </td>
                <td>${response.data.payroll_transactions[i].details} </td>
                <td>${response.data.payroll_transactions[i].created_at} </td>
                </tr>
            `)
            }
       }
     //PreviousPatch
        $('#payrollTransactions').append(`
            <div>
                 <u><h4 class="text-right text-muted">${previousPatchDate}</h4> </u>
                 <h5 class="card-title">
                        <span class="font-weight-bold">صافي المرتب المُستلم :  </span>
                        <span >${response.data.previous_net_salary} جنيه</span>
                    </h5>
            </div>
       `)
       if(response.data.previous_payroll_transactions.length == 0){
        $('#payrollTransactions').append(`
          <tr class="d-flex justify-content-center">
            <td>
              <h5 class="text-center text-muted text-uppercase font-weight-bold "><?php echo $lang['payroll_sorry'] ?></h5>
            </td>
          </tr>

        `)
     } else{
            for (let i = 0; i < response.data.previous_payroll_transactions.length; i++) {
                $('#payrollTransactions').append(`
                    <tr class="payrollDetail">
                    <td class="varyType">${varyType(response.data.previous_payroll_transactions[i].vary_type)}</td>
                    <td>${response.data.previous_payroll_transactions[i].amount}</td>
                    <td>${response.data.previous_payroll_transactions[i].reason} </td>
                    <td>${response.data.previous_payroll_transactions[i].details} </td>
                    <td>${response.data.previous_payroll_transactions[i].created_at} </td>
                    </tr>
                `)
            }
       }
        varyTypeBgColor()

    },
    error: function(response){
        $('.progressbar-container').css('display' , 'none')
        $("#errorsModal").modal('show');
         $("#product_err").text(response.responseJSON.message);
    }

});
}
function varyType (type) {
    return type == 'decrease' ? '-' : '+'
}
function varyTypeBgColor(){
    let varyTypes = document.querySelectorAll('.varyType')
        for(let i = 0; i < varyTypes.length; i++){
            if(varyTypes[i].innerHTML == '-'){
                $(varyTypes[i]).addClass('bg-danger text-white')

            } else if(varyTypes[i].innerHTML == '+'){
                $(varyTypes[i]).addClass('bg-success text-white')
            }
        }
}

payroll()

</script>
<?php include "includes/footer.php"; ?>