<?php
$page = 'SafeDetails';
$nav = 'SafeDetails';
$navCat= 'Safe';
include "includes/config.php";
// Page Seo Settings
$page_title = 'SafeDetails |ATW Point of Sale';
$page_description = 'Royal Bees is an online store where you can buy accessories for Woman, Men and Kids. Our products are designed in Europe and made from most precious gemstones and silver. We have wide range of luxurious products that will meet your needs.';
$page_img = 'https://luxgems.co.uk/pos/layouts/images/og.png';
$page_url = 'https://luxgems.co.uk/pos/Safe';
include "includes/header2.php";
include "includes/navBar.php";

if(isset($_GET['page']) && !is_null($_GET['page'])){$page_number = $_GET['page'];}
else{$page_number=1;}
if (isset($_SESSION['seller_token'])) {
    $p = '';
    
} else {
    echo "<script>document.location.replace('./')</script>";
}

?>
<div class="bg-main no-print">
    <div class="w-overlay py-3 v-height text-right">
        <div class="container">
            <p>
                <a href="Safe.php" class="showmorebtn mb-5">
                        <strong>
                        <i class="fa-solid fa-arrow-right"></i>
                        الرجوع الى الخزنه   
                    
                        </strong>
                </a>
            </p>
          
            <div class="card mb-5" style="width: 25rem;">
                <div class="card-header custom-header">
                        <b>
                            <h5 class="text-right text-white text-uppercase font-weight-bold no-print">
                        
                        تفاصيل الخزنه
                            </h5>
                        </b>
                </div>
                <div class="card-body">
                    <ul class="list-group list-group-flush">
                        <li class="list-group-item">
                            <h6 class="text-center text-muted text-uppercase font-weight-bold no-print">
                                <span class="font-weight-bold"> اجمالى  الخزنه : </span>  
                                <span id="totalsafe"></span>
                            </h6>
                        </li>
                        <li class="list-group-item"> 
                            <h6 class="text-center text-muted text-uppercase font-weight-bold no-print">
                                <span class="font-weight-bold">   نقدا : </span>  
                                <span id="totalCash"></span>
                            </h6></li>
                        <li class="list-group-item">
                            <h6 class="text-center text-muted text-uppercase font-weight-bold no-print">
                                <span class="font-weight-bold">   فيزا : </span>  
                                <span id="totalvisa"></span>
                            </h6>
                        </li>
                        <li class="list-group-item">
                            <h6 class="text-center text-muted text-uppercase font-weight-bold no-print">
                                <span class="font-weight-bold">   الوارد : </span>  
                                <span id="total_in"></span>
                            </h6>
                        </li>
                        <li class="list-group-item">
                            <h6 class="text-center text-muted text-uppercase font-weight-bold no-print">
                                <span class="font-weight-bold">   الصادر : </span>  
                                <span id="total_out"></span>
                            </h6>
                        </li>
                    
                    </ul>
                </div>
                
            </div> 
            <div class="card  mb-3">
                <div class="card-header d-flex justify-content-between text-right flex-column flex-wrap">
                        <h5 class=" text-muted text-uppercase font-weight-bold no-print">
                            <span>
                           اجمالى الوارد اخر 7 ايام : 
                            </span>
                            <span id="seven_total_in">

                            </span>
                        </h5>
                        
                </div>
                <div class="card-body">
                   
                    <div class="table-responsive ">
                        <table class="table table-striped text-center">
                            <thead>
                                <tr class="custom-header">
                                    <th scope="col"><?php echo $lang['type']; ?></th>
                                    <th scope="col"><?php echo $lang['amount']; ?></th>
                                </tr>
                            </thead>
                            <tbody id="safesevenIn">
                            
                            </tbody>
                        </table>
                      
                    </div>
                </div>
            </div>
            <div class="card mb-3">
                <div class="card-header d-flex justify-content-between text-right flex-column flex-wrap">
                        <h5 class=" text-muted text-uppercase font-weight-bold no-print">
                             <span>
                           اجمالى الصادر اخر 7 ايام : 
                            </span>
                            <span id="seven_total_out">

                            </span>
                        </h5>
                        
                </div>
                <div class="card-body">
                   
                    <div class="table-responsive ">
                        <table class="table table-striped text-center">
                            <thead>
                                <tr class="custom-header">
                                    <th scope="col"><?php echo $lang['type']; ?></th>
                                    <th scope="col"><?php echo $lang['amount']; ?></th>
                                </tr>
                            </thead>
                            <tbody id="safesevenOut">
                            
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
          
        </div>
           
    </div>
</div>
<?php include "includes/footer.php"; ?>
<?php include "includes/partials/modals.php"; ?>
<script>
      let pageNumber = 1;
    function safeTransactions(){
        $.ajax({
        url: `<?php echo $api_link; ?>seller/store-safe-transactions`,
        data: 
        {
            "api_token": '<?php echo $_SESSION['seller_token']; ?>',
            "page":pageNumber,
            
        },
        method: 'POST',
        success: function(response) {
            $('#totalsafe').text(response.safe.total_balance)
            $('#totalCash').text(response.safe.cash_balance)
            $('#totalvisa').text(response.safe.visa_balance)
            $('#total_in').text(response.safe.total_in)
            $('#total_out').text(response.safe.total_out)
            $('#seven_total_in').text(response.safe.last_7_days_total_in)
            $('#seven_total_out').text(response.safe.last_7_days_total_out)

            let sevenTotoalInDetails = response.safe.last_7_days_total_in_detailed
            let sevenTotoalOutDetails = response.safe.last_7_days_total_out_detailed
            for (const key in sevenTotoalInDetails) {
                $('#safesevenIn').append(`
                    <tr>
                        <td>${key}</td>
                        <td>${sevenTotoalInDetails[key]}</td>
                    </tr>
                `)
            }
            for (const key in sevenTotoalOutDetails) {
                $('#safesevenOut').append(`
                    <tr>
                        <td>${key}</td>
                        <td>${sevenTotoalOutDetails[key]}</td>
                    </tr>
                `)
               
            }
                
             
        },

        error: function(response){
            $("#errorsModal").modal('show');
            $("#product_err").text(response.responseJSON.message);
        }
      });
   }
   safeTransactions();
</script>
