<?php
$page = 'transfersRequests';
$nav = 'transfersRequests';
$navCat= 'addorder';
include "includes/config.php";
// Page Seo Settings
$page_title = 'transfersRequests |ATW Point of Sale';
$page_description = 'Royal Bees is an online store where you can buy accessories for Woman, Men and Kids. Our products are designed in Europe and made from most precious gemstones and silver. We have wide range of luxurious products that will meet your needs.';
$page_img = 'https://luxgems.co.uk/pos/layouts/images/og.png';
$page_url = 'https://luxgems.co.uk/pos/transfersRequests';
include "includes/header2.php";
include "includes/navBar.php";

if (isset($_SESSION['seller_token'])) {
    $p = '';
    $arr = array('api_token' => $_SESSION['seller_token']);
} else {
    echo "<script>document.location.replace('./')</script>";
}
?>
<div class="bg-main no-print mt-4">
    <div class="v-height w-overlay py-2">
        <div class="container">
            <div class="text-right">
                        <h5 class="text-right text-muted text-uppercase font-weight-bold no-print">طلبيات التحويل</h5>
                        <hr>
                    <from>
                        <div class="form-row">
                                <div class="form-group col-md-3 col-10">
                                    <label for="from"><?php echo $lang['from']; ?></label>
                                    <input type="date" class="form-control text-right" id="from" >

                                </div>
                                <div class="form-group col-md-3 col-10">
                                    <label for="to"><?php echo $lang['to']; ?></label>
                                    <input type="date" class="form-control text-right" id="to" >

                                </div>
                        </div>
                    </from>
                    <div class="row mt-4" id="Requests">

                    </div>
                    <div class="noData">
                        <?php echo $lang['noRequests'];?>
                    </div>
            </div>
            <div class="justify-content-center">
                <nav aria-label="Page navigation example ">
                    <ul class="pagination d-flex justify-content-center" id="pagination">
                        
                    </ul>
                </nav>
            </div>
        </div>
    </div>
</div>

<script src="layouts/js/jquery-3.3.1.min.js"></script>
<script src="layouts/js/JsBarcode.all.min.js"></script>
<script src="layouts/js/jquery.validate.js"></script>
<?php include "includes/partials/modals.php"; ?>
<script>
    let date = new Date();
    function getPreviousDay(date) {
        const previous = new Date(date.getTime());
        previous.setDate(date.getDate() - 1);

        return previous;
    }
    function padTo2Digits(num) {
     return num.toString().padStart(2, '0');
    }

    function formatDate(date) {
        return [
            date.getFullYear(),
            padTo2Digits(date.getMonth() + 1),
            padTo2Digits(date.getDate()),
        ].join('-');
    }
    let yesterday = formatDate(getPreviousDay(date));
    document.getElementById("from").value = yesterday;
    document.getElementById("to").value = formatDate(date);

    let pageNumber = 1;
    let fromDate =  document.getElementById("from").value;
    let toDate = document.getElementById("to").value;
    function getShipOrdersRequests(page){
        pageNumber= page;
        $('.pagination').html('')
        $('#Requests').html('')
     
        $.ajax({
            url: `<?php echo $api_link; ?>seller/all_transfer_requests?per_page=10&api_token=<?php echo $_SESSION['seller_token']; ?>&date_from=${fromDate}&date_to=${toDate}&page=${page}`,
            data: {
            },
            method: 'GET',
            success: function(response) {
                $('.noData').css('display', 'none')
                if(response.data.length > 0){
                    for (let i = 0; i < response.data.length; i++) {
                        $('#Requests').append(`
                            <div class="col-md-11">
                                <div class="card border-secondary mb-3">
                                    <div class="card-body">
                                       <p><span class="font-weight-bold">الحالة : </span><span class="status">${response.data[i].status}</span></p>
                                        <p><span class="font-weight-bold">انشئت في : </span><span>${response.data[i].created_at}</span></p>
                                        <p class="d-flex flex_gap">
                                            <span>
                                                <span class="font-weight-bold"> من فرع : </span>
                                                <span>${response.data[i].store}</span>
                                            </span>
                                            <span>
                                                <span class="font-weight-bold">الي فرع : </span>
                                                <span>${response.data[i].to_store}</span>
                                            </span>
                                           
                                        </p>
                                        <table class="table table-striped text-center">
                                            <thead>
                                                <tr>
                                                    <th scope="col"><?php echo $lang['product_code']; ?></th>
                                                    <th scope="col"><?php echo $lang['name']; ?></th>
                                                    <th scope="col"><?php echo $lang['quantity']; ?></th>
                                                  
                                                </tr>
                                            </thead>
                                            <tbody id="attendenceSheet">
                                                <tr>
                                                    <td>${response.data[i].unique_id}</td>
                                                    <td>${response.data[i].product_name}</td>
                                                    <td>${response.data[i].quantity}</td>
                                                  
                                                </tr>
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                        
                        `)
                    }
                    let pages = Math.ceil( response.meta.total / response.meta.per_page)
                    let pagenationBody = pagenation(pageNumber , pages);
                    document.getElementById("pagination").innerHTML = pagenationBody;
                    $('.pagination').append(`
                        <li class="page-item">
                            <button class="page-link" onclick="getShipOrdersRequests(${pageNumber+1})" aria-label="Next" id="Next">
                                <span aria-hidden="true">&raquo;</span>
                                <span class="sr-only">Next</span>
                            </button>
                            </li>
                    `);
                        
                    if(pages == 1){
            
                        $('#Previouss').addClass('disabled');
                        $('#Next').addClass('disabled');
                        $('#Next').prop('disabled', true);
                        $('#Previouss').prop('disabled', true);

                    }
                    if(pageNumber == 1){
                        $('#Previouss').prop('disabled', true);
                        $('#Previouss').addClass('disabled');
                    }
                    if(pageNumber == pages){
                        $('#Next').prop('disabled', true);
                        $('#Next').addClass('disabled');
                    }
                    let ppps = document.querySelectorAll('.page-link')
                    for(let i = 0; i < ppps.length; i++){
                        if($(ppps[i]).text() == pageNumber){
                            $(ppps[i]).addClass('pagenationActive')
                        }
                    }
                    statusColor();
                }
                else{
                    $('.noData').css('display', 'block')
                }
            },
            error: function(request, status, error) {
                    $("#errorsModal").modal('show');
                    $("#product_err").text(request.responseJSON.errors.date_from);
            }
        })
    }

    function pagenation(PageNumber , Pages){
        var HTML = "";
            HTML += `<li class="page-item">
                    <button class="page-link" id="Previouss" onclick="getShipOrdersRequests(${PageNumber-1})" aria-label="Previous" >
                        <span aria-hidden="true">&laquo;</span>
                        <span class="sr-only">Previous</span>
                    </button>
                    </li>`
        if (Pages <= 5) {
            for (j = 1; j <= Pages; j++) {
                    HTML +=  `<li class="page-item"><button class="page-link" onclick="getShipOrdersRequests(${j})">${j}</button></li>`

                }
        }
        else {

            // Always print first page button
            HTML +=  `<li class="page-item"><button class="page-link" onclick="getShipOrdersRequests(1)">1</button></li>`

            // Print "..." only if currentPage is > 3
            if (PageNumber > 3) {
                HTML += `<li class="page-item"><i class="fa-solid fa-ellipsis m-3"></i></li>`;
            }

            // special case where last page is selected...
            if (PageNumber == Pages) {
                HTML +=  `<li class="page-item"><button class="page-link" onclick="getShipOrdersRequests(${PageNumber-2})">${PageNumber-2}</button></li>`;
            }

            // Print previous number button if currentPage > 2
            if (PageNumber > 2) {
                HTML += `<li class="page-item"><button class="page-link" onclick="getShipOrdersRequests(${PageNumber-1})">${PageNumber-1}</button></li>`;
            }

            //Print current page number button as long as it not the first or last page
            if (PageNumber != 1 && PageNumber != Pages) {
                    HTML += `<li class="page-item"><button class="page-link" onclick="getShipOrdersRequests(${PageNumber})">${PageNumber}</button></li>`
            }

            //print next number button if PageNumber < lastPage - 1
            if (PageNumber < Pages - 1) {
                HTML +=  `<li class="page-item"><button class="page-link" onclick="getShipOrdersRequests(${PageNumber+1})">${PageNumber+1}</button></li>`
            }

            // special case where first page is selected...
            if (PageNumber == 1) {
                HTML +=  `<li class="page-item"><button class="page-link" onclick="getShipOrdersRequests(${PageNumber+2})">${PageNumber+2}</button></li>`
            }

            //print "..." if PageNumber is < lastPage -2
            if (PageNumber < Pages - 2) {
            HTML += `<li class="page-item"><i class="fa-solid fa-ellipsis m-3"></i></li>`;
            }

            //Always print last page button if there is more than 1 page
            HTML +=`<li class="page-item"><button class="page-link" onclick="getShipOrdersRequests(${Pages})">${Pages}</button></li>`;
        }
        return HTML;
    }
    getShipOrdersRequests(pageNumber);

    function statusColor(){
        let statuses = document.querySelectorAll('.status')
        for (let index = 0; index < statuses.length; index++) {
            if($(statuses[index]).text() === 'مرفوض'){
            $(statuses[index]).addClass('text-danger');
            }
            if($(statuses[index]).text() === 'مقبول'){
                $(statuses[index]).addClass('text-success');
            }
            if($(statuses[index]).text() === 'قيد الانتظار'){
                $(statuses[index]).addClass('text-warning');
            }
            
        }


    }
    document.getElementById("from").addEventListener("change", (event) => {
        fromDate =document.getElementById("from").value;
        getShipOrdersRequests(pageNumber);
    });
    document.getElementById("to").addEventListener("change", (event) => {
        toDate =document.getElementById("to").value;
        getShipOrdersRequests(pageNumber);
    });
</script>
<?php include "includes/footer.php"; ?>