<html lang="en">
  <head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="<?php echo $page_description ?>">
    <!-- Chrome, Firefox OS and Opera -->
    <meta name="theme-color" content="#00b5c8">
    <!-- Windows Phone -->
    <meta name="msapplication-navbutton-color" content="#00b5c8">
    <!-- Status Bar For iOS Safari -->
    <meta name="apple-mobile-web-app-capable" content="yes">
    <meta name="apple-mobile-web-app-status-bar-style" content="#00b5c8">
    <!-- Page Title For iOS Safari -->
    <meta name="apple-mobile-web-app-title" content="<?php echo $page_title ?>">
    <!-- Page Title -->
    <title><?php echo $page_title ?></title>
    <!-- OG Meta Tags -->
    <meta property="og:title" content="<?php echo $page_title ?>">
    <meta property="og:type" content="website">
    <meta property="og:url" content="<?php echo $page_url ?>">
    <meta property="og:image" content="<?php echo $page_img ?>">
    <meta property="og:description" content="<?php echo $page_description ?>">
    <!-- Twitter Cards -->
    <meta name="twitter:card" content="summary_large_image">
    <meta name="twitter:site" content="@">
    <meta name="twitter:creator" content="@" />
    <meta name="twitter:title" content="<?php echo $page_title ?>">
    <meta name="twitter:description" content="<?php echo $page_description ?>">
    <meta name="twitter:image" content="<?php echo $page_img ?>">
    <meta property="og:url" content="<?php echo $page_url ?>" />
    <!-- Windows Start Screen tile -->
    <meta name="application-name" content="<?php echo $page_title ?>">
    <meta name="msapplication-TileColor" content="#00b5c8">
    <!-- Bootstrap -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.0.0/css/bootstrap.css" media="all">
    <!-- <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous"> -->
    <link rel="stylesheet" href="layouts/css/style.css" media="all">
    <link rel="stylesheet" href="layouts/css/print.css" media="print">
    <!-- App Manifest-->
    <link rel="manifest" href="layouts/js/manifest.json">
    <!-- FavIcon -->
    <link rel="shortcut icon" href="layouts/images/icon/favicon.ico">
    <!-- IOS Launch Screen Image -->
    <link rel="apple-touch-startup-image" href="layouts/images/icon/icon_largetile.png">
    <!-- iOS Safari -->
    <link rel="apple-touch-icon" href="layouts/images/icon/touch-icon-iphone.png">
    <link rel="apple-touch-icon" sizes="152x152" href="layouts/images/icon/touch-icon-ipad.png">
    <link rel="apple-touch-icon" sizes="180x180" href="layouts/images/icon/touch-icon-iphone-retina.png">
    <link rel="apple-touch-icon" sizes="167x167" href="layouts/images/icon/touch-icon-ipad-retina.png">
    <!-- Font Import -->
    <link href="https://fonts.googleapis.com/css?family=Cairo&display=swap" rel="stylesheet">
    <!-- [if lt IE 9]>
    <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
    [endif]
    -->
    <style>
        @import url(https://fonts.googleapis.com/css?family=Saira+Semi+Condensed:100,400,700);
 body {
	 background-color: #fff;
	 text-align: center;
	 font-family: 'Saira Semi Condensed', sans-serif;
}
 .nav-inline {
	 padding: 0;
}
 .nav-inline .navbar-nav .nav-item {
	 position: static;
}
 .nav-inline .navbar-nav .nav-item .nav-link {
	 padding: 15px;
}
 .nav-inline .navbar-nav .nav-item .nav-link[aria-expanded="true"] {
	 background-color: #f2f2f2;
}
 .nav-inline .navbar-nav .nav-item.show:before {
	 content: " ";
	 display: block;
	 background: #f2f2f2;
	 position: absolute;
	 width: 100%;
	 height: 50px;
	 top: 100%;
	 right: 0;
	 left: 0;
}
 @media (max-width: 767px) {
	 .nav-inline .navbar-nav .nav-item.show:before {
		 display: none;
	}
}
 .nav-inline .navbar-nav .dropdown-menu {
	 left: 0 !important;
	 right: 0 !important;
	 box-shadow: none;
	 border: none;
	 margin: 0 auto;
	 max-width: 1140px;
	 background: transparent;
	 padding: 0;
}
 .nav-inline .navbar-nav .dropdown-menu.show {
	 display: flex;
}
 .nav-inline .navbar-nav .dropdown-menu .dropdown-item {
	 width: auto;
	 padding: 13px 15px;
}

 
    </style>
  </head>
  <body class="bg-light"  dir="rtl">

 <nav class="navbar navbar-expand-lg nav-inline navbar-light bg-light">
    <div class="container">
      <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation"><span class="navbar-toggler-icon"></span></button>
      <a class="navbar-brand" href="avilable_products.php" title="Royal Bees">
        <img class="img-fluid hvr-bounce-in" src="layouts/images/logo.png" alt="Royal Bees" style="width: 75px">
    </a>
      <div class="collapse navbar-collapse" id="navbarSupportedContent">
        <ul class="navbar-nav mr-auto">
          <li class="nav-item dropdown"><a class="nav-link dropdown-toggle" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">انشاء فاتورة</a>
            <div class="dropdown-menu" aria-labelledby="navbarDropdown">
              <a href="avilable_products.php" class="nav-link">aaa1</a>
            <a href="refund.php" class="nav-link <?php echo ($nav == 'refund'? 'active':'') ?>">aaa12</a>
            <a href="products_present.php" class="nav-link  <?php echo ($nav == 'present'? 'active':'') ?>">هدايا</a>

            </div>
          </li>
          <li class="nav-item dropdown">
            <a class="nav-link dropdown-toggle" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"> الاستعلام عن المنتجات</a>
            <div class="dropdown-menu" aria-labelledby="navbarDropdown">
            <a href="checkout.php" class="nav-link"><?php echo $lang['product_details']; ?></a>
            <a href="Wholesale.php" class="nav-link">الكميات المتاحه لكل المنتجات</a>
            </div>
          </li>

          <li class="nav-item dropdown">
            <a class="nav-link dropdown-toggle" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"> انشاء واستعلام عن الطلبات</a>
            <div class="dropdown-menu" aria-labelledby="navbarDropdown">
            <a href="shipOrder.php" class="nav-link">شحن طلبيه</a>
            <a href="transfer.php" class="nav-link">تحويل طلبيه</a>
            <a href="approvement.php" class="nav-link">طلبات التحويل </a>
            </div>
          </li>
          <li class="nav-item dropdown">
            <a class="nav-link dropdown-toggle" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"> السجلات</a>
            <div class="dropdown-menu" aria-labelledby="navbarDropdown">
            <a href="history.php" class="nav-link"><?php echo $lang['log']; ?></a>
            <a href="income.php" class="nav-link"><?php echo $lang['income_log']; ?></a>
            </div>
          </li>

          <li class="nav-item dropdown">
            <a class="nav-link dropdown-toggle" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"> المصروفات</a>
            <div class="dropdown-menu" aria-labelledby="navbarDropdown">
            <a href="Expenses.php" class="nav-link">اضافه مصروفات</a>
            <a href="showExpenses.php" class="nav-link sub-link"> المصروفات</a>
            </div>
          </li>
          <li class="nav-item dropdown">
            <a class="nav-link dropdown-toggle" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"> السلفه</a>
            <div class="dropdown-menu" aria-labelledby="navbarDropdown">
            <a href="addBorowing.php" class="nav-link">اضافه سلفه</a>
            <a href="Borowing.php" class="nav-link"> السلفات</a>
            </div>
          </li>

        </ul>
      </div>
    </div>
  </nav>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.3.1/jquery.js" defer></script>  
    <script src="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.0.0/js/bootstrap.min.js" defer></script>  
  </body>
</html>
