<?php
$page = 'Borowings';
$nav = 'Borowings';
$navCat ='Borowing';
include "includes/config.php";
// Page Seo Settings
$page_title = 'Borrowings  |ATW Point of Sale';
$page_description = 'Royal Bees is an online store where you can buy accessories for Woman, Men and Kids. Our products are designed in Europe and made from most precious gemstones and silver. We have wide range of luxurious products that will meet your needs.';
$page_img = 'https://luxgems.co.uk/pos/layouts/images/og.png';
$page_url = 'https://luxgems.co.uk/pos/checkout';
include "includes/header2.php";
include "includes/navBar.php";

if (isset($_SESSION['seller_token'])) {
    $p = '';
    $api_token = $_SESSION['seller_token'];
} else {
    echo "<script>document.location.replace('./')</script>";
}
?>
<div class="bg-main no-print">
        <div class="w-overlay py-3 v-height text-right">
          <div class="container">
                 <div class="row justify-content-center">
                    <div class="col-md-12 first-section">
                        <h5 class="text-right text-muted text-uppercase font-weight-bold no-print">
                        السلفه
                        </h5>
                    </div>
                    <h3 class="text-center mt-5 text-muted text-uppercase font-weight-bold d-none " id="sorry"><?php echo $lang['borrowings_sorry'] ?></h3>

                 </div>
   
                <div class="borrowings row mt-4 " id="borrowings">

                </div>
           </div>
        <div class="justify-content-center">
                <nav aria-label="Page navigation example ">
                    <ul class="pagination d-flex justify-content-center" id="pagination">
                       
                    </ul>
                    </nav>
                </div>
        </div>
</div>

<script src="layouts/js/jquery-3.3.1.min.js"></script>
<script src="layouts/js/jquery.validate.js"></script>
<?php include "includes/partials/modals.php"; ?>
<script>

let pageNumber = 1;
function Borrowings(page){
    pageNumber= page;
    $('.pagination').html('')
    $('#borrowings').html('')
   var settings = {
    "url": `<?php echo $api_link; ?>v1/borrowing-requests?api_token=<?php echo $_SESSION['seller_token']; ?>&page=${page}`,
    "method": "GET",
    "timeout": 0,
    };

    $.ajax(settings).done(function (response) {
        if(response.data.length < 1){
            $('#sorry').addClass('display')
        } else{
            for(let i = 0; i < response.data.length; i++){
                if(response.data[i].status == 'accepted'){
                    console.log(1);
                    $('#borrowings').append(`
                        <div class="col-md-4">
                        <div class="card border-secondary mb-3">
                        <div class="card-body">
                        <p><span class="font-weight-bold">القيمه المطلوبه : </span><span>${response.data[i].requested_amount}</span></p>
                        <p><span class="font-weight-bold">القيمه الموافق عليها  : </span><span>${response.data[i].approved_amount}</span></p>
                        <p><span class="font-weight-bold">  عدد الاقساط  : </span><span>${response.data[i].installments_numbers}</span></p>
                        <p><span class="font-weight-bold">السبب : </span><span>${response.data[i].reason}</span></p>
                        <p><span class="font-weight-bold">الحاله : </span><span class="text-success">${response.data[i].status}</span></p>
                        </div>
                        </div>
                        </div>
                    
                    `)
                }
                    if(response.data[i].status == 'rejected'){
                        console.log(2);
                        $('#borrowings').append(`
                            <div class="col-md-4">
                            <div class="card border-secondary mb-3">
                            <div class="card-body">
                            <p><span class="font-weight-bold">القيمه المطلوبه : </span><span>${response.data[i].requested_amount}</span></p>
                            <p><span class="font-weight-bold">القيمه الموافق عليها  : </span><span>${response.data[i].approved_amount}</span></p>
                            <p><span class="font-weight-bold">  عدد الاقساط  : </span><span>${response.data[i].installments_numbers}</span></p>
                            <p><span class="font-weight-bold">السبب : </span><span>${response.data[i].reason}</span></p>
                            <p><span class="font-weight-bold">الحاله : </span><span class="text-danger">${response.data[i].status}</span></p>
                            </div>
                            </div>
                            </div>
                        
                        `)
                    }
                    if(response.data[i].status == 'pending'){
                        console.log(2);
                        $('#borrowings').append(`
                            <div class="col-md-4">
                            <div class="card border-secondary mb-3">
                            <div class="card-body">
                            <p><span class="font-weight-bold">القيمه المطلوبه : </span><span>${response.data[i].requested_amount}</span></p>
                            <p><span class="font-weight-bold">القيمه الموافق عليها  : </span><span>${response.data[i].approved_amount}</span></p>
                            <p><span class="font-weight-bold">  عدد الاقساط  : </span><span>${response.data[i].installments_numbers}</span></p>
                            <p><span class="font-weight-bold">السبب : </span><span>${response.data[i].reason}</span></p>
                            <p><span class="font-weight-bold">الحاله : </span><span class="text-warning">${response.data[i].status}</span></p>
                            </div>
                            </div>
                            </div>
                        
                        `)
                    }
            }                
                      
        let pages = Math.ceil( response.meta.total / response.meta.per_page)

              var HTML = "";
              HTML += `<li class="page-item">
                        <button class="page-link" id="Previouss" onclick="Borrowings(${pageNumber-1})" aria-label="Previous" >
                            <span aria-hidden="true">&laquo;</span>
                            <span class="sr-only">Previous</span>
                        </button>
                        </li>`
            if (pages <= 5) {
                for (j = 1; j <= pages; j++) {
                     HTML +=  `<li class="page-item"><button class="page-link" onclick="Borrowings(${j})">${j}</button></li>`

                 }
            }
            else {

                // Always print first page button
                HTML +=  `<li class="page-item"><button class="page-link" onclick="Borrowings(1)">1</button></li>`

                // Print "..." only if currentPage is > 3
                if (pageNumber > 3) {
                    HTML += `<li class="page-item"><i class="fa-solid fa-ellipsis m-3"></i></li>`;
                }

                // special case where last page is selected...
                if (pageNumber == pages) {
                    HTML +=  `<li class="page-item"><button class="page-link" onclick="Borrowings(${pageNumber-2})">${pageNumber-2}</button></li>`;
                }

                // Print previous number button if currentPage > 2
                if (pageNumber > 2) {
                 HTML += `<li class="page-item"><button class="page-link" onclick="Borrowings(${pageNumber-1})">${pageNumber-1}</button></li>`;
                }

                //Print current page number button as long as it not the first or last page
                if (pageNumber != 1 && pageNumber != pages) {
                     HTML += `<li class="page-item"><button class="page-link" onclick="Borrowings(${pageNumber})">${pageNumber}</button></li>`
                }

                //print next number button if pageNumber < lastPage - 1
                if (pageNumber < pages - 1) {
                    HTML +=  `<li class="page-item"><button class="page-link" onclick="Borrowings(${pageNumber+1})">${pageNumber+1}</button></li>`
                }

                // special case where first page is selected...
                if (pageNumber == 1) {
                    HTML +=  `<li class="page-item"><button class="page-link" onclick="Borrowings(${pageNumber+2})">${pageNumber+2}</button></li>`
                }

                //print "..." if pageNumber is < lastPage -2
                if (pageNumber < pages - 2) {
                HTML += `<li class="page-item"><i class="fa-solid fa-ellipsis m-3"></i></li>`;
                }

                //Always print last page button if there is more than 1 page
                HTML +=`<li class="page-item"><button class="page-link" onclick="Borrowings(${pages})">${pages}</button></li>`;
            }

            document.getElementById("pagination").innerHTML = HTML;

        $('.pagination').append(`
                     <li class="page-item">
                        <button class="page-link" onclick="Borrowings(${pageNumber+1})" aria-label="Next" id="Next">
                            <span aria-hidden="true">&raquo;</span>
                            <span class="sr-only">Next</span>
                        </button>
                        </li>
            `);
            
            if(pages == 1){
    
             $('#Previouss').addClass('disabled');
             $('#Next').addClass('disabled');
              $('#Next').prop('disabled', true);
              $('#Previouss').prop('disabled', true);

             }
            if(pageNumber == 1){
                $('#Previouss').prop('disabled', true);
                $('#Previouss').addClass('disabled');
            }
            if(pageNumber == pages){
                $('#Next').prop('disabled', true);
                $('#Next').addClass('disabled');
            }
            let ppps = document.querySelectorAll('.page-link')
            for(let i = 0; i < ppps.length; i++){
                if($(ppps[i]).text() == pageNumber){
                    $(ppps[i]).addClass('pagenationActive')
                }
            }

        }

     });
    $.ajax(settings).fail(function (response) {
        $("#errorsModal").modal('show');
         $("#product_err").text(response.responseJSON.message);
    })
}


Borrowings(pageNumber);



</script>
<?php include "includes/footer.php"; ?>