<?php
$page = 'addExpenses';
$nav = 'addExpenses';
$navCat ='Expenses';
include "includes/config.php";
// Page Seo Settings
$page_title = 'Expenses  |ATW Point of Sale';
$page_description = 'Royal Bees is an online store where you can buy accessories for Woman, Men and Kids. Our products are designed in Europe and made from most precious gemstones and silver. We have wide range of luxurious products that will meet your needs.';
$page_img = 'https://luxgems.co.uk/pos/layouts/images/og.png';
$page_url = 'https://luxgems.co.uk/pos/checkout';
include "includes/header2.php";
include "includes/navBar.php";

if (isset($_SESSION['seller_token'])) {
    $p = '';
    $api_token = $_SESSION['seller_token'];
    // $expensesTypes = getApi($api_link . 'v1/expense-types?api_token=$api_token');
} else {
    echo "<script>document.location.replace('./')</script>";
}
?>
<style>
</style>
<div class="bg-main no-print">
        <div class="w-overlay py-3 v-height text-right">
          <div class="container">
                <div class="row justify-content-center">
                        <div class="col-md-12 first-section">
                            <h5 class="text-right text-muted text-uppercase font-weight-bold no-print">
                            المصروفات
                            </h5>
                        </div>
                </div>
                <form id="myForm">
                    <div class="row mt-4">
                        <div class="col-md-5 col-11 text-right mt-3">
                        <h5> نوع المصروفات*</h5>
                            <select class="form-control text-sm mb-3 expensesTypes" id="types" onChange="chooseType(this);" name="expense_type_id">
                        <option value="0" selected disabled>الانواع</option>
                        </select>
                        <p id="typeMessage"></p>
                        </div>
                        <div class="col-md-5 col-11 text-right mt-3">
                        <h5>القيمه*</h5>
                        <input type="number" min="0" class="form-control  rounded-0 " placeholder="القيمه" oninput="inputFun(this)" id="value" name="value" autocomplete="off" autofocus>
                        <p id="valueMessage"></p>
                        </div>

                        <div class="col-md-5 col-11 text-right mt-3">
                        <h5>التاريخ*</h5>
                        <input onkeypress="return false" type="date" min="0" class="form-control  rounded-0 datepicker" name="paid_at" oninput="inputFun(this)" id="paid_at" placeholder="التاريخ"  autocomplete="off" autofocus>
                        <p id="paid_atMessage"></p>
                        </div>
                        <input name="api_token" class="d-none" value="<?php echo $_SESSION['seller_token']; ?>">

                        <div class="col-md-5 col-11 text-right mt-3">
                        <h5>السبب*</h5>
                        <textarea maxlength="500" class="form-control"  placeholder="السبب" name="reason" oninput="inputFun(this)" id="reason" rows="3"></textarea>
                        <p id="reasonMessage"></p>
                        </div>

                        <div class="col-md-3 col-6 text-right mt-3">
                            <h5>صورة المصروفات*</h5>
                            <div class="image-input mt-3">
                                <input type="file" accept="image/*" id="imageInput" name="image" onchange="inputFun(this)">
                                <label for="imageInput" class="image-button">اختر صوره * <i class="far fa-image"></i></label>
                                <img src="" class="image-preview">
                                <span class="change-image mt-3">اختر صورة اخري</span>
                            </div>
                            <p id="imageInputMessage"></p>
                        </div>


                    </div>
                    <div class="col-auto mt-5 text-right">
                        <button class="save d-flex btn btn-success" id="Save" type="submit">حفظ</button>
                        </div>
                </form>
         </div>
        </div>
</div>
<!-- ================= [ Errors Modal ] ================= -->


<?php include "includes/partials/modals.php"; ?>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-MrcW6ZMFYlzcLA8Nl+NtUVF0sA7MsXsP1UyJoMp4YLEuNSfAP+JcXn/tWtIaxVXM" crossorigin="anonymous"></script>
<script src="layouts/js/jquery-3.3.1.min.js"></script>
<script src="layouts/js/jquery.validate.js"></script>
<script>
let exType;
var today = new Date();
var dd = today.getDate();
var mm = today.getMonth() + 1; //January is 0!
var yyyy = today.getFullYear();

if (dd < 10) {
   dd = '0' + dd;
}

if (mm < 10) {
   mm = '0' + mm;
} 
    
today = yyyy + '-' + mm + '-' + dd;
document.getElementById("paid_at").setAttribute("max", today)

$(document).ready(function () {
    var settings = {
  "url": '<?php echo $api_link; ?>v1/expense-types?api_token=<?php echo $_SESSION['seller_token']; ?>&per_page=100',
  "method": "GET",
  "timeout": 0,
    };

    $.ajax(settings).done(function (response) {
    for(let i = 0; i < response.data.length; i++){
        $('#types').append(`<option value="${response.data[i].id}">${response.data[i].name}</option>`)
    }
    });
});

function chooseType(type) {
    exType = type.options[type.selectedIndex].value;
    $('#typeMessage').html('')
}

function inputFun(r) {
    $('#'+r.id+'Message').html('')
}

$('.finish').on('click', function(){
        location.reload();
});

var expensesFrm = $('#myForm');
expensesFrm.submit(function (e) {
    $('#Save').prop('disabled', true);
    $('#Save').addClass('spinning');
  e.preventDefault(e);

  var formData = new FormData(this);

  $.ajax({
    async: true,
    type: 'POST',
    url: '<?php echo $api_link; ?>v1/expenses',
    data: formData,
    cache: false,
    processData: false,
    contentType: false,

    success: function(data) {
        $('#Save').prop('disabled', false);
        $('#Save').removeClass('spinning');
        $("#SuccessModal").modal('show');
        $("#success_msg").text(data.message)
        console.log(data,'data');
    },
    error: function(request, status, error) {
        $('#Save').prop('disabled', false);
        $('#Save').removeClass('spinning');

        if(request.responseJSON.errors.hasOwnProperty('expense_type_id')){
            $('#typeMessage').html(request.responseJSON.errors.expense_type_id)
            $('#typeMessage').addClass('error')
            $('#types').addClass('redborder')
        }
        if(request.responseJSON.errors.hasOwnProperty('paid_at')){
           $('#paid_atMessage').html(request.responseJSON.errors.paid_at)
           $('#paid_atMessage').addClass('error')
           $('#paid_at').addClass('redborder')
        }
        if(request.responseJSON.errors.hasOwnProperty('reason')){
           $('#reasonMessage').html(request.responseJSON.errors.reason)
           $('#reasonMessage').addClass('error')
           $('#reason').addClass('redborder')
        }
        if(request.responseJSON.errors.hasOwnProperty('value')){
           $('#valueMessage').html(request.responseJSON.errors.value)
           $('#valueMessage').addClass('error')
           $('#value').addClass('redborder')
        }
        if(request.responseJSON.errors.hasOwnProperty('image')){
           $('#imageInputMessage').html(request.responseJSON.errors.image)
           $('#imageInputMessage').addClass('error')
        }
    }
  });
});

$(':input').focus(function (){
    $(this).removeClass('redborder')
    $(this).removeClass('redboerrorrder')
})

function chooseImage(){
    $('#imageInput').on('change', function() {
	$input = $(this);
	if($input.val().length > 0) {
		fileReader = new FileReader();
		fileReader.onload = function (data) {
		$('.image-preview').attr('src', data.target.result);
		}
		fileReader.readAsDataURL($input.prop('files')[0]);
		$('.image-button').css('display', 'none');
		$('.image-preview').css('display', 'block');
		$('.change-image').css('display', 'block');
	}
    });
						
    $('.change-image').on('click', function() {
        $control = $(this);			
        $('#imageInput').val('');	
        $preview = $('.image-preview');
        $preview.attr('src', '');
        $preview.css('display', 'none');
        $control.css('display', 'none');
        $('.image-button').css('display', 'block');
    });
}
chooseImage();
</script>
<?php include "includes/footer.php"; ?>