<?php
$page = 'approvement';
$nav = 'approvement';
$navCat= 'addorder';
include "includes/config.php";
// Page Seo Settings
$page_title = 'transferApprovement |ATW Point of Sale';
$page_description = 'Royal Bees is an online store where you can buy accessories for Woman, Men and Kids. Our products are designed in Europe and made from most precious gemstones and silver. We have wide range of luxurious products that will meet your needs.';
$page_img = 'https://luxgems.co.uk/pos/layouts/images/og.png';
$page_url = 'https://luxgems.co.uk/pos/checkout';
include "includes/header2.php";
include "includes/navBar.php";

if(isset($_GET['page']) && !is_null($_GET['page'])){$page_number = $_GET['page'];}
else{$page_number=1;}
if (isset($_SESSION['seller_token'])) {
    $p = '';
    // $branches = getApi($api_link . 'seller/stores');
    // $storeId =$branches["stores"]["id"] ;
    $arr = array('api_token' => $_SESSION['seller_token'],'store_id'=>$_SESSION['seller_store_ID'] ,'page' => $page_number);
    $transferReq = postApi($api_link.'seller/all/transfer/requests', $arr);
   
    
} else {
    echo "<script>document.location.replace('./')</script>";
}

?>
<div class="bg-main no-print">
        <div class="w-overlay py-3 v-height text-right">
          <div class="container">
          <?php if (count($transferReq['requests']['data']) < 1){ ?>
            <h3 class="text-center mt-5 text-muted text-uppercase font-weight-bold"><?php echo $lang['transferReqs_sorry'] ?></h3>
            <?php }else{ ?>
                <div class="row d-flex ">
                <?php foreach ($transferReq['requests']['data'] as $transfer): ?>
                    <?php $id = $transfer['transfer_id'] ?>
                    <div class="col-md-5 mb-4  colunm" id=<?php echo $id ?>>
                    

                    <div class="card border-secondary mb-3" style="max-width: 55rem;" >
                    <?php  
                    $params = array('api_token' => $_SESSION['seller_token'],'transfer_id'=>$id);
                    $transferProducts = postApi($api_link.'seller/show/transfer/request', $params); ?>
                     
                        <div class="card-header d-flex flex-column">
                                <p>
                                    <span class="font-weight-bold"><?php echo $lang['Transfer Id']?> </span>
                                    <span id=""><?php echo $transfer['transfer_id'] ?></span>
                                </p>
                                <p >
                                    <span>
                                    <span class="font-weight-bold"><?php echo $lang['from']?>: </span>
                                    <span id=""> <?php echo $transfer['from_store'] ?></span>
                                    </span>
                                    <span class="mr-3">
                                    <span class="font-weight-bold"><?php echo $lang['To']?>:  </span>
                                    <span id=""><?php echo $transfer['to_store'] ?></span>
                                    </span>
                                </p>
                           
                        </div>
                       
                        <div class="card-body text-secondary">
                            
                            <table class="table">
                                <thead>
                                    <tr>
                                       <th scope="col"><?php echo $lang['product_code']; ?></th>
                                        <th scope="col"><?php echo $lang['product_name']; ?></th>
                                        <th scope="col"><?php echo $lang['quantity']; ?></th>
                                    </tr>
                                </thead>
                                <?php foreach ($transferProducts['products'] as $Products): ?>
                                <tbody>
                                    <tr>
                                    <th scope="row"><?php echo $Products['unique_id']?></th>
                                    <td><?php echo $Products['product_name']?></td>
                                    <td><?php echo $Products['quantity']?></td>
                                    
                                    </tr>
                                    
                                </tbody>
                                <?php endforeach; ?>
                                </table>
                        </div>
                        <div class="card-footer">
                             <button type="button" class="btn btn-success Approve" id="A" value=<?php echo $transfer['transfer_id'] ?>>Approve</button>
                            <button type="button" class="btn btn-danger Disapprove" id="Da" value=<?php echo $transfer['transfer_id'] ?>>Disapprove</button>
                        </div>
                    
                    </div>
                    
                  
                 </div>
                 <?php endforeach; ?>
            </div>
            <?php }?>
            </div>
             <!-- pagination -->
             <?php if($transferReq['requests']['last_page'] !== 1){ ?>
      				<div class="card-bg p-2 rounded mb-2">
      					<nav aria-label="Page navigation example">
      						<ul class="pagination m-0 p-0 justify-content-center">
      							<li class="page-item <?php echo ($page_number >= 2 ? '' : 'disabled') ?>">
      		            <a class="page-link rounded-0 mx-1" href="approvement.php?page=<?php echo $page_number-1 ?>" tabindex="-1" aria-disabled="true">&laquo;</a>
      		          </li>
      							<?php
      								$total_pages = $transferReq['requests']['total'];
                                       
      								$per_page = ceil($total_pages/10);
                                     
      								if ($per_page < 5) {
                                          
      									for($page_counter = 1 ; $page_counter <= $per_page+1 ; $page_counter++) {
      					  	    ?>
      								<li class='page-item <?php echo ($page_number == $page_counter ? 'disabled' : '') ?>'>
      									<a class='page-link rounded-0 mx-1' href='approvement.php?page=<?php echo $page_counter ?>'><?php echo $page_counter ?></a>
      								</li>
      							<?php
      									}
      								}elseif ($per_page > 5) {
                                        
      										// if it large pagination and current page is in middle
      									if ($page_number > 2 && $page_number < $per_page-2) {
      							?>
      							<li class='page-item'>
      								<a class='page-link rounded-0 mx-1' href='approvement.php?page=1'>1</a>
      							</li>
      							<li class='page-item disabled'>
      								<a class='page-link rounded-0 mx-1' href='#'>...</a>
      							</li>
      							<?php for($pages_count = $page_number -1; $pages_count < $page_number+2; $pages_count++){ ?>
      								<li class='page-item <?php echo ($page_number == $pages_count ? 'disabled' : '') ?>'>
      									<a class='page-link rounded-0 mx-1' href='approvement.php?page=<?php echo $pages_count ?>'><?php echo $pages_count ?></a>
      								</li>
      							<?php } ?>
      							<li class='page-item disabled'>
      								<a class='page-link rounded-0 mx-1' href='#'>...</a>
      							</li>
      							<li class='page-item'>
      								<a class='page-link rounded-0 mx-1' href='approvement.php?page=<?php echo $per_page ?>'><?php echo $per_page ?></a>
      							</li>
      							<?php
      								// if it page num 1
      								}elseif ($page_number == 1 || $page_number == 2) {
      										for($pages_count = $page_number; $pages_count <= $page_number + 3; $pages_count++){
      							?>
      							<li class='page-item <?php echo ($page_number == $pages_count ? 'disabled' : '') ?>'>
      								<a class='page-link rounded-0 mx-1' href='approvement.php?page=<?php echo $pages_count ?>'><?php echo $pages_count ?></a>
      							</li>
      							<?php } ?>
      							<li class='page-item disabled'>
      								<a class='page-link rounded-0 mx-1' href='#'>...</a>
      							</li>
      							<li class='page-item'>
      								<a class='page-link rounded-0 mx-1' href='approvement.php?page=<?php echo $per_page ?>'><?php echo $per_page ?></a>
      							</li>
      							<?php
      								}elseif ($page_number == $per_page || $page_number == $per_page-1 || $page_number == $per_page-2) {
      							?>
      							<li class='page-item'>
      								<a class='page-link rounded-0 mx-1' href='approvement.php?page=1'>1</a>
      							</li>
      							<li class='page-item disabled'>
      								<a class='page-link rounded-0 mx-1' href='#'>...</a>
      							</li>
      							<?php
      								for($pages_count = $page_number-3; $pages_count <= $per_page; $pages_count++){
      							?>
      							<li class='page-item <?php echo ($page_number == $pages_count ? 'disabled' : '') ?>'>
      								<a class='page-link rounded-0 mx-1' href='approvement.php?page=<?php echo $pages_count ?>'><?php echo $pages_count ?></a>
      							</li>
      							<?php
      										}
      									}
      								}
      							?>
      							<li class="page-item <?php echo ($page_number >= $transferReq['requests']['last_page'] ? 'disabled' : '') ?>">
      		            <a class="page-link rounded-0 mx-1" href="approvement.php?page=<?php echo $page_number+1 ?>">&raquo;</a>
      		          </li>
      						</ul>
      					</nav>
      				</div>
      			<?php }?>
            <!-- ./pagination -->
          </div>
        
</div>
<!-- ================= [ Errors Modal ] ================= -->
<div class="modal" tabindex="-1" role="dialog" id="errorsModal">
    <div class="modal-dialog modal-dialog-centered" role="document">
        <div class="modal-content" style="border-radius: 25px;">
            <div class="modal-header">
                <button type="button" class="close mr-auto ml-0" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body text-center py-5">
                <h4 id="product_err" class="text-danger text-center text-right mb-0"></h4>
            </div>
            <div class="modal-footer justify-content-between">
                <button type="button" class="btn btn-dark btn-block my-0 mx-1 finish" data-dismiss="modal"><?php echo $lang['finish']; ?></button>
            </div>
        </div>
    </div>
</div>


<script src="layouts/js/jquery-3.3.1.min.js"></script>
<script src="layouts/js/JsBarcode.all.min.js"></script>
<script src="layouts/js/jquery.validate.js"></script>

<script>

    var butnsA = $(".Approve")
   
       
        $(butnsA).on('click',function(){
           var x = $(this).val()
           $(this).prop('disabled', true);
           $.ajax({
                 url: '<?php echo $api_link; ?>seller/transfer/order/approvement',
                data: {
                    "api_token": '<?php echo $_SESSION['seller_token']; ?>',
                    "transfer_id":x,
                    "approvement":1,
                   
                },
                method: 'POST',
                success: function(secResult) {
                   var cols = $('.colunm');
                    $('#'+x).remove();
                    $("#errorsModal").modal('show');
                    $("#product_err").text(secResult.message);
                    console.log(secResult);
                }
        });
        })
    
    var butnsDA = $(".Disapprove")
    $(butnsDA).on('click',function(){
           var x = $(this).val()
           $(this).prop('disabled', true);
           $.ajax({
                 url: '<?php echo $api_link; ?>seller/transfer/order/approvement',
                data: {
                    "api_token": '<?php echo $_SESSION['seller_token']; ?>',
                    "transfer_id":x,
                    "approvement":2,
                   
                },
                method: 'POST',
                success: function(secResult) {
                    $('#'+x).remove();
                    $("#errorsModal").modal('show');
                    $("#product_err").text(secResult.message);
                    console.log(secResult);
                }
        })
    })



</script>
        
<?php include "includes/footer.php"; ?>