$("#getZoneByPhone").submit(function(e) {
    e.preventDefault();
    addressPhoneSubmit();
});
function addressPhoneSubmit() {
phone = $("#addressPhoneVal").val();
if(phone.length == 11){
    $("#addressPhone").val(phone);
    $("#addressPhoneNumber").val(phone);
    $("#addressPhoneSbmt").attr("disabled", true);
    $('#submit-btn').prop('disabled', false);
} else if(phone.length < 11) {
    $("#errorsModal").modal('show');
    $("#product_err").text("<?php echo $lang['phone_code_err']; ?>");
}
}
// var zones = $("#addressZones").val();
var phone = $("#addressPhoneVal").val();


$(".ChangeAmount").keyup(function() {
    var input = $(this);
    if (input.val() == "") {
        input.css("border", "1px solid #000");
        $(".vervication").hide();
        $(".check-points-equivalent").hide();
        $(".check-points-equivalent span").text("");
        $(".option").attr("disabled", false);
        $("#submit-btn").attr("disabled", false)
        //   totalCount()
    } else {
        $("#submit-btn").attr("disabled", true);
    }
});
var streetVar;
var price = 0;

function cllicked() {
    if ($(('input[type=radio]:checked'))) {
        deleted = 0;
        streetVar = $(('input[type=radio]:checked')).siblings(".street").find(".modal-desc").text();
        var $createDiv = $('input[type=radio]:checked').siblings().clone();
        var all = document.createElement("div");
        all.className = "row";
        $(all).append($createDiv);
        $(all).append(`<button class="delete-product" value="0"><span>x</span></button>`);
        $('.selected-address').append(all);
        $(all).siblings().remove();
        var idOfAddresses;
        $.ajax({
            url: '<?php echo $api_link; ?>seller/addresses',
            method: 'POST',
            data: {
                api_token: "<?php echo $_SESSION['seller_token'] ?>",
                phone: phone,
            },
            success: function(checked) {
                for (i = 0; i < checked.addresses.length; i++) {
                    if (streetVar.trim() == checked.addresses[i].street.trim()) {
                        idOfAddresses = $('input[type=radio]:checked').prop("value", checked.addresses[i].id)
                        price = checked.addresses[i].zone_price

                    }

                }

            }
        });
    }
}

// ================= [ Variables ] =================
var data = [],
    total = 0;
if (data.length == 0) {
    $("#submit-btn").attr('disabled', 'disabled');
}
// ================= [ Add product to order ] =================
function addProduct(id) {
    $("#product_code_input").val(id);
    $("#product_code_btn").click();
    $("#product_code_input").val('');
}
// prevent su0bmit from textbox
$("#product_code_form").submit(function(e) {
    e.preventDefault();

});
// Add Product Button Listener
$("#product_code_btn").on("click", function() {
    var code = $("#product_code_input").val(),
        phone = $("#addressPhone").val(),
        founded = false;
    $('.ChangeAmount').attr("disabled", false)
    for (var i = 0; i < data.length; i++) {
        if (data[i].unique_id == code) {
            founded = true;
            break;
        } else {
            founded = false;
        }
    }
    if (founded == true) {
        $("#product_err").text("<?php echo $lang['reorder_err']; ?>");
        $("#errorsModal").modal('show');
    } else {
        if (code != '') {
            $.ajax({
                url: '<?php echo $api_link; ?>seller/putproduct',
                data: {
                    'code': code,
                    'api_token': `<?php echo $_SESSION['seller_token']; ?>`,
                    'phone': phone
                },
                method: 'POST',
                success: function(result) {
                    $("#product_code_btn").removeAttr('disabled').removeClass('disabled').html('<?php echo $lang["add"]; ?>');
                    if (result.code == 200) {
                        $("#addressPhoneVal").attr("disabled", "disabled");
                        data.push(result.product);
                        $("#submit-btn").removeAttr('disabled');
                        changeDesc(result.product.unique_id, 1);
                        $("#products").html("");

                        for (var i = 0; i < data.length; i++) {
                            var price = parseFloat(data[i].price)
                            console.log("price", price);
                            var totlaWithExtraShipment = price + data[i].extra_shippment
                            console.log("totlaWithExtraShipment", totlaWithExtraShipment);
                            $("#products").append(`
                      <tr>
                        <td><p>` + data[i].unique_id + `</p></td>
                        <td><p>` + data[i].name + `</p></td>
                        <td>
                          <div class="d-block">
                            <div class="input-group">
                              <div class="input-group-prepend">
                                <button class="btn btn-success rounded-0 countAdd" type="button" onclick="count(0, ` + data[i].unique_id + `)">+</button>
                              </div>
                              <input type="number" min="1" value="` + data[i].order + `" placeholder="<?php echo $lang['quantity']; ?>" class="form-control num border-success rounded-0 product-quantity-` + data[i].unique_id + `" autocomplete="off" onchange="editQuantity(` + data[i].unique_id + `)">
                              <div class="input-group-prepend">
                                <button class="btn btn-success rounded-right rounded-0 btn-block countSub" type="button" onclick="count(1, ` + data[i].unique_id + `)">-</button>
                              </div>
                            </div>
                          </div>
                        </td>
                        <td><p class="font-weight-bold">` + ((data[i].discount == null) ? totlaWithExtraShipment : data[i].price_after_discount) + `</p></td>
                        <td class="no-print"><button class="btn btn-transparent bg-transparent" onclick="removeProduct(` + i + `)"><span aria-hidden="true" class="text-danger font-weight-bold del-btn">&times;</span></button></td>
                      </tr>
                      `);
                        }
                        $("#product_err").text("");
                    } else {
                        $("#errorsModal").modal('show');
                        $("#product_err").text(result.message);
                    }
                    x = false;
                },
                error: function(err) {
                    if (err.code != 200) {
                        $("#errorsModal").modal('show');
                        $("#product_err").text(err.responseJSON.message);
                    }
                    $("#product_code_btn").removeAttr('disabled').removeClass('disabled').html(`<?php echo $lang['add']; ?>`);
                },
                beforeSend: function() {
                    $("#product_code_btn").attr('disabled', 'disabled').addClass('disabled').html('<img src="layouts/images/spinner.gif" width="30" alt="spinner" class="img-fluid">');
                }
            });
        } else {
            $("#product_code_btn").removeAttr('disabled').removeClass('disabled').html('<?php echo $lang["add"]; ?>');
            $("#errorsModal").modal('show');
            $("#product_err").text("<?php echo $lang['product_code_err']; ?>");
        }
    }
    $("#product_code_input").val('');

});
// ================= [ Remove Product From Order ] =================
function removeProduct(id) {
    data.splice(id, 1);
    // totalCount();
    var exsitDescount = $("#discount").val();

    $("#products").html("");
    for (var i = 0; i < data.length; i++) {
        $("#products").append(`
          <tr>
            <td><p>` + data[i].unique_id + `</p></td>
            <td><p>` + data[i].name + `</p></td>
            <td>
              <div class="d-block">
                <div class="input-group">
                  <div class="input-group-prepend">
                    <button class="btn btn-success rounded-0 countAdd" type="button" onclick="count(0, ` + data[i].unique_id + `)">+</button>
                  </div>
                  <input type="number" min="1" value="` + data[i].order + `" placeholder="<?php echo $lang['quantity']; ?>" class="form-control num border-success rounded-0 product-quantity-` + data[i].unique_id + `" autocomplete="off" onchange="editQuantity(` + data[i].unique_id + `)">
                  <div class="input-group-prepend">
                    <button class="btn btn-success rounded-right rounded-0 btn-block countSub" type="button" onclick="count(1, ` + data[i].unique_id + `)">-</button>
                  </div>
                </div>
              </div>
            </td>
            <td><p class="font-weight-bold">` + data[i].price + `</p></td>
            <td class="no-print"><button class="btn btn-transparent bg-transparent" onclick="removeProduct(` + i + `)"><span aria-hidden="true" class="text-danger font-weight-bold del-btn">&times;</span></button></td>
          </tr>
        `);
    }
    if (data.length == 0) {
        $("#products").html("<tr><td colspan='5'><?php echo $lang['no_products']; ?></td></tr>");
        $("#submit-btn").attr('disabled', 'disabled');
    }
}
// ================= [ Edit Quantity ] =================
function changeDesc(code, quantity) {
    for (var i in data) {
        if (data[i].unique_id == code) {
            data[i].order = quantity;
            break;
        }
    }
    // totalCount();
}

function editQuantity(id) {
    changeDesc(id, $('.product-quantity-' + id).val());
}
// ================= [  // calling ajax of checkout  ] =================
function callingCheckOut() {
    // Variables
    var phone = $("#addressPhone").val(),
        discount = $("#discount").val(),
        zone = $(".form-check-input[type=radio]:checked").val(),
        i,
        codesOBJ = '';
   


    for (i = 0; i < data.length; i++) {
        console.log("data", data)
        codesOBJ += `{
            "code": ` + data[i].unique_id + `,
            "quantity": ` + data[i].order + `
          }`;
          console.log("codesOBJ",codesOBJ);
          console.log("phone",phone);
          console.log("phone","<?php echo $_SESSION['seller_token'] ?>");
        if (data.length > 1 && i < (data.length) - 1) {
            codesOBJ += ',';
        }
    }
    var x = document.querySelector(".form-check-input[type=radio]")

    var JSONRequest = `
          {
            "codes": [
              ` + codesOBJ + `
            ],
            "phone": "` + phone + `",
            "api_token": "<?php echo $_SESSION['seller_token'] ?>"

          }
          `;
          console.log("response",JSONRequest);

    $.ajax({
        url: '<?php echo $api_link; ?>seller/addGift',
        data: JSONRequest,
        type: 'POST',
        processData: false,
        contentType: 'application/json',
        success: function(result) {
            $("#submit-btn").removeAttr('disabled').removeClass('disabled').html('إنهاء');
            console.log(result);
            if (result.code == 200) {
                $("#billpart").html('');
                $("#billpart").append(`
                  <tr>
                    <th><?php echo $lang['bill_id']; ?></th>
                    <td>` + result.bill_id + `</td>
                  </tr>
                  <tr>
                    <th><?php echo $lang['time']; ?></th>
                    <td>` + result.created_at + `</td>

                  </tr>
                `);
                $("#resitOrder").html('');
                for (var i = 0; i < result.products.length; i++) {
                    $("#resitOrder").append(`
                   
                  <tr>
                    <td>` + result.products[i].unique_id + `</td>
                    <td>` + result.products[i].name + `</td>
                    <td dir="rtl">` + result.products[i].price + ` × ` + result.products[i].seller_quantity + `</td>
                  </tr>
                  
                `);
                }
               
                var client = '',
                    client_num = '';
                if (result.user_name != 'عميل غير مسجل') {
                    client = `<p class="text-center"><span><?php echo $lang['customer_name']; ?>: </span>` + result.user_name + `</p>`;
                } else {
                    client = '';
                }
                if (result.user_phone != 'عميل غير مسجل') {
                    client_num = `<p class="text-center"><span><?php echo $lang['customer_number']; ?>: </span>` + result.user_phone + `</p>`;
                } else {
                    client_num = '';
                }
                $("#user_data").html(client + client_num);
                JsBarcode("#barcode", result.bill_id);
                window.print();
                location.reload();
            } else if (result.code == 207) {
                $("#errorsModal").modal('show');
                $('#product_err').text(result.message.seller_discount);
            } else {
                $("#errorsModal").modal('show');
                if (result.code == 210 && result.message == undefined) {
                    $("#product_err").text(result.error.phone[0]);
                } else {
                    $("#product_err").text(result.message);
                }
            }
            if (result.code == 212) {
                $("#errorsModal").modal('hide');
                $('#myModal').modal('show');
                $('#phoneMSG').text(result.error);
                $('#phoneNumber').val(phone);
            }
        },

        beforeSend: function() {
            $("#submit-btn").attr('disabled', 'disabled').addClass('disabled').html('<img src="layouts/images/spinner.gif" width="30" alt="spinner" class="img-fluid">');
        }
    });

}
// Finish Order 
$("#submit-btn").on("click", function() {
    callingCheckOut()
})

// ================= [ Calculate Add & Sub Quantities ] =================
function count(type, code) {
    if (type == 0) {
        if ($('.product-quantity-' + code).val() == '') {
            $('.product-quantity-' + code).val(1);
        }
        $('.product-quantity-' + code).val(parseInt($('.product-quantity-' + code).val()) + 1);
        changeDesc(code, $('.product-quantity-' + code).val());
    } else {
        if ($('.product-quantity-' + code).val() == '') {
            $('.product-quantity-' + code).val(1);
        }
        if ($('.product-quantity-' + code).val() > 1) {
            $('.product-quantity-' + code).val(parseInt($('.product-quantity-' + code).val()) - 1);
        }
        changeDesc(code, $('.product-quantity-' + code).val());
    }
    var exsitDescount = $("#discount").val();
    var total = parseFloat($("#total").text())
    var afterDiscount = total * (exsitDescount / 100)
    totalAfterDiscount = total - afterDiscount;
    if (exsitDescount !== '') {
        $("#total").text(totalAfterDiscount)
    } else if (exsitDescount == '' && deleted != 1) {
        // totalCount()
        var total = parseFloat($("#total").text())
        console.log("total", total);
        // var totalNum = +total
        var totalPrice = total + price
        console.log("totalPrice", totalPrice);
        console.log($("#total").text(totalPrice))
    }
    //   else {
    //     totalCount()
    //   }
}
// ================= [ Modal After Closing ] =================
function closePop() {
    $("#myModal .modal-body").html('');
    $("#myModal .modal-body").html(`
        <p id="phoneMSG" class="text-center"></p>
        <p class="text-center"><?php echo $lang['reg_new_user']; ?></p>
        <p id="reg_nameErr" class="text-sm text-danger text-right mb-0"></p>
        <input type="text" name="name" placeholder="<?php echo $lang['name']; ?>" id="phoneName" class="form-control mb-3">
        <p id="phone_err" class="text-sm text-danger text-right mb-0"></p>
        <input type="number" name="name" placeholder="<?php echo $lang['phone']; ?>" id="phoneNumber" class="form-control">
      `);
    $("#phoneSubmit").removeClass('d-none');
}
$(".close").click(function() {
    $(".modal").removeClass("show").css("display", "none");
})