<?php
  $page = 'checkout';
  $nav = 'checkout';
  $navCat ='knowProds';
  include "includes/config.php";
  // Page Seo Settings
  $page_title = 'Checkout | ' . $lang['page_title'];
  $page_description = 'Royal Bees is an online store where you can buy accessories for Woman, Men and Kids. Our products are designed in Europe and made from most precious gemstones and silver. We have wide range of luxurious products that will meet your needs.';
  $page_img = 'https://luxgems.co.uk/pos/layouts/images/og.png';
  $page_url = 'https://luxgems.co.uk/pos/checkout';
  include "includes/header2.php";
  include "includes/navBar.php";

  if (isset($_SESSION['seller_token'])) {
    $p = '';
  } else {echo "<script>document.location.replace('./')</script>";}
?>
      <!-- ================= [ All Products ] ================= -->
      <div class="bg-main no-print">
        <div class="v-height w-overlay py-2">
          <div class="container">
            <h5 class="text-right my-4 text-muted text-uppercase font-weight-bold no-print"><?php echo $lang['products']; ?></h5>
            <div class="row justify-content-center">
              <table class="table table-bordered table-sm text-center" style="margin-bottom: 260px;">
                <thead class="bg-white">
                  <tr>
                    <th><?php echo $lang['code']; ?></th>
                    <th><?php echo $lang['name']; ?></th>
                    <th><?php echo $lang['quantity']; ?></th>
                    <th><?php echo $lang['price']; ?></th>
                    <th class="no-print"><?php echo $lang['del']; ?></th>
                  </tr>
                </thead>
                <tbody id="products" class="bg-light">
                  <tr><td colspan="5"><?php echo $lang['no_products']; ?></td></tr>
                </tbody>
              </table>
            </div>
          </div>
        </div>
      </div>

      <!-- ================= [ Products Control ] ================= -->
      <div class="bg-white fixed-bottom border-top py-3 no-print">
        <div class="container">
          <div class="row">
            <div class="col-md-4 d-flex align-items-center">
              <p class="m-0"><?php echo $lang['total']; ?>: <span class="font-weight-bold" id="total">0</span></p>
            </div>
            <div class="col-md-8">
              <form id="product_code_form">
                <!-- <p id="product_err" class="text-sm text-danger text-right mb-1"></p> -->
                <div class="input-group">
                  <input type="number" min="0" class="form-control rounded-0" placeholder="<?php echo $lang['product_code']; ?>" aria-label="product code" aria-describedby="product_code_btn" id="product_code_input" autocomplete="off" autofocus>
                  <input type="number" min="0" class="form-control rounded-0" placeholder="<?php echo $lang['phone_Wholesale']; ?>" aria-label="product phone" aria-describedby="product_phone_btn" id="product_phone_input" autocomplete="off">
                  <div class="input-group-append">
                    <button class="btn btn-info border-0 btn-block rounded-0" type="button" id="product_code_btn"><?php echo $lang['add']; ?></button>
                  </div>
                  <div class="input-group-append mr-1">
                    <button class="btn btn-success border-0 btn-block rounded-0" type="button" onclick="location.reload();"><?php echo $lang['new_opr']; ?></button>
                  </div>
                </div>
              </form>
            </div>
            <div class="col-md-12 d-flex align-items-center">
              <form class="w-100">
                <hr>
                <div class="row">
                  <!-- <div class="col-md-3">
                    <input type="number" class="form-control rounded-0" placeholder="<?php //echo $lang['phone']; ?>" aria-label="phone" id="phone" autocomplete="off">
                  </div> -->
                  <div class="col-md-4">
                    <input type="number" min="0" class="form-control rounded-0" placeholder="<?php echo $lang['discount']; ?>" aria-label="Discount" id="discount" autocomplete="off">
                  </div>
                  <div class="col-md-4 d-flex align-items-center">
                    <input type="number" min="0" class="form-control rounded-0" placeholder="<?php echo $lang['paid_amount']; ?>" aria-label="cost" aria-describedby="cost_btn" id="cost_input" autocomplete="off" autofocus>
                  </div>
                  <div class="col-md-4">
                    <input type="button" class="btn btn-primary btn-block rounded-0" value="<?php echo $lang['finish']; ?>" id="submit-btn">
                  </div>
                </div>
              </form>
            </div>
          </div>
        </div>
      </div>


      <!-- ================= [ Print Products ] ================= -->
      <div class="only-print d-none text-right" id id="resit" dir="rtl" style="width:100%; margin-right: 5mm">
        <div class="text-center">
        <?php include 'includes/print/header.php'; ?>

        <table class="table table-bordered w-100 font-weight-bold text-center">
          <tbody id="billpart">
          </tbody>
        </table>
        <h1 class="text-center"><?php echo $lang['products']; ?></h1>

        <table class="table table-bordered w-100 font-weight-bold my-5 text-center">
          <thead>
            <tr>
              <th><?php echo $lang['code']; ?></th>
              <th><?php echo $lang['name']; ?></th>
              <th><?php echo $lang['price']; ?></th>
            </tr>
          </thead>

          <tbody id="resitOrder">
          </tbody>
        </table>
        <table class="table table-bordered w-100 font-weight-bold my-5 text-center">
          <tbody id="resitResult">
          </tbody>
        </table>
        <hr>
        <div id="user_data"></div>
        <div class="text-center">
          <?php include 'includes/print/footer.php'; ?>
        </div>
      </div>
    </div>

      <!-- ================= [ Rigester User Phone Modal ] ================= -->
      <div class="modal" tabindex="-1" role="dialog" id="myModal">
        <div class="modal-dialog modal-dialog-centered" role="document">
          <div class="modal-content" style="border-radius: 25px;">
            <div class="modal-header">
              <!-- <h5 class="modal-title">Modal title</h5> -->
              <button type="button" class="close mr-auto ml-0" data-dismiss="modal" aria-label="Close" onclick="closePop()">
                <span aria-hidden="true">&times;</span>
              </button>
            </div>
            <div class="modal-body text-center">
              <p id="phoneMSG" class="text-center"></p>
              <p class="text-center"><?php echo $lang['reg_new_user']; ?></p>
              <div id="generalError" class="alert alert-danger text-sm my-2 d-none"></div>
              <p id="reg_nameErr" class="text-sm text-danger text-right mb-0"></p>
              <input type="text" name="name" placeholder="<?php echo $lang['name']; ?>" id="phoneName" class="form-control mb-3">
              <p id="phone_err" class="text-sm text-danger text-right mb-0"></p>
              <input type="number" name="name" placeholder="<?php echo $lang['phone']; ?>" id="phoneNumber" class="form-control">
            </div>
            <div class="modal-footer justify-content-between">
              <button type="button" class="btn btn-secondary btn-block my-0 mx-1" data-dismiss="modal" onclick="closePop()"><?php echo $lang['finish']; ?></button>
              <button type="button" class="btn btn-primary btn-block my-0 mx-1" id="phoneSubmit"><?php echo $lang['register']; ?></button>
            </div>
          </div>
        </div>
      </div>

      <!-- ================= [ Errors Modal ] ================= -->
      <div class="modal" tabindex="-1" role="dialog" id="errorsModal">
        <div class="modal-dialog modal-dialog-centered" role="document">
          <div class="modal-content" style="border-radius: 25px;">
            <div class="modal-header">
              <button type="button" class="close mr-auto ml-0" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
              </button>
            </div>
            <div class="modal-body text-center py-5">
              <h4 id="product_err" class="text-danger text-center text-right mb-0"></h4>
            </div>
            <div class="modal-footer justify-content-between">
              <button type="button" class="btn btn-dark btn-block my-0 mx-1" data-dismiss="modal"><?php echo $lang['finish']; ?></button>
            </div>
          </div>
        </div>
      </div>

      <script src="layouts/js/jquery-3.3.1.min.js"></script>
      <script src="layouts/js/JsBarcode.all.min.js"></script>
      <script>
        // ================= [ Variables ] =================
        var data = [],
            total = 0;
        if (data.length == 0) {$("#submit-btn").attr('disabled', 'disabled');}

        // ================= [ Add product to order ] =================
        // prevent submit from textbox
        $("#product_code_form").submit(function(e){
          e.preventDefault();
          $("#product_code_btn").click();
        });
        // Add Product Button Listener
        $("#product_code_btn").on("click", function () {
          var code = $("#product_code_input").val(),
              phoneNumber = $("#product_phone_input").val();
              founded = false;

            for (var i = 0; i < data.length; i++) {
              if (data[i].unique_id ==  code) { founded = true; break; }
              else { founded = false; }
            }
            if (founded == true) {
              $("#product_err").text("<?php echo $lang['reorder_err']; ?>");
              $("#errorsModal").modal('show');
            }else{
              // sss
              if (code != '') {
                $.ajax({
                  url: '<?php echo $api_link; ?>seller/putproduct',
                  data: {'code': code, 'api_token': '<?php echo $_SESSION['seller_token']; ?>', 'phone': phoneNumber},
                  method: 'POST',
                  success: function (result) {
                    $("#product_code_btn").removeAttr('disabled').removeClass('disabled').html('<?php echo $lang['add'] ?>');

                    if (result.code == 200) {
                      data.push(result.product);
                      $("#submit-btn").removeAttr('disabled');
                      changeDesc(result.product.unique_id, 1);
                      $("#products").html("");
                      for (var i = 0; i < data.length; i++) {
                        $("#products").append(`
                          <tr>
                            <td><p>` + data[i].unique_id + `</p></td>
                            <td><p>` + data[i].name + `</p></td>
                            <td>
                              <div class="d-block">
                                <div class="input-group">
                                  <div class="input-group-prepend">
                                    <button class="btn btn-success rounded-0 countAdd" type="button" onclick="count(0, `+data[i].unique_id+`)">+</button>
                                  </div>
                                  <input type="number" min="1" value="`+data[i].order+`" placeholder="<?php echo $lang['quantity']; ?>" class="form-control num border-success rounded-0 product-quantity-`+data[i].unique_id+`" autocomplete="off" onchange="editQuantity(`+data[i].unique_id+`)">
                                  <div class="input-group-prepend">
                                    <button class="btn btn-success rounded-right rounded-0 btn-block countSub" type="button" onclick="count(1, `+data[i].unique_id+`)">-</button>
                                  </div>
                                </div>
                              </div>
                            </td>
                            <td><p class="font-weight-bold">` + ((data[i].discount == null)? data[i].price : data[i].price_after_discount) + `</p></td>
                            <td class="no-print"><button class="btn btn-transparent bg-transparent" onclick="removeProduct(`+i+`)"><span aria-hidden="true" class="text-danger font-weight-bold del-btn">&times;</span></button></td>
                          </tr>
                          `);
                        }
                        totalCount();
                        $("#product_err").text("");

                        if (phoneNumber != '') {
                          $("#phone").val(phoneNumber);
                        }
                        $("#product_phone_input").attr('disabled','disabled');

                        $("#product_code_input").val('');

                      } else if (result.code == 208) {
                        $('#myModal').modal('show');
                        $('#phoneMSG').text(result.message);
                        $('#phoneNumber').val(phoneNumber);
                      }else {
                        $("#errorsModal").modal('show');
                        $("#product_err").text(result.message);
                      }
                      x = false;
                    },
                    error: function(err){
                      if (err.code != 200){

                        $("#errorsModal").modal('show');
                        $("#product_err").text(err.responseJSON.message);
                      }
                      $("#product_code_btn").removeAttr('disabled').removeClass('disabled').html('<?php echo $lang["add"]; ?>');
                    }, beforeSend: function(){
                      $("#product_code_btn").attr('disabled', 'disabled').addClass('disabled').html('<img src="layouts/images/spinner.gif" width="30" alt="<?php echo $lang['add']; ?>" class="img-fluid">');
                    }
                  });
                }else {
                  $("#product_code_btn").removeAttr('disabled').removeClass('disabled').html('<?php echo $lang["add"]; ?>');
                  $("#errorsModal").modal('show');
                  $("#product_err").text("<?php echo $lang['product_code_err']; ?>");
                }
              }
        });

        // ================= [ TotlaCount Function ] =================
        function totalCount(){
          total = 0;
          for (var i = 0; i < data.length; i++) {total += (((data[i].discount == null)? parseFloat(data[i].price) : parseFloat(data[i].price_after_discount)) * data[i].order);}
          $("#total").text(total + ' ' + ((data.length == 0) ? '<?php echo $currency; ?>' : data[0].currency));
        }

        // ================= [ Remove Product From Order ] =================
        function removeProduct(id) {
          data.splice(id, 1);
          totalCount();
          $("#products").html("");
          for (var i = 0; i < data.length; i++) {
            $("#products").append(`
              <tr>
                <td><p>` + data[i].unique_id + `</p></td>
                <td><p>` + data[i].name + `</p></td>
                <td>
                  <div class="d-block">
                    <div class="input-group">
                      <div class="input-group-prepend">
                        <button class="btn btn-success rounded-0 countAdd" type="button" onclick="count(0, `+data[i].unique_id+`)">+</button>
                      </div>
                      <input type="number" min="1" value="`+data[i].order+`" placeholder="<?php echo $lang['quantity']; ?>" class="form-control num border-success rounded-0 product-quantity-`+data[i].unique_id+`" autocomplete="off" onchange="editQuantity(`+data[i].unique_id+`)">
                      <div class="input-group-prepend">
                        <button class="btn btn-success rounded-right rounded-0 btn-block countSub" type="button" onclick="count(1, `+data[i].unique_id+`)">-</button>
                      </div>
                    </div>
                  </div>
                </td>
                <td><p class="font-weight-bold">` + data[i].price + `</p></td>
                <td class="no-print"><button class="btn btn-transparent bg-transparent" onclick="removeProduct(`+i+`)"><span aria-hidden="true" class="text-danger font-weight-bold del-btn">&times;</span></button></td>
              </tr>
            `);
          }
          if (data.length == 0) {
            $("#products").html("<tr><td colspan='5'><?php echo $lang['no_products']; ?></td></tr>");
            $("#submit-btn").attr('disabled', 'disabled');
          }
        }

        // ================= [ Edit Quantity ] =================
        function changeDesc( code, quantity ) {
           for (var i in data) {
             if (data[i].unique_id == code) {
                data[i].order = quantity;
                break;
             }
           }
           totalCount();
        }
        function editQuantity(id){changeDesc(id, $('.product-quantity-'+id).val());}

        // ================= [ Finish Order ] =================
        $("#submit-btn").on("click", function () {
          // Variables
          var phone = $("#product_phone_input").val(),
              discount = $("#discount").val(),
              cost_input = parseFloat($("#cost_input").val()),
              total = parseFloat($("#total").text()),
              i,
              codesOBJ = '';
          cost_input == '' ? 0 : cost_input;
          if (cost_input != '' && cost_input >= total) {
            if (discount == '') {discount =0;}
            for (i = 0; i < data.length; i++) {
              codesOBJ += `{
                "code": `+data[i].unique_id+`,
                "quantity": `+data[i].order+`
              }`;
              if (data.length>1 && i < data.length-1) {
                codesOBJ += ',';
              }
            }
            var JSONRequest = `
              {
                "codes": [
                  `+codesOBJ+`
                ],
                "seller_discount": `+parseInt(discount)+`,
                "phone": "`+phone+`",
                "api_token": "<?php echo $_SESSION['seller_token'] ?>"
              }
              `;
            $.ajax({
              url: '<?php echo $api_link; ?>seller/checkout',
              data: JSONRequest,
              type: 'POST',
              processData: false,
              contentType: 'application/json',
              success: function (result) {
                $("#submit-btn").removeAttr('disabled').removeClass('disabled').html('<?php echo $lang["finish"]; ?>');
                if (result.code == 200) {
                  $("#billpart").html('');
                  $("#billpart").append(`
                      <tr>
                        <th><?php echo $lang['bill_id']; ?></th>
                        <td>`+result.bill_id+`</td>
                      </tr>
                      <tr>
                        <th><?php echo $lang['time']; ?></th>
                        <td>`+result.created_at.date+`</td>
                      </tr>
                    `);
                    $("#resitOrder").html('');

                  for (var i = 0; i < result.products.length; i++) {
                    $("#resitOrder").append(`
                      <tr>
                        <td>`+result.products[i].unique_id+`</td>
                        <td>`+result.products[i].name+`</td>
                        <td dir="rtl">`+result.products[i].price+` × `+result.products[i].seller_quantity+`</td>
                      </tr>
                    `);
                  }
                  if (discount != '') {
                    var discountRow = `
                      <tr>
                        <td><?php echo $lang['discount']; ?></td>
                        <td colspan="2">` + discount + `%</td>
                      </tr>
                    `;
                  }else {
                    var discountRow = '';
                  }

                  var rest = parseFloat(cost_input) - parseFloat(result.total);
                  $("#resitResult").html(discountRow + `
                    <tr class="text-center">
                      <td><?php echo $lang['total']; ?></td>
                      <td colspan="2">` + result.total + `</td>
                    </tr>
                    <tr class="text-center">
                      <td><?php echo $lang['paid_amount']; ?></td>
                      <td colspan="2">` + cost_input + ` <?php echo $currency; ?></td>
                    </tr>
                    <tr class="text-center">
                      <td><?php echo $lang['remainig_amount']; ?></td>
                      <td colspan="2">` + rest + ` <?php echo $currency; ?></td>
                    </tr>
                  `);

                  var client ='',
                      client_num = '';
                  if (result.user_name != 'عميل غير مسجل') {
                    client = `<p class="text-center"><span><?php echo $lang['customer_name']; ?>: </span>` + result.user_name + `</p>`;
                  }else {
                    client = '';
                  }
                  if (result.user_phone != 'عميل غير مسجل') {
                    client_num = `<p class="text-center"><span><?php echo $lang['customer_number']; ?>: </span>` + result.user_phone + `</p>`;
                  }else {
                    client_num = '';
                  }
                  $("#user_data").html(client + client_num);
                  JsBarcode("#barcode", result.bill_id);
                  window.print();
                  location.reload();
                } else if (result.code == 207) {
                  $("#errorsModal").modal('show');
                  $('#product_err').text(result.message.seller_discount);
                }else {
                  $("#errorsModal").modal('show');
                  if(result.code == 210 && result.message == undefined) {
                    $("#product_err").text(result.error.phone[0]);
                  }else {
                    $("#product_err").text(result.message);
                  }
                }
                if (result.code == 212) {
                  $("#errorsModal").modal('hide');
                  $('#myModal').modal('show');
                  $('#phoneMSG').text(result.error);
                  $('#phoneNumber').val(phone);
                }
              },
              error: function(err){

                $("#submit-btn").removeAttr('disabled').removeClass('disabled').html('<?php echo $lang["finish"]; ?>');
                $("#errorsModal").modal('show');
                $("#product_err").text(err.responseJSON.error);
                if (err.responseJSON.code != 200){
                  if (err.responseJSON.code == 400 && err.responseJSON.error != undefined && err.responseJSON.error.phone != undefined){
                    $("#errorsModal").modal('show');
                    $("#product_err").text(err.responseJSON.error.phone[0]);
                  }else if (err.responseJSON.code == 404 && err.responseJSON.error != undefined && err.responseJSON.error.phone != undefined){
                    $("#errorsModal").modal('show');
                    $("#product_err").text(err.responseJSON.error.phone[0]);
                  }else{
                    $("#errorsModal").modal('show');
                    $("#product_err").text(err.responseJSON.message);
                  }
                }
              }, beforeSend: function(){
                $("#submit-btn").attr('disabled', 'disabled').addClass('disabled').html('<img src="layouts/images/spinner.gif" width="30" alt="spinner" class="img-fluid">');
              }
            });
          }else {
            $("#errorsModal").modal('show');
            $("#product_err").text('');
            if (cost_input < total) {
              $("#product_err").text("<?php echo $lang['lawer_amount_err']; ?>");
            } else {
              $("#product_err").text("<?php echo $lang['miss_amount_err']; ?>");
            }
          }
        });

        // ================= [ Register New Uer By Phone ] =================
        $("#phoneSubmit").on("click", function(){
          var phone = $("#phoneNumber").val();
          $.ajax({
            url: '<?php echo $api_link; ?>customer/register',
            method: 'POST',
            data: {
              name: $("#phoneName").val(),
              phone:  $("#phoneNumber").val(),
              api_token: "<?php echo $_SESSION['seller_token'] ?>",
              usertype_id: 1
            }, success: function (regRes) {
              if(regRes.code == 200 || regRes.code == 201){
                $("#generalError").addClass('d-none').text('');
                 $("#phoneSubmit").addClass('d-none');
                 $("#myModal .modal-body").html(`
                   <p class="text-muted"><?php echo $lang['success_reg']; ?></p>
                   <img src="layouts/images/check.gif" alt="success loader" class="img-fluid">
                   `);
                  $("#product_phone_input").val(phone);
              }else {
                if(regRes.code == 204){
                  $("#generalError").removeClass('d-none').text(regRes.message);
                }
              }
            },
            error: function(err){
              if (err.status) {
                if (err.responseJSON.error.phone != undefined) {
                  $("#phone_err").text(err.responseJSON.error.phone[0]);
                }else {
                  $("#phone_err").text('');
                }
                if (err.responseJSON.error.name != undefined) {
                  $("#reg_nameErr").text(err.responseJSON.error.name[0]);
                }else {
                  $("#reg_nameErr").text('');
                }
              }
              console.log("error: ", err);
            }
          });
        });

        // ================= [ Calculate Add & Sub Quantities ] =================
        function count(type, code){
          if (type == 0) {
        		if($('.product-quantity-'+code).val() == ''){ $('.product-quantity-'+code).val(1);}
        		$('.product-quantity-'+code).val(parseInt($('.product-quantity-'+code).val()) + 1);
        		changeDesc(code, $('.product-quantity-'+code).val());
        	} else {
        		if($('.product-quantity-'+code).val() == ''){ $('.product-quantity-'+code).val(1);}
        		if($('.product-quantity-'+code).val() > 1){
        			$('.product-quantity-'+code).val(parseInt($('.product-quantity-'+code).val()) - 1);
        		}
            changeDesc(code, $('.product-quantity-'+code).val());
        	}
        }

        // ================= [ Modal After Closing ] =================
        function closePop() {
          $("#myModal .modal-body").html('');
          $("#myModal .modal-body").html(`
            <p id="phoneMSG" class="text-center"></p>
            <p class="text-center"><?php echo $lang['reg_new_user']; ?></p>
            <p id="reg_nameErr" class="text-sm text-danger text-right mb-0"></p>
            <input type="text" name="name" placeholder="<?php echo $lang['name']; ?>" id="phoneName" class="form-control mb-3">
            <p id="phone_err" class="text-sm text-danger text-right mb-0"></p>
            <input type="number" name="name" placeholder="<?php echo $lang['phone']; ?>" id="phoneNumber" class="form-control">
          `);
          $("#phoneSubmit").removeClass('d-none');
        }

      </script>
    <?php include "includes/footer.php"; ?>
