<?php
$page = 'checkout';
$nav = 'present';
$navCat= 'invoice';
include "includes/config.php";
// Page Seo Settings
$page_title = 'Checkout |ATW Point of Sale';
$page_description = 'Royal Bees is an online store where you can buy accessories for Woman, Men and Kids. Our products are designed in Europe and made from most precious gemstones and silver. We have wide range of luxurious products that will meet your needs.';
$page_img = 'https://luxgems.co.uk/pos/layouts/images/og.png';
$page_url = 'https://luxgems.co.uk/pos/checkout';
include "includes/header2.php";
include "includes/navBar.php";

if (isset($_SESSION['seller_token'])) {
    $p = '';

    $address_arr = array('api_token' => $_SESSION['seller_token']);
    $addresses = postApi($api_link . 'seller/store/zones', $address_arr);
} else {
    echo "<script>document.location.replace('./')</script>";
}
?>

<!-- ================= [ All Products ] ================= -->
<?php include "includes/partials/all-products.php"; ?>
<!-- ================= [ Products Control ] ================= -->
<div class="bg-white  border-top py-3 no-print">
    <div class="container">
        <div class="row">
            <div class="col-md-12 d-flex align-items-center">
                <form class="w-100">
                    <hr>
                    <div class="row">
                        <div class="col-md-4">
                        </div>
                        <div class="col-md-4 d-flex align-items-center">
                        </div>
                        <div class="col-md-4">
                            <input type="button" class="btn btn-primary btn-sm btn-block rounded-0" value="<?php echo $lang['finish']; ?>" id="submit-btn">
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>



<script src="layouts/js/jquery-3.3.1.min.js"></script>
<script src="layouts/js/JsBarcode.all.min.js"></script>
<script src="layouts/js/jquery.validate.js"></script>

<?php include 'includes/print/presentbodyprint.php'; ?>
<?php include "includes/partials/modals.php"; ?>
<script>
      // $(".scroll").next('.table').append(".scroll");
  $("#getZoneByPhone").submit(function(e) {
    e.preventDefault();
    addressPhoneSubmit();
});

function addressPhoneSubmit() {
phone = $("#addressPhoneVal").val();
if(phone.length == 11){
    $("#addressPhone").val(phone);
    $("#addressPhoneNumber").val(phone);
    $("#addressPhoneSbmt").attr("disabled", true);
    $('#submit-btn').prop('disabled', false);
    $("#product_code_input").removeAttr('disabled');
    $("#bill_id").removeAttr('disabled');
    $("#product_code_btn").removeAttr('disabled');
} else if(phone.length < 11) {
    $("#errorsModal").modal('show');
    $("#product_err").text("<?php echo $lang['phone_code_err']; ?>");
}
}
// var zones = $("#addressZones").val();
var phone = $("#addressPhoneVal").val();


$(".ChangeAmount").keyup(function() {
    var input = $(this);
    if (input.val() == "") {
        input.css("border", "1px solid #000");
        $(".vervication").hide();
        $(".check-points-equivalent").hide();
        $(".check-points-equivalent span").text("");
        $(".option").attr("disabled", false);
        $("#submit-btn").attr("disabled", false)
        //   totalCount()
    } else {
        $("#submit-btn").attr("disabled", true);
    }
});
var streetVar;
var price = 0;

function cllicked() {
    if ($(('input[type=radio]:checked'))) {
        deleted = 0;
        streetVar = $(('input[type=radio]:checked')).siblings(".street").find(".modal-desc").text();
        var $createDiv = $('input[type=radio]:checked').siblings().clone();
        var all = document.createElement("div");
        all.className = "row";
        $(all).append($createDiv);
        $(all).append(`<button class="delete-product" value="0"><span>x</span></button>`);
        $('.selected-address').append(all);
        $(all).siblings().remove();
        var idOfAddresses;
        $.ajax({
            url: '<?php echo $api_link; ?>seller/addresses',
            method: 'POST',
            data: {
                api_token: "<?php echo $_SESSION['seller_token'] ?>",
                phone: phone,
            },
            success: function(checked) {
                for (i = 0; i < checked.addresses.length; i++) {
                    if (streetVar.trim() == checked.addresses[i].street.trim()) {
                        idOfAddresses = $('input[type=radio]:checked').prop("value", checked.addresses[i].id)
                        price = checked.addresses[i].zone_price

                    }

                }

            }
        });
    }
}

// ================= [ Variables ] =================
var data = [],
    total = 0;
if (data.length == 0) {
    $("#submit-btn").attr('disabled', 'disabled');
}
// ================= [ Add product to order ] =================
if($("#addressPhoneVal").val() === ''){
  $("#product_code_input").attr("disabled", "disabled");
  $("#bill_id").attr("disabled", "disabled");
  $("#product_code_btn").attr("disabled", "disabled");
} 

function addProduct(id) {
    $("#product_code_input").val(id);
    $("#product_code_btn").click();
    $("#product_code_input").val('');
}
// prevent su0bmit from textbox
$("#product_code_form").submit(function(e) {
    e.preventDefault();

});
// Add Product Button Listener
$("#product_code_btn").on("click", function() {

    var code = $("#product_code_input").val(),
        phone = $("#addressPhone").val(),
        founded = false;
    $('.ChangeAmount').attr("disabled", false)
    for (var i = 0; i < data.length; i++) {
        if (data[i].unique_id == code) {
            founded = true;
            break;
        } else {
            founded = false;
        }
    }
    if (founded == true) {
        $("#product_err").text("<?php echo $lang['reorder_err']; ?>");
        $("#errorsModal").modal('show');
    } else {
        if (code != '') {
            $.ajax({
                url: '<?php echo $api_link; ?>seller/putproduct',
                data: {
                    'code': code,
                    'api_token': `<?php echo $_SESSION['seller_token']; ?>`,
                    'phone': phone
                },
                method: 'POST',
                success: function(result) {
                    $("#product_code_btn").removeAttr('disabled').removeClass('disabled').html('<?php echo $lang["add"]; ?>');
                    if (result.code == 200) {

                        $("#addressPhoneVal").attr("disabled", "disabled");
                        data.push(result.product);
                        $("#submit-btn").removeAttr('disabled');
                        changeDesc(result.product.unique_id, 1);
                        $("#products").html("");

                        for (var i = 0; i < data.length; i++) {
                            var price = parseFloat(data[i].price)
                            console.log("price", price);
                            var totlaWithExtraShipment = price + data[i].extra_shippment
                            console.log("totlaWithExtraShipment", totlaWithExtraShipment);
                            $("#products").append(`
                      <tr>
                        <td><p>` + data[i].unique_id + `</p></td>
                        <td><p>` + data[i].name + `</p></td>
                        <td>
                          <div class="d-block">
                            <div class="input-group">
                              <div class="input-group-prepend">
                                <button class="btn btn-success rounded-0 countAdd" type="button" onclick="count(0, ` + data[i].unique_id + `)">+</button>
                              </div>
                              <input type="number" min="1" value="` + data[i].order + `" placeholder="<?php echo $lang['quantity']; ?>" class="form-control num border-success rounded-0 product-quantity-` + data[i].unique_id + `" autocomplete="off" onchange="editQuantity(` + data[i].unique_id + `)">
                              <div class="input-group-prepend">
                                <button class="btn btn-success rounded-right rounded-0 btn-block countSub" type="button" onclick="count(1, ` + data[i].unique_id + `)">-</button>
                              </div>
                            </div>
                          </div>
                        </td>
                        <td><p class="font-weight-bold">` + ((data[i].discount == null) ? totlaWithExtraShipment : data[i].price_after_discount) + `</p></td>
                        <td class="no-print"><button class="btn btn-transparent bg-transparent" onclick="removeProduct(` + i + `)"><span aria-hidden="true" class="text-danger font-weight-bold del-btn">&times;</span></button></td>
                      </tr>
                      `);
                        }
                        $("#product_err").text("");
                    } else {
                        $("#errorsModal").modal('show');
                        $("#product_err").text(result.message);
                    }
                    x = false;
                },
                error: function(err) {
                    if (err.code != 200) {
                        $("#errorsModal").modal('show');
                        $("#product_err").text(err.responseJSON.message);
                    }
                    $("#product_code_btn").removeAttr('disabled').removeClass('disabled').html(`<?php echo $lang['add']; ?>`);
                },
                beforeSend: function() {
                    $("#product_code_btn").attr('disabled', 'disabled').addClass('disabled').html('<img src="layouts/images/spinner.gif" width="30" alt="spinner" class="img-fluid">');
                }
            });
        } else {
            $("#product_code_btn").removeAttr('disabled').removeClass('disabled').html('<?php echo $lang["add"]; ?>');
            $("#errorsModal").modal('show');
            $("#product_err").text("<?php echo $lang['product_code_err']; ?>");
        }
    }
    $("#product_code_input").val('');

});
// ================= [ Remove Product From Order ] =================
function removeProduct(id) {
    data.splice(id, 1);
    // totalCount();
    var exsitDescount = $("#discount").val();

    $("#products").html("");
    for (var i = 0; i < data.length; i++) {
        $("#products").append(`
          <tr>
            <td><p>` + data[i].unique_id + `</p></td>
            <td><p>` + data[i].name + `</p></td>
            <td>
              <div class="d-block">
                <div class="input-group">
                  <div class="input-group-prepend">
                    <button class="btn btn-success rounded-0 countAdd" type="button" onclick="count(0, ` + data[i].unique_id + `)">+</button>
                  </div>
                  <input type="number" min="1" value="` + data[i].order + `" placeholder="<?php echo $lang['quantity']; ?>" class="form-control num border-success rounded-0 product-quantity-` + data[i].unique_id + `" autocomplete="off" onchange="editQuantity(` + data[i].unique_id + `)">
                  <div class="input-group-prepend">
                    <button class="btn btn-success rounded-right rounded-0 btn-block countSub" type="button" onclick="count(1, ` + data[i].unique_id + `)">-</button>
                  </div>
                </div>
              </div>
            </td>
            <td><p class="font-weight-bold">` + data[i].price + `</p></td>
            <td class="no-print"><button class="btn btn-transparent bg-transparent" onclick="removeProduct(` + i + `)"><span aria-hidden="true" class="text-danger font-weight-bold del-btn">&times;</span></button></td>
          </tr>
        `);
    }
    if (data.length == 0) {
        $("#products").html("<tr><td colspan='5'><?php echo $lang['no_products']; ?></td></tr>");
        $("#submit-btn").attr('disabled', 'disabled');
    }
}
// ================= [ Edit Quantity ] =================
function changeDesc(code, quantity) {
    for (var i in data) {
        if (data[i].unique_id == code) {
            data[i].order = quantity;
            break;
        }
    }
    // totalCount();
}

function editQuantity(id) {
    changeDesc(id, $('.product-quantity-' + id).val());
}
// ================= [  // calling ajax of checkout  ] =================
function callingCheckOut() {
    // Variables
    var phone = $("#addressPhone").val(),
        discount = $("#discount").val(),
        zone = $(".form-check-input[type=radio]:checked").val(),
        i,
        codesOBJ = '';
   
        let bill_id= $('#bill_id').val();


    for (i = 0; i < data.length; i++) {
        codesOBJ += `{
            "code": ` + data[i].unique_id + `,
            "quantity": ` + data[i].order + `
          }`;
     
        if (data.length > 1 && i < (data.length) - 1) {
            codesOBJ += ',';
        }
    }
    var x = document.querySelector(".form-check-input[type=radio]")
    var JSONRequest;
    if(bill_id != ''){
        JSONRequest = `
          {
            "codes": [
              ` + codesOBJ + `
            ],
            "phone": "` + phone + `",
            "bill_id": "` + bill_id + `",
            "api_token": "<?php echo $_SESSION['seller_token'] ?>"

          }
          `;
    } else{
        JSONRequest = `
          {
            "codes": [
              ` + codesOBJ + `
            ],
            "phone": "` + phone + `",
            "api_token": "<?php echo $_SESSION['seller_token'] ?>"

          }
          `;
    }

 


    $.ajax({
        url: '<?php echo $api_link; ?>seller/addGift',
        data: JSONRequest,
        type: 'POST',
        processData: false,
        contentType: 'application/json',
        success: function(result) {
            $("#submit-btn").removeAttr('disabled').removeClass('disabled').html('إنهاء');
            console.log(result);
            if (result.code == 200) {
                $("#billpart").html('');
                if(result.ref_bill_id !== ''){
                    $("#billpart").append(`
                  <tr>
                    <th><?php echo $lang['bill_id']; ?></th>
                    <td>` + result.bill_id + `</td>
                  </tr>
                  <tr>
                    <th><?php echo $lang['ref_bill_id']; ?></th>
                    <td>` + result.ref_bill_id + `</td>
                  </tr>
                  <tr>
                    <th><?php echo $lang['time']; ?></th>
                    <td>` + result.created_at + `</td>

                  </tr>
                `);
                } else{
                    $("#billpart").append(`
                  <tr>
                    <th><?php echo $lang['bill_id']; ?></th>
                    <td>` + result.bill_id + `</td>
                  </tr>
                  <tr>
                    <th><?php echo $lang['time']; ?></th>
                    <td>` + result.created_at + `</td>

                  </tr>
                `);
                }
               
                $("#resitOrder").html('');
                for (var i = 0; i < result.products.length; i++) {
                    $("#resitOrder").append(`
                   
                  <tr>
                    <td>` + result.products[i].unique_id + `</td>
                    <td>` + result.products[i].name + `</td>
                    <td dir="rtl">` + result.products[i].price + ` × ` + result.products[i].seller_quantity + `</td>
                  </tr>
                  
                `);
                }
               
                var client = '',
                    client_num = '';
                if (result.user_name != 'عميل غير مسجل') {
                    client = `<p class="text-center"><span><?php echo $lang['customer_name']; ?>: </span>` + result.user_name + `</p>`;
                } else {
                    client = '';
                }
                if (result.user_phone != 'عميل غير مسجل') {
                    client_num = `<p class="text-center"><span><?php echo $lang['customer_number']; ?>: </span>` + result.user_phone + `</p>`;
                } else {
                    client_num = '';
                }
                $("#user_data").html(client + client_num);
                JsBarcode("#barcode", result.bill_id);
                window.print();
                location.reload();
            } else if (result.code == 207) {
                $("#errorsModal").modal('show');
                $('#product_err').text(result.message.seller_discount);
            } else {
                $("#errorsModal").modal('show');
                if (result.code == 210 && result.message == undefined) {
                    $("#product_err").text(result.error.phone[0]);
                } else {
                    $("#product_err").text(result.message);
                }
            }
            if (result.code == 212) {
                $("#errorsModal").modal('hide');
                $('#myModal').modal('show');
                $('#phoneMSG').text(result.error);
                $('#phoneNumber').val(phone);
            }
        },
        error: function(request, status, error) {
            $("#errorsModal").modal('show');
            $("#product_err").text(request.responseJSON.message);
        },
        beforeSend: function() {
            $("#submit-btn").attr('disabled', 'disabled').addClass('disabled').html('<img src="layouts/images/spinner.gif" width="30" alt="spinner" class="img-fluid">');
        }
    });

}
// Finish Order 
$("#submit-btn").on("click", function() {
    callingCheckOut()
})

// ================= [ Calculate Add & Sub Quantities ] =================
function count(type, code) {
    if (type == 0) {
        if ($('.product-quantity-' + code).val() == '') {
            $('.product-quantity-' + code).val(1);
        }
        $('.product-quantity-' + code).val(parseInt($('.product-quantity-' + code).val()) + 1);
        changeDesc(code, $('.product-quantity-' + code).val());
    } else {
        if ($('.product-quantity-' + code).val() == '') {
            $('.product-quantity-' + code).val(1);
        }
        if ($('.product-quantity-' + code).val() > 1) {
            $('.product-quantity-' + code).val(parseInt($('.product-quantity-' + code).val()) - 1);
        }
        changeDesc(code, $('.product-quantity-' + code).val());
    }
    var exsitDescount = $("#discount").val();
    var total = parseFloat($("#total").text())
    var afterDiscount = total * (exsitDescount / 100)
    totalAfterDiscount = total - afterDiscount;
    if (exsitDescount !== '') {
        $("#total").text(totalAfterDiscount)
    } else if (exsitDescount == '' && deleted != 1) {
        // totalCount()
        var total = parseFloat($("#total").text())
        console.log("total", total);
        // var totalNum = +total
        var totalPrice = total + price
        console.log("totalPrice", totalPrice);
        console.log($("#total").text(totalPrice))
    }
    //   else {
    //     totalCount()
    //   }
}
// ================= [ Modal After Closing ] =================

</script>
<?php include "includes/footer.php"; ?>
