<?php
$page = 'checkout';
$nav = 'shipOrder';
$navCat= 'addorder';
include "includes/config.php";
// Page Seo Settings
$page_title = 'Checkout |ATW Point of Sale';
$page_description = 'Royal Bees is an online store where you can buy accessories for Woman, Men and Kids. Our products are designed in Europe and made from most precious gemstones and silver. We have wide range of luxurious products that will meet your needs.';
$page_img = 'https://luxgems.co.uk/pos/layouts/images/og.png';
$page_url = 'https://luxgems.co.uk/pos/checkout';
include "includes/header2.php";
include "includes/navBar.php";

if (isset($_SESSION['seller_token'])) {
    $p = '';
    $arr = array('api_token' => $_SESSION['seller_token']);
} else {
    echo "<script>document.location.replace('./')</script>";
}
?>
<!-- ================= [ All Products ] ================= -->
<div class="bg-main no-print mt-4">
    <div class="v-height w-overlay py-2">
        <div class="container">
            <div class="row justify-content-center">
                <div class="col-md-12 first-section">
                    <h5 class="text-right text-muted text-uppercase font-weight-bold no-print">شحن الطلبيه </h5>
                    <div class="mt-4">
                        <form id="product_code_form">

                        <div class="form-group row ">
                        <div class="col text-right">
                            <label class="font-weight-bold col-form-label"><?php echo $lang['storename']; ?></label>
                           
                            <h5 class="mt-2 d-inline">
                                <?php echo $_SESSION['seller_store_name']?>
                            </h5>
                        </div>
                         </div>
                            <div class="text-right">
                            <div class="row mt-4">
                                    <div class="col-md-5 col-12  text-right">
                                         <h5>*كود المنتج</h5>
                                         <div class="d-flex">
                                            <input oninput='inputValidation(0)'  onpaste='pasteInputValidation(0)' type="number" min="0" class="form-control form-control-sm rounded-0 productNAme" placeholder="كود المنتج" aria-label="product code" aria-describedby="product_code_btn" id="productName0" autocomplete="off" autofocus>
                                            <button id="checkUID0" type="button" class="checkBtn" onclick='getProductUId(0)'>اسم المنتج</button>
                                         </div>
                                        <p class='prodName' id="prodName0"></p>
                                    </div>
                                
                                    <div class="col-md-4 col-12  ">
                                        <h5>*الكميه</h5>
                                        <input type="number" min="0" class="form-control form-control-sm rounded-0 Qun" placeholder="الكميه" aria-label="product quntity" aria-describedby="product_quntity_btn" id="quntity" autocomplete="off" autofocus>
                                    </div>
                                <div class="col-md-5 col-12  mt-3">
                                            <h5>السبب</h5>
                                            <textarea maxlength="500" class="form-control Reason"  placeholder="السبب" name="reason" id="resoneText" rows="3"></textarea>
                                        </div>
                                </div>
                                 
                            </div>
                            
                        </form>
                    </div>

                    <div id="products" class="bg-light " >

                    </div>
                            <div class="col-auto text-right mt-4">
                                    <button class="btn btn-primary" type="button" id="product_code_btn">اضافه تفاصيل الطلبيه</button>
                                </div>
                    <div class="col-auto mt-4 text-right">
                    <button class="save  d-flex btn btn-success" id="Save">حفظ</button>
                    </div>


                </div>

            </div>
        </div>
    </div>
</div>



<script src="layouts/js/jquery-3.3.1.min.js"></script>
<script src="layouts/js/jquery.validate.js"></script>
<?php include "includes/partials/modals.php"; ?>
<script>
    var zones = $("#addressZones").val();


    var phone = $("#addressPhoneVal").val();

    var streetVar;
    var price = 0;



    $('.finish').on('click', function(){
        location.reload();
    });

    // ================= [ Variables ] =================
    var data = [],
        total = 0;
    if (data.length == 0) {
        $("#submit-btn").attr('disabled', 'disabled');
    }

    let Indexx=0;
    // Add Product Button Listener
    function addMoreProducts(){
        console.log(Indexx);
        $("#product_code_btn").on("click", function() {
            Indexx ++;
            $("#products").append(`
                    <div class="details-container">
                        <div class="row mt-4">
                            <div class="col-md-5 col-12 text-right">
                                <h5>*كود المنتج</h5>
                                <div class="d-flex">
                                                <input onpaste='pasteInputValidation(${Indexx})' oninput='inputValidation(${Indexx})' type="number" min="0" class="form-control form-control-sm rounded-0 productNAme" placeholder="كود المنتج" aria-label="product code" aria-describedby="product_code_btn" id="productName${Indexx}" autocomplete="off" autofocus>
                                                <button id="checkUID${Indexx}" type="button" class="checkBtn" onclick='getProductUId(${Indexx})'>اسم المنتج</button>
                                </div>
                                <p class='prodName' id="prodName${Indexx}"></p>
                            </div>
            
                    
                        <div class="col-md-4 col-12 text-right">
                    <h5>*الكميه</h5>
                    <input type="number" min="0" class="form-control form-control-sm rounded-0 Qun" placeholder="الكميه" aria-label="product quntity" aria-describedby="product_quntity_btn" id="quntity" autocomplete="off" autofocus>
                    </div>
                    <div class="col-md-5 col-10 text-right mt-3">
                        <h5>السبب</h5>
                        <textarea maxlength="500" class="form-control Reason"  placeholder="السبب" name="reason" id="resoneText" rows="3"></textarea>
                    </div>
                    <div class="col-md-4 col-2 mt-5">
                    <button class="btn btn-transparent bg-transparent delete-product"><span aria-hidden="true" class="text-danger font-weight-bold del-btn">&times;</span></button>

                    </div>
                    </div>
                    
                    </div>
            `)
            $( "#checkUID"+Indexx).prop( "disabled", true );
        });
    }
    addMoreProducts();
    $(document).on('click', '.delete-product', function() {
        $(this).closest(".row").closest(".details-container").remove();

        // if(Indexx !== 0){
        //     Indexx --;
        // }

    })
    // store id 
    var x;

    let productsId=[];
    let Quantities=[];
    let reasons =[]; 

    function chooseProduct(name) {
        x = name.options[name.selectedIndex].value;
        
        console.log(x);
    }

    $(".save").on("click", function() {
        productsId=[];
        Quantities=[];
        reasons=[];

        var Ps= document.querySelectorAll('.productNAme');

        for (let index = 0; index < Ps.length; index++){
            var prs=Ps[index];
            var temp=$(prs).val();
            productsId.push(temp);
        }

        var qs= document.querySelectorAll('.Qun');
        console.log(qs);
    
        for (let index = 0; index < qs.length; index++){
            var y= qs[index];
            var t= $(y).val();
            Quantities.push(t);
        }
        var Rs= document.querySelectorAll('.Reason');
        console.log(Rs);
    
        for (let index = 0; index < Rs.length; index++){
            var reason= Rs[index];
            var t= $(reason).val();
            reasons.push(t);
        }
        
        document.getElementById('Save').disabled = true;
        $('#Save').addClass('spinning');
            $.ajax({
                url: '<?php echo $api_link; ?>seller/add/order',
                data: {
                    'api_token': '<?php echo $_SESSION['seller_token']; ?>',
                    'store_id':'<?php echo $_SESSION['seller_store_ID']?>',
                    'product_ids':productsId,
                    'quantities': Quantities,
                    'reason': reasons
                },
                method: 'POST',
                success: function(result) {
                    if (result.code == 200) {
                        $("#SuccessModal").modal('show');
                        $("#success_msg").text(result.message)
                        $("#products").html("");
                        $('#Save').prop('disabled', false);
                        $('#Save').removeClass('spinning');
                       
                    } else if (result.code == 202) {
                        $("#errorsModal").modal('show');
                        $("#product_err").text(result.message)
                        $("#products").html("");
                        document.getElementById('Save').disabled = false;
                        $('#Save').removeClass('spinning');
                    } else if (result.code == 201) {
                        $("#errorsModal").modal('show');
                        $("#product_err").text(result.message)
                        document.getElementById('Save').disabled = false;
                        $('#Save').removeClass('spinning');
                    }else if (result.code == 214){
                        $("#errorsModal").modal('show');
                        $("#product_err").text(result.message)
                        document.getElementById('Save').disabled = false;
                        $('#Save').removeClass('spinning');
                    }
                    else{
                        $("#errorsModal").modal('show');
                        $("#product_err").text(result.message)
                        document.getElementById('Save').disabled = false;
                        $('#Save').removeClass('spinning');
                    }
                },
                error: function(request, status, error) {
                     $("#errorsModal").modal('show');
                     $("#product_err").text(request.responseJSON.message);
                }
            })

       
    })

    $("#checkUID0").prop("disabled", true );

   function inputValidation(j){
        let inputVal = $('#productName'+j).val();
        if(inputVal == ''){
            $('#checkUID'+j).prop('disabled', true);
        }else{
            $('#checkUID'+j).prop('disabled', false);
        }
   }
   function pasteInputValidation(j){
        $('#prodName'+j).css('display', 'none');
   }
  

    function getProductUId(i){

        let peodUID= $('#productName'+i).val();

        $('#checkUID'+i).prop('disabled', true);
        $('#checkUID'+i).addClass('spinning2');
        $.ajax({
            url: `<?php echo $api_link; ?>seller/product/unique-id?api_token=<?php echo $_SESSION['seller_token']; ?>&unique_id=${peodUID}`,
            data: {
            },
            method: 'GET',
            success: function(result) {
                $('#prodName'+i).css('display', 'block');
               $('#prodName'+i).html(result.product.name)
                $('#checkUID'+i).removeClass('spinning2');
            },
            error: function(request, status, error) {
                $('#checkUID'+i).removeClass('spinning2');
                $("#errorsModal").modal('show');
                $("#product_err").text(request.responseJSON.message);
            }
        })
                

    }

   
</script>
<?php include "includes/footer.php"; ?>