<?php
$page = 'showExpenses';
$nav = 'showExpenses';
$navCat ='Expenses';
include "includes/config.php";
// Page Seo Settings
$page_title = 'Expenses  |ATW Point of Sale';
$page_description = 'Royal Bees is an online store where you can buy accessories for Woman, Men and Kids. Our products are designed in Europe and made from most precious gemstones and silver. We have wide range of luxurious products that will meet your needs.';
$page_img = 'https://luxgems.co.uk/pos/layouts/images/og.png';
$page_url = 'https://luxgems.co.uk/pos/checkout';
include "includes/header2.php";
include "includes/navBar.php";

if (isset($_SESSION['seller_token'])) {
    $p = '';
    $api_token = $_SESSION['seller_token'];
} else {
    echo "<script>document.location.replace('./')</script>";
}
?>
<style>

</style>

<div class="bg-main no-print">

        <div class="w-overlay py-3 v-height text-right">
   
          <div class="container">
                <div class=" row justify-content-center mb-4">
                    <div class="col-md-12 ">
                        <h5 class="text-right text-muted text-uppercase font-weight-bold no-print">
                        المصروفات
                        </h5>
                    </div>
                    <h3 class="text-center mt-5 text-muted text-uppercase font-weight-bold d-none" id="sorry"><?php echo $lang['expenses_sorry'] ?></h3>
                </div>
          <div class="expenses row" id="expenses">

          </div>
          </div>
          <div class="justify-content-center mt-4">
            <nav aria-label="Page navigation example ">
                <ul class="pagination d-flex justify-content-center" id="pagination">
                    
                </ul>
            </nav>
        </div>
        </div>
       
</div>
<div id="modal" class="modal">
  <span id="modal-close" class="modal-close">&times;</span>
  <img id="modal-content" class="modal-content">
</div>


<script src="layouts/js/jquery-3.3.1.min.js"></script>
<script src="layouts/js/jquery.validate.js"></script>
<?php include "includes/partials/modals.php"; ?>
<script>

let pageNumber = 1;
function allExpenses(page){
        pageNumber= page;
        $('#expenses').html('');
        $(document).ready(function () {
            var settings = {
                "url": `<?php echo $api_link; ?>v1/expenses?api_token=<?php echo $_SESSION['seller_token']; ?>&page=${page}&per_page=10`,
                "method": "GET",
                "timeout": 0,
            };
        let x=true;
            $.ajax(settings).done(function (response) {
                console.log(response.data.length);

                if(response.data.length == 0){
                    $('#sorry').addClass('display')
                }else{
                    for(let i = 0; i < response.data.length; i++){
                    $('#expenses').append(`
                    <div class="col-md-6">
                    <div class="card border-secondary mb-3">
                    <div class="card-body" >
                        <div class="d-flex justify-content-end" id="cancel${response.data[i].id}">
                            </div> 
                        <p><span class="font-weight-bold">القيمه : </span><span>${response.data[i].value}</span></p>
                        <p><span class="font-weight-bold">السبب : </span><span>${response.data[i].reason}</span></p>
                        <p><span class="font-weight-bold">الفئه : </span><span>${response.data[i].expense_type.name}</span></p>
                        <p><span class="font-weight-bold">التاريخ : </span><span>${response.data[i].paid_at}</span></p>
                        <p ><span class="font-weight-bold">الحاله : </span><span class="status" data-ID="${response.data[i].id}">${response.data[i].status}</span></p>
                        <a class="code-container px-2" data-toggle="collapse" href="#multiCollapseExample${response.data[i].id}" role="button" aria-expanded="false" aria-controls="multiCollapseExample1">
                            <u> 
                                <span class="font-weight-bold"> عرض صورة المصروفات </span> 
                            </u>
                        </a>
                        <p id="multiCollapseExample${response.data[i].id}" class="collapse multi-collapse mt-3">
                        <button type="button" onclick="ImageModal('${response.data[i].image}');" class="border-0  bg-transparent imgbtn">
                        <img src="${response.data[i].image}"  class="w-50" >
                        </button> 
                        </p>

                    </div>
                    </div>
                    </div>
                    
                    `)
                
                }
                let statuses = document.querySelectorAll('.status')
                for(let i = 0; i < statuses.length; i++){
                    if($(statuses[i]).text() == 'مرفوض'){
                        $(statuses[i]).addClass('text-danger')
                    } if($(statuses[i]).text() == 'تمت الموافقة عليه') {
                        $(statuses[i]).addClass('text-success')
                    } if($(statuses[i]).text() == 'في انتظار الموافقه') {
                        // console.log(statuses[i],'kkk');
                        let ID = statuses[i].dataset.id
                        // console.log(ID, 'jj');
                        $('#cancel'+ID).append(`
                             <button type="button" class="bg-danger text-white" id="Cancel${ID}" onclick=cancelExpense(${ID})>الغاء</button>
                        `)
                        $(statuses[i]).addClass('text-warning')
                    }if($(statuses[i]).text() == 'تم إلغاءه') {
                        $(statuses[i]).css('color','#9b0909')
                    }if($(statuses[i]).text() == 'تمت الموافقة عليه جزئيا') {
                        $(statuses[i]).css('color','orange')
                    }
                }

                //Pagenation
                let pages = Math.ceil( response.meta.total / response.meta.per_page)
                // let pages =3;
                let pagenationBody = pagenation(pageNumber , pages);
                document.getElementById("pagination").innerHTML = pagenationBody;
                $('.pagination').append(`
                                <li class="page-item">
                                    <button class="page-link" onclick="allExpenses(${pageNumber+1})" aria-label="Next" id="Next">
                                        <span aria-hidden="true">&raquo;</span>
                                        <span class="sr-only">Next</span>
                                    </button>
                                    </li>
                        `);
                        
                if(pages == 1){
                    $('#Previouss').addClass('disabled');
                    $('#Next').addClass('disabled');
                    $('#Next').prop('disabled', true);
                    $('#Previouss').prop('disabled', true);

                }
                if(pageNumber == 1){
                    $('#Previouss').prop('disabled', true);
                    $('#Previouss').addClass('disabled');
                }
                if(pageNumber == pages){
                    $('#Next').prop('disabled', true);
                    $('#Next').addClass('disabled');
                }
                let ppps = document.querySelectorAll('.page-link')
                for(let i = 0; i < ppps.length; i++){
                    if($(ppps[i]).text() == pageNumber){
                        $(ppps[i]).addClass('pagenationActive')
                    }
                }
            }

               
          });
        });

}
allExpenses(pageNumber);



function ImageModal (img ) {
    $('.header-container').css('position', 'sticky')

    var modalClose = document.getElementById('modal-close');
    modalClose.addEventListener('click', function() { 
         modal.style.display = "none";
         $('.header-container').css('position', 'unset')
    });

    var modalImg = document.getElementById("modal-content");
    modal.style.display = "block";
    modalImg.src = img;
}

function pagenation(PageNumber , Pages){
    var HTML = "";
        HTML += `<li class="page-item">
                <button class="page-link" id="Previouss" onclick="allExpenses(${PageNumber-1})" aria-label="Previous" >
                    <span aria-hidden="true">&laquo;</span>
                    <span class="sr-only">Previous</span>
                </button>
                </li>`
    if (Pages <= 5) {
        for (j = 1; j <= Pages; j++) {
                HTML +=  `<li class="page-item"><button class="page-link" onclick="allExpenses(${j})">${j}</button></li>`

            }
    }
    else {

        // Always print first page button
        HTML +=  `<li class="page-item"><button class="page-link" onclick="allExpenses(1)">1</button></li>`

        // Print "..." only if currentPage is > 3
        if (PageNumber > 3) {
            HTML += `<li class="page-item"><i class="fa-solid fa-ellipsis m-3"></i></li>`;
        }

        // special case where last page is selected...
        if (PageNumber == Pages) {
            HTML +=  `<li class="page-item"><button class="page-link" onclick="allExpenses(${PageNumber-2})">${PageNumber-2}</button></li>`;
        }

        // Print previous number button if currentPage > 2
        if (PageNumber > 2) {
            HTML += `<li class="page-item"><button class="page-link" onclick="allExpenses(${PageNumber-1})">${PageNumber-1}</button></li>`;
        }

        //Print current page number button as long as it not the first or last page
        if (PageNumber != 1 && PageNumber != Pages) {
                HTML += `<li class="page-item"><button class="page-link" onclick="allExpenses(${PageNumber})">${PageNumber}</button></li>`
        }

        //print next number button if PageNumber < lastPage - 1
        if (PageNumber < Pages - 1) {
            HTML +=  `<li class="page-item"><button class="page-link" onclick="allExpenses(${PageNumber+1})">${PageNumber+1}</button></li>`
        }

        // special case where first page is selected...
        if (PageNumber == 1) {
            HTML +=  `<li class="page-item"><button class="page-link" onclick="allExpenses(${PageNumber+2})">${PageNumber+2}</button></li>`
        }

        //print "..." if PageNumber is < lastPage -2
        if (PageNumber < Pages - 2) {
        HTML += `<li class="page-item"><i class="fa-solid fa-ellipsis m-3"></i></li>`;
        }

        //Always print last page button if there is more than 1 page
        HTML +=`<li class="page-item"><button class="page-link" onclick="allExpenses(${Pages})">${Pages}</button></li>`;
    }
    return HTML;
}

function cancelExpense(id){
    $.ajax({
     url: `<?php echo $api_link; ?>v1/expenses/cancel/${id}`,
     method: 'POST',
     data: {
        api_token: '<?php echo $_SESSION['seller_token']; ?>',
     },
     success: function(response) {
        $("#SuccessModal").modal('show');
        $("#success_msg").text(response.message);
        $('#cancel'+id).html('')
     },
     error: function(response){
        $("#errorsModal").modal('show');
        $("#product_err").text(response.responseJSON.message);
     }

   });
}

$('.expencesFinish').on('click', function(){
    allExpenses(pageNumber);
 });



</script>
<?php include "includes/footer.php"; ?>