<?php
$page = 'transfer';
$nav = 'transfer';
$navCat= 'addorder';
include "includes/config.php";
// Page Seo Settings
$page_title = 'transfer |ATW Point of Sale';
$page_description = 'Royal Bees is an online store where you can buy accessories for Woman, Men and Kids. Our products are designed in Europe and made from most precious gemstones and silver. We have wide range of luxurious products that will meet your needs.';
$page_img = 'https://luxgems.co.uk/pos/layouts/images/og.png';
$page_url = 'https://luxgems.co.uk/pos/checkout';
include "includes/header2.php";
include "includes/navBar.php";

if (isset($_SESSION['seller_token'])) {
    $p = '';
    $address_arr = array('api_token' => $_SESSION['seller_token'] , 'per_page' => '1000');
    $allProducts = postApi($api_link . 'seller/all_products', $address_arr);
    // All branches
    $branches = file_get_contents($api_link . 'seller/stores');
    $branches = json_decode($branches, true);
    // $branches = getApi($api_link . 'seller/stores');
} else {
    echo "<script>document.location.replace('./')</script>";
}
?>
<!-- ================= [ All Products ] ================= -->
<div class="bg-main no-print">
    <div class="v-height w-overlay py-2">
        <div class="container">
            <div class="row justify-content-center">
                <div class="col-md-12 first-section">
                    <h4 class="text-right text-muted text-uppercase font-weight-bold no-print">تحويل الطلبيه </h4>
                    <div class="text-right mt-4">
                        <form id="product_code_form">
                      
                          <div class="form-group">
                            <span  class=" col-form-label font-weight-bold"><?php echo $lang['transfer from store']; ?></span>
                           
                            <span class="">
                                <?php echo $_SESSION['seller_store_name']?>
                            </span>
                            
                         </div>

                         <div class="form-group d-flex flex-row flex-wrap">
                            <span for="inputEmail3" class=" col-form-label font-weight-bold"><?php echo $lang['transfer to store']; ?></span>
                            <?php if (!empty($branches['stores'])) : ?>
                            <div class="col-sm-10">
                               <select class="form-control h-100 " id="toStore">

                                <option><?php echo $lang['choose store']; ?></option>
                                <?php foreach ($branches['stores'] as $store) : ?>
                                    <?php if(($store['name']) != ($_SESSION['seller_store_name'])){  ?>
                                    <option value="<?php echo $store['id'] ?>" id="<?php echo $store['id'] ?>"><?php echo $store['name']; ?></option>
                                    <?php } ?>
                                <?php endforeach; ?>
                                </select>
                            </div>
                            <?php endif; ?>
                         </div>

                       
                        </form>
                       
                </div>

                   <div class="">
                            <div id="products" class="bg-light" style="margin-right:45px">
                            </div>
                    </div>

                       <div class="col-auto mt-4 text-right mr-4">
                         <button class=" btn btn-primary mr-5"  id="product_code_btn"><?php echo $lang['add order details']; ?></button>
                            
                        </div>

                        <div class="col-auto mt-4 text-right mr-4">
                          <button class="save btn btn-success mr-5" id="Save">حفظ</button>
                        </div>
                          
            </div>
        </div>
    </div>
</div>

</div>





<!-- ================= [ Errors Modal ] ================= -->
<div class="modal" tabindex="-1" role="dialog" id="errorsModal">
    <div class="modal-dialog modal-dialog-centered" role="document">
        <div class="modal-content" style="border-radius: 25px;">
            <div class="modal-header">
                <button type="button" class="close mr-auto ml-0" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body text-center py-5">
                <h4 id="product_err" class="text-danger text-center text-right mb-0"></h4>
            </div>
            <div class="modal-footer justify-content-between">
                <button type="button" class="btn btn-dark btn-block my-0 mx-1" data-dismiss="modal"><?php echo $lang['finish']; ?></button>
            </div>
        </div>
    </div>
</div>
<!-- ================= [ Errors Modal ] ================= -->
<div class="modal" tabindex="-1" role="dialog" id="errorsModalShipping">
    <div class="modal-dialog modal-dialog-centered" role="document">
        <div class="modal-content" style="border-radius: 25px;">
            <div class="modal-header">
                <button type="button" class="close mr-auto ml-0" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body text-center py-5">
                <h4 id="product_errShipping" class="text-success text-center text-right mb-0"></h4>
            </div>
            <div class="modal-footer justify-content-between">
                <button type="button" class="btn btn-dark btn-block my-0 mx-1 finish" data-dismiss="modal"><?php echo $lang['finish']; ?></button>
            </div>
        </div>
    </div>
</div>


<script src="layouts/js/jquery-3.3.1.min.js"></script>
<script src="layouts/js/JsBarcode.all.min.js"></script>
<script src="layouts/js/jquery.validate.js"></script>
<script>

$("#product_code_btn").on("click", function() {

    $.ajax({
            url: '<?php echo $api_link; ?>seller/stores',
            method: 'GET',
            success: function(secResult) {
                console.log("result2", secResult);
                if (secResult.code == 200) {
                    $(".save").removeClass("disable")
                    $("#products").append(`
                        <div class="mt-4 details-container">
                            <div class="row ">
                                <?php if (!empty($allProducts['products'])) : ?>
                                <div class="col-md-4 col-12">
                                <h5 class="text-right">*اسم المنتج</h5>
                                <select class="form-control text-sm mb-3 productNAme" id="productName" onChange="chooseProduct(this);" name="option">
                                <option value="0" selected disabled>المنتجات</option>
                                <?php foreach ($allProducts['products'] as $prod) : ?>
                                    <option value="<?php echo $prod['id']; ?>"><?php echo $prod['name']; ?></option>
                                <?php endforeach; ?>
                                </select>
                                
                                </div>
                                <?php endif; ?>
                            
                            
                                <div class="col-md-4 col-12">
                                <h5 class="text-right">*الكميه</h5>
                                <input type="number" min="0" class="form-control h-50 form-control-sm rounded-0 Qun" placeholder="الكميه"  aria-label="product code" aria-describedby="product_code_btn" id="quntity" autocomplete="off" autofocus>
                                </div>
                                <div class="col-3 mt-4">
                                <button class="btn btn-transparent bg-transparent delete-product"><span aria-hidden="true" class="text-danger font-weight-bold del-btn">&times;</span></button>
                                </div>

                            </div>
                        </div>
                        `)

                }



            },

        })
                            

});


    let productsId=[];
    let Quantities=[];
    let x;
    
   
    
    function chooseProduct(name) {
        x = name.options[name.selectedIndex].value;
    }
   



    $(document).on('click', '.delete-product', function() {
      
        $(this).closest(".row").closest(".details-container").remove();
        // $(this).cloest(".row").parent('.container').remove();
    });

   
    function hasDuplicates(array) {
    return (new Set(array)).size !== array.length;
}

    
    $(".save").on("click", function() {

        Quantities=[];
        productsId=[];

        var Ps= document.querySelectorAll('.productNAme');

        for (let index = 0; index < Ps.length; index++) {
            var prs=Ps[index];
            var temp=$(prs).val();
            productsId.push(temp);
            
        }
        
        var qs= document.querySelectorAll('.Qun');
   
        for (let index = 0; index < qs.length; index++) {
            var y= qs[index];
            var t= $(y).val();
            Quantities.push(t);
        }
        
        // console.log(Quantities,'Q');
        // console.log(productsId,'P');

        var fromStore = <?php echo $_SESSION['seller_store_ID']?>;
        var toStore = $("#toStore").val();
        // var transferId = $("#transferid").val();
        // var qun = $("#quntity").val();
        document.getElementById('Save').disabled = true;
            $.ajax({
                url: '<?php echo $api_link; ?>seller/transfer/order',
                data: {
                    "from_store": fromStore,
                    "to_store":toStore,
                    'product_ids': productsId,
                    'store_quantities': Quantities,
                    'api_token': '<?php echo $_SESSION['seller_token']; ?>'
                },
                method: 'POST',
                success: function(result) {
                    console.log(result);
                    if (result.code == 200) {
                        // console.log(result);
                        $("#errorsModalShipping").modal('show');
                        $("#product_errShipping").text(result.message)
                        // $("#products").html("");
                        document.getElementById('Save').disabled = true;

                    } else if (result.code == 202) {
                              $("#errorsModal").modal('show');
                              $("#product_err").text(result.message)
                              $("#products").html("");
                              document.getElementById('Save').disabled = false;
                    } else if (result.code == 201) {
                              $("#errorsModal").modal('show');
                              $("#product_err").text(result.message);
                              document.getElementById('Save').disabled = false;
                    }
                    else if (result.code == 214){
                        $("#errorsModal").modal('show');
                        $("#product_err").text(result.message)
                        document.getElementById('Save').disabled = false;
                        }
                    else{
                        $("#errorsModal").modal('show');
                        $("#product_err").text(result.message)
                        document.getElementById('Save').disabled = false;
                    }

                }
            })


    })

    $('.finish').on('click', function(){
        location.reload();
    });

</script>
<?php include "includes/footer.php"; ?>